Version 5.2.46 :
================

Functionality Added or Changed:
     * New role functionality was added. It is now is possible to add
       schemas.*, tables.*, and *.*, and to assign privileges to each
       object. Before it was only possible to add individual tables when
       defining roles. (Bug #11761640, Bug #54153)
     * The auto-completion feature was improved. For example, it now
       includes the parsing of aliases and subqueries for SELECT
       statements.


Bugs Fixed:
     * Microsoft Windows: In an EER Diagram, the circles at each end of a
       relationship line were rendered as different sizes. (Bug #12628088,
       Bug #54663)
     * Closing a table's properties window from within the EER Model
       diagram window would crash MySQL Workbench. (Bug #16185134, Bug
       #68101)
     * An SQL syntax error would be reported when a comment was added to
       an INDEX. (Bug #15991038, Bug #67835)
     * Functionality (such as Copy to Clipboard) was missing from the
       right-click context-menu of the Schema browser when multiple
       columns were selected. (Bug #14834245, Bug #67417)
     * The Show Filter table listing for Export MySQL Table Objects is now
       sorted alphabetically. (Bug #14706782, Bug #66712)
     * The Bulk Data Transfer migration step would fail if too many tables
       were being migrated, because too many arguments were being passed
       to the command-line. This table listing is now saved to a new file
       named wb_tables_to_migrate.txt, which is now read during the
       migration process. (Bug #14588167, Bug #66611)
     * MySQL Workbench could crash (segmentation fault) at startup if a
       configuration file was corrupt. (Bug #14622471, Bug #66776)
     * Creating a table in a schema that had a "-" in the schema name
       would emit an error about an "unknown column", and fail to create
       the table. (Bug #14632271, Bug #66815)
     * Sometimes the Create Table... dialog in the Object Browser would
       emit an error instead of creating the table, after pressing Apply.
       (Bug #14520406, Bug #66169)
     * On Linux, the right-click context menu would differentiate between
       unselected and selected rows, when called from within the SQL
       editor results view panel. This menu is now consistent. (Bug
       #14539036, Bug #66308)
     * Changes to a table that a view referenced would cause an error
       while attempting to edit the view. This fix allows MySQL Workbench
       to work around the underlying bug, which is MySQL bug #61718. (Bug
       #14526308, Bug #66502)
     * On Mac OS X, and in the table editor, the schema name was changed
       from a dropdown-box to a simple label. (Bug #14456213)
     * Right-clicking on a tab name did not show the New Tab, Save tab,
       Close other tabs, and Copy path to clipboard options. (Bug
       #14171956, Bug #65455)
     * Selecting the server engine default within the Alter Table window
       would generate an error. (Bug #14076198, Bug #65101)
     * On Linux, the Edit, Preferences menu did not wrap properly, and was
       too narrow so it would hide (cut) text. (Bug #14070969, Bug #64917)
     * On Microsoft Windows, holding down Shift with the Spacebar would
       not enter a space. (Bug #13919870, Bug #64820)
     * Changes to File, Document Properties for a Model were not detected
       or saved by MySQL Workbench. A Save prompt is now generated. (Bug
       #13040173)
     * On Linux, clicking Apply Changes when the cursor focus was in a
       data cell, the data content was not saved. (Bug #12922070, Bug
       #62232)
     * The EER diagram Arrange, Center Diagram Content option would hide
       objects from the diagram. (Bug #12898144)
     * If MySQL Workbench crashed when an EER diagram was being created,
       after restarting MySQL Workbench the EER diagram would be listed as
       "unsaved" but would not open. And it could not be deleted from the
       diagram list. (Bug #12642422, Bug #61444)
     * After selecting multiple objects and choosing delete, then choosing
       keep when prompted to delete or keep the selected objects, the
       relationship lines were still deleted. MySQL Workbench now asks if
       the relationship columns should be deleted or kept. (Bug #12565850,
       Bug #61113)
     * Under certain circumstances, synchronizing a database to a model
       would remove the mandatory relationships. (Bug #11834230, Bug
       #60312)
     * Changes made to a database schema while the Database, Synchronize
       Model wizard was active, would throw an exception. (Bug #11765036,
       Bug #57948)
     * On Linux, a warning will now warn you after attempting to close the
       SQL Editor when unsaved INSERT changes still exist.
       Also, all platforms (Linux, Mac OS X, Windows) are now consistent,
       and will also warn you after attempting to close MySQL Workbench
       with any unsaved changes. (Bug #11758193, Bug #50363)
     * The Default Schema setting was ignored by the Reverse Engineer
       Database wizard. (Bug #11757887, Bug #50002)




Version 5.2.45 (2012-12-27):
============================

Functionality Added or Changed:
     * Models: Copy, Cut, and Paste options were added to the context menu
       (right-click) of the Columns list in the models table editor. These
       options can be used between models. (Bug #13029519, Bug #62503)
     * A Copy Selected button was added to the Server Status panel of the
       Server Administration window. It copies the query of the selected
       connection to the clipboard. (Bug #14799336, Bug #66728)
     * The Control + / keyboard shortcut was added to comment/uncomment
       lines while editing SQL queries. (Bug #14803414, Bug #67002)
     * An Import Recordset from CSV File option was added to the SQL
       Editor and model insert tabs. This import functionality parses a
       file with comma-separated values. (Bug #14079606, Bug #65252)


Bugs Fixed:
     * Linux: Right-dragging saved connections, models, and MySQL Server
       instances on the home screen could crash MySQL Workbench. (Bug
       #14812457)
     * Linux: Executing MySQL Workbench from the command-line would print
       stdout twice. (Bug #14565095, Bug #66590)
     * Mac OS X: The results window from executing an SQL query could be
       empty. A workaround was to resize the results window. (Bug
       #14520361, Bug #66446)
     * Mac OS X: Closing MySQL Workbench after executing and making
       changes with the Alter Table tool would not prompt the user with
       the save dialog. (Bug #14456136)
     * Mac OS X: On Mac OS X, the default column name and column type
       model preferences did not function. Note that this feature does not
       function on Linux. (Bug #14399236, Bug #66090)
     * Mac OS X: The ability to select multiple columns in the models
       table editor did not function on Mac OS X. It is now possible to
       use Shift, Command, and mouse dragging. (Bug #11766291, Bug #59372)
     * Microsoft Windows; Models: After opening and then closing a model
       file from the file manager, attempts to open a different model file
       would fail to load the model. (Bug #14791573, Bug #67312)
     * Microsoft Windows; Models: Model files (*.mwb) would not load MySQL
       Workbench after being double-clicked in Windows Explorer. (Bug
       #14521111)
     * Microsoft Windows: Pressing Control + A in the table editor on a
       table field would select all table entities instead of the text in
       the field. (Bug #15884658, Bug #67610)
     * Microsoft Windows: Clicking on the Schema and Schema Objects column
       headers within Server Administration, Data Export would properly
       sort in descending order, but would not sort in ascending order
       when clicked again. (Bug #15849616, Bug #67518)
     * Microsoft Windows: Renaming an EER Diagram would crash MySQL
       Workbench. (Bug #14799722, Bug #66818)
     * Microsoft Windows: The Enter key would not create newlines within
       the table column comment dialogue. (Bug #14829617, Bug #67320)
     * Microsoft Windows: Queries surrounded by parenthesis would not
       display results in the view tab. (Bug #14651969, Bug #66887)
     * Microsoft Windows: Right-clicking on a database name in the schema
       browser and choosing Set as Default Schema would add a
       strikethrough to the chosen database name. (Bug #14663690, Bug
       #66930)
     * Microsoft Windows: The Explain button would not display the results
       in the Explain tab. (Bug #14702591, Bug #67059)
     * Microsoft Windows: The Id and Time columns within the Server
       Administration, Server Status, Connections panel would not sort
       properly, as they were sorted as ASCII values instead of
       numerically.
       Additionally, miscellaneous sorting improvements were implemented.
       (Bug #14612413, Bug #15953190, Bug #66768, Bug #67786)
     * Microsoft Windows: A model would fail to load when opened from the
       Microsoft Windows 7 taskbar if a different model was already open.
       (Bug #14621880, Bug #66799)
     * Microsoft Windows: Control + H did not invoke the replacement
       function. (Bug #14520920, Bug #66422)
     * Microsoft Windows: After using the schema search filter in the
       object browser, right-clicking on a filtered schema would generate
       a context menu with invalid options. (Bug #14521006, Bug #66346)
     * Microsoft Windows: Find and Replace would not function properly
       while using '_' as a replacement character. (Bug #14499088, Bug
       #66390)
     * Microsoft Windows: The Explain Current Statement option would not
       function. A workaround is to manually prepend EXPLAIN to your
       query. (Bug #14483518, Bug #66157)
     * Microsoft Windows: Control + A would not always select data from
       cells in the query results tab. (Bug #13891109, Bug #64723)
     * Microsoft Windows: The default plugin directory in the
       configuration tab was set as a Linux style path such as "/usr/",
       but it is now based on the OS aware BASEDIR value. (Bug #11764440,
       Bug #57271)
     * MySQL Server 5.6: The SHA-256 Authentication Plugin is now
       supported. (Bug #14786561, Bug #67155)
     * MySQL Server 5.6: MySQL Workbench would alter the mysql.* system
       tables for tasks such as account management, instead of using the
       corresponding account manipulation statements. This would conflict
       with GTID usage as of MySQL Server 5.6. (Bug #14786531, Bug #67150)
     * MySQL Server 5.6: The MySQL 5.6 ALTER USER ... PASSWORD EXPIRE
       option is now supported. An expired password indicator, and an
       Expire Password button to expire the current password, were added.
       (Bug #14786564, Bug #67157)
     * MySQL Server 5.6: MySQL Workbench now supports MySQL Server 5.6
       configuration options. (Bug #14786556, Bug #67153)
     * MySQL Server 5.6: The SQL Editor would emit invalid syntax errors
       with MySQL 5.6 queries. For example, GET DIAGNOSTICS queries would
       return "syntax error, unexpected IDENT_QUOTED, expecting ':'". (Bug
       #14786599, Bug #14786604, Bug #14786615, Bug #67163, Bug #67164,
       Bug #67168)
     * MySQL Server 5.6: MySQL Workbench would not allow passwords to be
       created or changed for user accounts that utilize the SHA-256
       Authentication Plugin, which exists as of MySQL Server 5.6.6. (Bug
       #14786567, Bug #14786558, Bug #67158, Bug #67154)
     * MySQL Server 5.6: The partition count definition was limited to
       1-10 as a drop-down selector in MySQL Workbench. This option is now
       a text field, which accommodates the 8192 partition limit in MySQL
       Server 5.6. (Bug #14786614, Bug #67166)
     * MySQL Server 5.6: A DDL related parsing error would be generated
       while attempting to update an existing routine that contained a
       DateTime variable type with precision. This feature is specific to
       MySQL Server 5.6. (Bug #14684874, Bug #14545075)
     * MySQL Server 5.6: Creating a standard user with MySQL Server 5.6
       would sometimes fail, and emit an error that referred to an unknown
       mysql_native_password plugin. (Bug #14574998, Bug #66638)
     * MySQL Server 5.6: The MySQL Workbench UI now supports the extended
       TIMESTAMP and DATETIME features that MySQL Server 5.6 offers. Both
       the initial and on-update values can now be defined for these
       types, and the fractional-second granularity is also now supported.
       (Bug #67165, Bug #67169, Bug #14786605, Bug #14786616)
     * MySQL Server 5.6: All MySQL Server 5.6 system variables were listed
       under the Other tab instead of their proper location. For example,
       gtid_done is now listed under the Replication tab. (Bug #67170, Bug
       #14786569)
     * MySQL Server 5.6: Creating a standard MySQL Server 5.6 user account
       in MySQL Workbench would fail, and emit an error related to the
       msyql_native_auth plugin. (Bug #67151, Bug #14786542)
     * MySQL Server 5.6: The creation of a username and password will now
       utilize the Password Validation Plugin in MySQL 5.6. This option is
       available within the Server Administration section, under the
       Security Options tab. (Bug #67152, Bug #67161, Bug #14786551, Bug
       #14786626)
     * Migration: Migrating a Microsoft SQL Server database would fail if
       nvarchar(max) was used. These are now converted to LONGTEXT. (Bug
       #14780416, Bug #67289)
     * Migration: From within the Manual Editing section of the database
       migration procedure, viewing Migration Problems after All Objects
       would continue to display information from All Objects. (Bug
       #14761792, Bug #67229)
     * Migration: Migrating from MySQL Server 5.0 to MySQL Server 5.6
       could fail. The migration tool now supports MySQL Server 4.1 and
       above as the source database. MySQL Server 5.1 and above are
       supported as the target database. (Bug #14647426, Bug #66861)
     * Models: Switching from a table column tab to a different tab, and
       then back to the column tab, would add an empty column named
       "tablenamecol". This empty column would be added to the table
       unless Escape was pressed. (Bug #14768685, Bug #67235)
     * Models: Model notes could not be saved. The Apply Changes button is
       available again. (Bug #14813462, Bug #67211)
     * Models: Synchronizing a model with a database could crash MySQL
       Workbench by causing a segmentation fault. (Bug #14588524, Bug
       #66707)
     * Models: While executing the Synchronize Model with Database wizard,
       invalid trigger related errors could be emitted even though the
       definitions were correct. (Bug #14498358, Bug #65982)
     * Models: Forward Engineering a model with users and roles could
       generate invalid SQL, because the username was not escaped within
       the generated GRANT statements. (Bug #14396930, Bug #66070)
     * Models: The File, Import, Import DBDesigner4 Model feature would
       fail to function. (Bug #13548113, Bug #63878)
     * Models: Sometimes a modified stored procedure would not be flagged
       as modified while synchronizing a model. (Bug #13364922, Bug
       #62595)
     * Models: The ability to open model files from older versions of
       MySQL Workbench has been improved. (Bug #12747012, Bug #61703)
     * Models: Pressing Cancel in either the Create EER Model from
       Existing Database or Create EER Model from SQL Script dialogs would
       still open a Model tab. (Bug #11757140, Bug #49145)
     * Models: When editing an EER diagram, the Cut context menu option
       follows Delete behavior by also deleting the schema object. It will
       now only remove it from the EER canvas. And a new Remove option was
       added that also only removes an object from the EER canvas. (Bug
       #11761492, Bug #53994)
     * Under certain circumstances, comments could interfere with the
       execution of SQL statements. (Bug #15960066, Bug #67747)
     * Saving script files did not function properly with the clipboard.
       Content pasted from the clipboard was not saved. (Bug #15837775,
       Bug #67462)
     * Clearing the output window while a query was running could cause
       MySQL Workbench to crash after the query finished. (Bug #15891884,
       Bug #67618)
     * Having sql_mode set to PAD_CHAR_TO_FULL_LENGTH causes the routine
       functionality to fail, as MySQL Workbench is not designed for this
       setting. A connection specific sql_mode option was added, and it
       can be set from the Advanced tab in the Connection Editor. It
       defaults to "". (Bug #14845656)
     * The following scenario would crash workbench: open a table, insert
       a new row of data, close the table, open a different table via
       double-click, then press Save Changes. (Bug #14829570, Bug #67237)
     * Added DbMySQLQuery->affectedRows, fixed MySQLResult->firstRow, and
       added a Splitter control to the Python binding for mforms. (Bug
       #14799403, Bug #66804)
     * MySQL Workbench would fail to interpret C-style comments, such as
       /*! MySQL-specific code */. For more information about comment
       usage in MySQL, see Comment Syntax. (Bug #14807602, Bug #67203)
     * Opening a connection using Open connection to Start Querying from
       the MySQL Workbench home screen could crash MySQL Workbench. (Bug
       #14803527, Bug #67074)
     * Procedures were always included in the exported SQL, even if
       excluded via a filter or configuration setting. (Bug #14758896, Bug
       #66790)
     * An error tooltip would sometimes fail to be displayed while
       hovering the mouse pointer over an error marker in the SQL editor.
       (Bug #14705012, Bug #67067)
     * The Select Objects to Forward Engineer filter was ignored while
       executing Forward Engineer to Database. All tables were exported.
       (Bug #14696609, Bug #67031)
     * A model could not be synchronized if a field contained a comment
       with a single quote. (Bug #14582241, Bug #66680)
     * A crash could occur after switching tables in the EER Diagram tab
       while the Privileges was open, or while adding roles to the active
       table. (Bug #14645542, Bug #66869)
     * The bundled ChangeLog listing was outdated. (Bug #14547966, Bug
       #66528)
     * In the MySQL Workbench Scripting Shell, an exception is now thrown
       while attempting to use input() or read from stdin. (Bug #14520741,
       Bug #66452)
     * The non-functional comments box was removed from the schema editor.
       (Bug #14548126, Bug #66553)
     * An exception would be generated when executing Forward Engineer
       without a MySQL Server connection. (Bug #14574987, Bug #66648)
     * Lower level changes, such as a newly created TRIGGER, would not be
       visible after the object browser was refreshed. (Bug #14551801, Bug
       #66549)
     * The mouse scroll would not function while viewing the Options File
       in the Server Administration panel. (Bug #14388344)
     * Unlike the Server Administration panel (since 5.2.35), the SQL
       Editor did not support syntax that utilized the authentication
       plugins. (Bug #14356470)
     * The Server Access Management interface would not allow a password
       to be set as an empty string. (Bug #14278189, Bug #65739)
     * The Limit Connectivity to Hosts Matching option did not allow an IP
       with a Subnet Mask because "/" was considered an invalid character.
       (Bug #14207793, Bug #65583)
     * Having multiple connections with TCP/IP over SSH could cause MySQL
       Workbench to not connect when exceeding MaxAuthTries. This may
       happen if an encryption type is unknown. The bundled paramiko
       library (on Mac OS X, and Windows) was updated to version 1.7.7.1,
       which helps solve this problem, as it adds known support for
       OpenSSL keys. (Bug #13919914, Bug #64802)
     * Multiple instances of MySQL Workbench will no longer open the same
       database model file. Doing so caused problems with features such as
       auto save and file locking. (Bug #13864687, Bug #64639)
     * An SSL connection required a client certificate. (Bug #13851229,
       Bug #61266)
     * A new General, SQL Editor option was added. Enabling Create new
       tabs as Query tabs instead of File (disabled by default) causes new
       SQL Editor tabs to default as Query tabs instead of SQL File tabs.
       File tabs include additional options, and prompt to be saved when
       the tab closed. (Bug #13492434, Bug #14541178, Bug #62929, Bug
       #66541)
     * Changing a foreign key column to be nullable now deselects the
       mandatory checkbox. If all foreign key columns are set to NOT NULL,
       then the mandatory checkbox value will be selected. (Bug #13252655,
       Bug #62737)
     * The Start Command Line Client feature would fail to connect with
       SSH connections. (Bug #12612343, Bug #61325)
     * A Refresh Rate option was added to the Server Administration,
       Server Status window. The refresh rate defaults to "Don't Refresh"
       and includes options ranging from 0.5 to 30 seconds. (Bug
       #11926869, Bug #60546)
     * It was not possible to sort schemas for exporting. (Bug #11926862,
       Bug #60566)
     * Changes to the DEFINER clause were not detected by the Alter Table
       wizard when altering this clause was the only change. (Bug
       #11829867, Bug #60164)
     * Importing a saved connection that used an SSH tunnel would throw an
       exception, and fail to import the connection. (Bug #11765909, Bug
       #58922)
     * When foreign keys are added, existing indexes are now used instead
       of always creating new indexes. (Bug #11760834, Bug #53277)
     * Attempting to open MySQL Doc Library while it was already opened
       would generate an error. (Bug #11763691, Bug #56432)
     * The ALTER ROUTINE functionality would not detect stored procedure
       changes when only the case changed. This check was
       case-insensitive. (Bug #65277, Bug #14136994)




Version 5.2.44 (2012-09-27):
============================

Functionality Added or Changed:
     * Updated the bundled MySQL Utilities to version 1.1.0, which
       includes the new mysqluc console.
     * Added native migration support for PostgreSQL and Sybase ASE.


Bugs Fixed:
     * After right-clicking on a non-empty field in the SQL editor, and
       choosing Copy Row Content, pasting the row into an empty row (by
       right-clicking and choosing Paste Row) would not increment the row
       id when it was appropriate to do so. (Bug #14587186, Bug #66668)
     * When a table from Microsoft SQL Server was migrated to MySQL, TEXT
       columns were mapped to VARCHAR(16). They are now mapped to LONGTEXT
       because Microsoft SQL Server TEXT columns have a maximum length of
       2^31 - 1. (Bug #14556732, Bug #66584)
     * The MySQL Workbench Data Export feature would fail to recognize
       tables that contained accented characters in the table's name. (Bug
       #14504342, Bug #66421)
     * The object browser would not update the column order after a table
       was altered. (Bug #14495629, Bug #66232)
     * On Mac OS X systems with the Retina display, the mouse cursor would
       register incorrect mouse coordinates. (Bug #14396939, Bug #65607)
     * Entering the caret ("^") character inside the SQL editor, followed
       by any other character, could cause MySQL Workbench to hang. This
       was a Scintilla bug that is now fixed. (Bug #13930994, Bug #64848)
     * After choosing Alter Table, pressing Apply would cause MySQL
       Workbench to display "Preparing..." in the output panel, but it now
       displays "No changes detected." (Bug #13497239, Bug #63604)
     * When synchronizing a model to a database after changing a field
       definition from NOT NULL DEFAULT x to NULL DEFAULT NULL, the model
       synchronization would correctly generate the SQL. But after
       executing this SQL and resynchronizing, MySQL Workbench would
       report that the table needed to be updated. (Bug #12756728, Bug
       #61720)




Version 5.2.43 (2012-09-12):
============================

Functionality Added or Changed:
     * The default object/relationship notation for new models will now be
       taken from the last notation selected by the user. This is chosen
       via Model, Relationship Notation. (Bug #49997, Bug #11757883)


Bugs Fixed:
     * It was possible for a custom plugin to cause MySQL Workbench to
       crash. (Bug #14595613, Bug #65817)
     * After editing and closing an EER diagram, double-clicking on one of
       the diagram tables could generate an exception. (Bug #14587490, Bug
       #66699)
     * MySQL Workbench would sometimes crash at startup due to a race
       condition. The logged error included "Invoke or BeginInvoke cannot
       be called on a control until the window handle has been created."
       (Bug #14526134, Bug #66130)
     * Clicking Browse after the Target Creation Options stage of the
       database migration wizard would generate an error. (Bug #14520838,
       Bug #66271)
     * Passing in the -nologo argument while starting MySQL Workbench
       would cause a crash. (Bug #14527014)
     * Right-clicking and choosing Edit Table Data while multiple schemas
       are selected could cause the activity animation icon to remain
       active and/or crash MySQL Workbench. (Bug #14524139, Bug #66022)
     * A semicolon at the end of a single lined SQL comment would be
       treated as a delimiter, and cause the SQL query to not execute.
       (Bug #14529811, Bug #66505)
     * Dropping multiple objects at the same time was not possible.
       Selecting multiple objects, right-clicking on one of the selected
       objects, and then choosing the Drop n Object option would generate
       SQL that deleted only one of the selected objects. (Bug #14538863)
     * Migrating a Microsoft SQL Server table that contained both NULL and
       non-null values in a DATETIME column would fail to import properly.
       (Bug #14509484, Bug #66359)
     * Migrating from a remote SQL Server 2008 database to a local MySQL
       database would fail at the Fetch Schemata List stage of the
       database migration wizard, as it was unable to connect to the
       source database. (Bug #14498549, Bug #66030)
     * On Mac OS X, code signing was added to MySQL Workbench so it will
       now load when this condition is required. (Bug #14457847, Bug
       #66052)
     * The object browser did not display foreign keys. A workaround was
       to view them via the Alter Table interface. (Bug #14483668, Bug
       #66226)
     * Objects in the schema tree, such as tables, were not listed
       alphabetically after edits were made. (Bug #14483610, Bug #66209)
     * Selecting a view in the object browser would sometimes insert the
       view into the table listing. (Bug #14483526, Bug #66158)
     * On Linux, the mysql-workbench-bin executable is no longer installed
       under /usr/bin/ because it cannot be executed directly. It was
       moved to /usr/lib*/mysql-workbench/. (Bug #14485725, Bug #66322)
     * On Microsoft Windows, MySQL Workbench would crash after attempting
       to export a model as a PNG, SVN, or PDF. (Bug #14483735, Bug
       #66298)
     * On Fedora 17, autoconf would not detect the altlr which is antlr3-C
       version 3.4. (Bug #14495924, Bug #66325)
     * The database export feature would not always export the correct
       databases if some database names were clicked while others checked
       the selection checkbox. This feature now only takes into account
       the checkboxes. (Bug #14495660, Bug #66376)
     * Under certain conditions, synchronizing a model would generate SQL
       statements that dropped a schema before altering it. (Bug
       #14495165, Bug #66083)
     * Right-clicking on a table and selecting Copy Insert Statement would
       generate SQL with the columns sorted in alphabetical order. The SQL
       is now generated in the order listed in the database. (Bug
       #14508845, Bug #66419)
     * With the Slovenian keyboard layout chosen, pressing Control + /
       would not toggle commenting. (Bug #14504877, Bug #66131)
     * Synchronizing a model could crash if the model had an invalid
       foreign key. (Bug #14498436, Bug #66020)
     * Synchronizing a restored EER model with the Model and Database
       Differences, Update Model Only configuration option enabled for all
       tables would cause MySQL Workbench to crash. (Bug #14510962, Bug
       #66436)
     * The Select Schemata step of the Reverse Engineer Database wizard
       would not display the underscore character correctly. Instead it
       would appear as an underline to the next character. (Bug #14467930,
       Bug #66248)
     * On Microsoft Windows, the behavior of Control + Enter was changed
       back to the previous behavior, which is to execute the statement
       that contains the cursor, instead of the last statement in the SQL
       editor, or the current statement if the cursor is at the beginning.
       (Bug #14396992, Bug #66025)
     * After exporting a schema, and unselecting the schema, exporting a
       new schema would export both the current and previously exported
       schema. (Bug #14388355)
     * On a table with a multiple field foreign key, attempts to remove
       one of these fields would fail. The associated checkboxes can now
       be used with success. (Bug #14415483, Bug #66171)
     * Expanding a view object from within the schema viewer would
       immediately collapse, and it would only expand with subsequent
       attempts. (Bug #14404189)
     * A warning message was added when a user attempts to delete an index
       that belongs to a foreign key. (Bug #14359329, Bug #65972)
     * The default database while applying changes to users and privileges
       is now set to mysql. (Bug #14359266, Bug #65959)
     * Exporting a table that contained views could fail to export. (Bug
       #14359349, Bug #65780)
     * The --enable-maintainer-mode autoconf option was not available.
       (Bug #14329365, Bug #65900)
     * MySQL Workbench could execute queries from the wrong tab after tabs
       were moved (reordered). (Bug #14221754, Bug #65557)
     * The vertical scrollbar in the table definition window would appear
       incorrect after clicking a NN (Not Null) checkbox on one of the
       column definitions. (Bug #14221022, Bug #65500)
     * Choosing the Edit in New Window context menu on a routine would not
       open a new window. (Bug #14171776, Bug #65520)
     * On Linux, pressing the Enter key after typing a file name would not
       save the file while doing so in the SQL editor file save dialogue.
       (Bug #14124900, Bug #64945)
     * On Mac OS X, new tabs could not be closed (via the [x]) if ten or
       more tabs were already open, and if the total MySQL Workbench
       window width exceeded around 1200px. (Bug #14127281, Bug #65186)
     * Executing from mysql.utilities.parser import GeneralQueryLog from
       within the MySQL Workbench scripting shell would result in an
       error. (Bug #14128312)
     * The MySQL Export wizard would not escape hardcoded newlines in the
       generated SQL, but they are now escaped. For example, a \n now
       remains as \n in the exported query, when before it was expanded.
       (Bug #14124914, Bug #65222)
     * On Linux, tables that are present are now marked with a black point
       in the diagram editor. (Bug #14107656, Bug #65210)
     * On Mac OS X, hiding a window pane (such as the snippets) would
       cause the window pane to remain hidden, even after restarting MySQL
       Workbench. (Bug #14017268, Bug #65138)
     * The Plugins, Objects, Create Multiple Tables feature did not
       function on Microsoft Windows, and only created one table on Linux.
       (Bug #14026694, Bug #14026709)
     * Exported "Excel Spreadsheet" files were exported with the ".xls"
       extension, instead of the ".xml" extension. (Bug #13970552, Bug
       #64955)
     * MySQL Workbench was unable to edit the lc_time_names variable. (Bug
       #13939985, Bug #64880)
     * Under certain conditions, MySQL Workbench would generate invalid
       SQL when dealing with foreign keys. (Bug #13865784, Bug #14486006,
       Bug #64601, Bug #66285)
     * While editing a model, right-clicking on a user and choosing Copy
       SQL to Clipboard would not function. (Bug #13742855)
     * After setting an EER diagram marker, modifying the zoom, and then
       setting a marker, the markers would not be created. (Bug #13742896)
     * On Linux, the WB_FORCE_SYSTEM_COLORS environment variable was
       added. Enabling this variable (with a value of 1) will disable
       MySQL Workbench from using its own color scheme. Example usage:
       export WB_FORCE_SYSTEM_COLORS=1. This is useful for certain
       conditions, like when using the HighContrastInverse or GnomishDark
       system themes. (Bug #13608244, Bug #64013)
     * MySQL Workbench would yield incorrect results while displaying
       results from the MAX function on a bit field. (Bug #13496747, Bug
       #63457)
     * Table data could not be edited if the primary key was a binary
       field. (Bug #13418610, Bug #63198)
     * Multiple objects would remain selected after adding a new table
       within the Create new EER Model wizard. (Bug #12933282)
     * The Forward Engineering wizard did not utilize the Use Default
       Schema setting that is set in the Manage Connections configuration
       table. (Bug #12757331, Bug #61786)
     * Passwords are now removed if they are no longer used by other
       connections when a particular connection is deleted. (Bug
       #12627613, Bug #61322)
     * Deleting a connection would not immediately delete the connection
       from MySQL Workbench. (Bug #12642474, Bug #61445)
     * The Treat BINARY/VARBINARY as nonbinary character string preference
       for SQL Queries did not function. (Bug #12612409)
     * When a routine contained CONCAT with a number as an argument, MySQL
       Workbench would return it as a BLOB. (Bug #11763872, Bug #56642)
     * On Mac OS X, the Server Status tool would fail to find the server.
       (Bug #11766286, Bug #59365)
     * MySQL Workbench would not export data when using a remote server
       connection through SSL with certificates. (Bug #11766196, Bug
       #59249)
     * On Mac OS X, the window to set up a Standard TCP/IP over SSH
       connection contained incorrect descriptions. And the dialogue now
       behaves more intelligently. (Bug #11761555, Bug #54061)
     * The error icon would continue to be displayed in the SQL editor
       after deleting a character to create the error, and then adding it
       back. This only affected multiline SQL statements. (Bug #11763319,
       Bug #56015)
     * The Tab key would not navigate field values in the Set remote
       configuration parameters dialogue of the Server Administration
       panel. (Bug #11757375, Bug #49413)
     * Closing MySQL Workbench while an unsaved model was open would
       prompt the user with a "MySQL Workbench has stopped working" error,
       with a Close button. MySQL Workbench now prompts to either save or
       close. (Bug #61802, Bug #12912241)
     * While using the Forward Engineer wizard, any change detected in a
       connection option now clears the "Stored connection" field. (Bug
       #49921, Bug #11757818)




Version 5.2.42 (2012-08-13):
============================

Bugs Fixed:
     * The Reformat DDL for Views configuration option would generate
       invalid SQL syntax if the expression contained an even number of
       parts that were very long. (Bug #14396953, Bug #66068)
     * There was a typographical error in the "Rename" dialogue that
       prompts a user to rename unsupported foreign key names that
       originate from old model files. (Bug #14399185, Bug #66113)
     * The Search on server button would create an additional Search on
       server button each time it was pressed. (Bug #14395153)
     * Data modeling would not allow table edits, and repeated attempts to
       do so would crash MySQL Workbench. (Bug #14374169, Bug #66013)
     * After upgrading to MySQL Workbench 5.2.41, MySQL Workbench would
       freeze if the initial load involved a connection without a saved
       password. (Bug #14383570, Bug #66016)
     * MySQL Workbench would sometimes crash after populating a model.
       (Bug #14211444, Bug #65423)
     * On Microsoft Windows XP, the width of the line number column would
       display a maximum of four characters. It now displays additional
       characters, such as the number "10000". (Bug #14079497, Bug #65259)
     * Undoing the last four changes via the history tab would only undo
       the last three changes. (Bug #14026666)
     * Entering the caret ("^") character inside the SQL editor, followed
       by any other character, could cause MySQL Workbench to hang. This
       was a Scintilla bug that is now fixed. (Bug #13930994, Bug #64848)
     * On Microsoft Windows, the Enter key would not create newlines
       within the table column comment dialogue. This was a Scintilla bug
       that is now fixed. (Bug #13891121, Bug #64714)
     * On Microsoft Windows, certain conditions would allow the model
       overview pane to shrink, and only display a small portion of the
       diagram information. (Bug #13877323, Bug #64640)
     * Synchronizing a model after adding a column to the model would not
       add the new column to the syncronized database. (Bug #13891063, Bug
       #63938)
     * Models that were temporarily saved as "Unsaved models" could not be
       deleted. (Bug #13742833)
     * On Mac OS X, attempts to store a password into the keychain could
       result in an error. (Bug #13387025, Bug #62279)
     * A signal statement in a stored procedure was not supported, and
       would report a syntax error. (Bug #11763874, Bug #56644)
     * Using \func would prevent the Apply changes to data option to
       function, and instead "Pending changes" error message windows would
       be displayed. (Bug #62061, Bug #12844298)
     * On Ubuntu 12.04 64-bit, MySQL Workbench could freeze. (Bug #65331,
       Bug #14120708)
     * Expanding the tree view for a database with a large number of
       tables (tested 30,000) would crash MySQL Workbench. (Bug #66036,
       Bug #14383521)
     * In the SQL Editor, the cursor would inappropriately flash. This was
       fixed while moving to the native Scintilla control. (Bug #61752,
       Bug #12757202)




Version 5.2.41 (2012-07-25):
============================

Functionality Added or Changed:
     * Added a new Data Import/Restore option to select the default schema
       to import to, and a button to create a new schema in case a dump is
       being imported from a single file. (Bug #13539030, Bug #63853)
     * A word wrapping option was added to the SQL Editor. (Bug #11765583,
       Bug #58566)
     * The Diagram object tooltip now displays the column comments. (Bug
       #11765060, Bug #57977)
     * A Global Privileges tab was added to the Server Administration
       interface. It allows adding and editing individual global user
       privileges. (Bug #11761628, Bug #54141)
     * Basic code completion functionality has been implemented. (Bug
       #11760500, Bug #13813099, Bug #52917, Bug #64525)
     * The model wizards now remember the last connection that was added.
       (Bug #56515, Bug #11763761)
     * MySQL Workbench added a migration wizard, which will migrate ODBC
       compliant databases to MySQL. (Bug #54731, Bug #11762168)


Bugs Fixed:
     * The Search on Server option would not function, and instead it
       generated errors when searching MySQL Server 5.1. This option is
       now only available when connecting to MySQL Server 5.5 or greater.
       (Bug #14404138)
     * MySQL Workbench was not compatable with alocal versions greater
       than 1.11.1. Compiling would generate errors related to
       AC_RUN_IFELSE usage, as opposed to the preferred AC_LANG_SOURCE.
       (Bug #14329354, Bug #65898)
     * A snippets file could not be created. (Bug #14278287, Bug #65734)
     * On Microsoft Windows 64-bit, closing MySQL Workbench from within
       the SQL editor could cause a crash. (Bug #14307316)
     * The option to control specific user privileges is now available
       with MySQL Workbench. Before it was only possible to edit the roles
       (e.g., DBManager) but now the specific privileges (e.g., RELOAD)
       can also be modified. (Bug #14226955, Bug #65677)
     * It is now possible to select a range of rows using the shift key.
       And on Mac OS X, the command key will now allow the selection of
       individual rows (Bug #14177386, Bug #65569)
     * Comments and collation controls are now disabled until a column in
       the column editor is selected. Before it was always available, so
       invalid entries would attempt to be created, which would result in
       an error. (Bug #14177412, Bug #65574)
     * MySQL Workbench would not load with Ubuntu 11.10. (Bug #14058886,
       Bug #63626)
     * An orphaned privileges tab would be shown in the table editor when
       switching tables. Now only the current privilege tab is displayed.
       (Bug #14102537, Bug #65182)
     * The Edit, Find, Find and Replace operation was slow. (Bug
       #14079480, Bug #65262)
     * Having a schema without a name in a model would cause MySQL
       Workbench to crash. (Bug #14017357, Bug #65119)
     * Several exposed DbMySQL methods (such as makeSQLExportScript) were
       problematic, and have been replaced by the DbMySQLRE and DbMySQLFE
       modules. (Bug #13971951, Bug #62596)
     * MySQL Workbench would fail to compile with automake 1.11.2 or
       greater, due to the pkglib_DATA reference. (Bug #13972001, Bug
       #63898)
     * Using the '%' character within environment variables could cause
       MySQL Workbench to crash. (Bug #13989371, Bug #65056)
     * The SQL Beautifier feature would remove DISTINCT from inner
       queries. (Bug #13970596, Bug #64932)
     * Creating and then synchronizing a table in a model with a DOUBLE
       typed column would generate invalid SQL, thus generating an
       "Invalid SQL syntax" error. (Bug #13970484, Bug #64990)
     * MySQL Workbench would crash while multiple model routines were
       opened. (Bug #13970497)
     * The SQL Beautifier would delete WITH ROLLUP if it was contained
       within a subquery. (Bug #13919924, Bug #64796)
     * The Replace All option would not function when the replacement
       string was empty. (Bug #13919875, Bug #64818)
     * A new Copy Row (tab separated) option was added to the result set
       context menu within the SQL editor. A comma separated variant of
       this option already existed. (Bug #13884753, Bug #64724)
     * Certain conditions would cause privilege related problems and emit
       errors such as "Incorrect Value Entered" when creating a table in
       one tab, altering it in another, then going back to the original
       tab. (Bug #13877873, Bug #64591)
     * Passing a grt.classes.db_query_EditableResultset object to
       getattr() could cause a crash. (Bug #13893388, Bug #64777)
     * On Linux and Mac OS X, it was not possible to select/copy multiple
       rows from within the result set grid. (Bug #13895191)
     * Input elements are now correctly disabled until an editable row in
       the column editor is selected. Therefore, invalid values are no
       longer set in the model. (Bug #13812811, Bug #64550)
     * Inputting invalid SQL would remain designated as such, even after
       the SQL was corrected. (Bug #13820997, Bug #64481)
     * Internal log tables are now excluded while exporting a the MySQL
       database. The excluded tables are mysql.schema, mysql.apply_status,
       mysql.general_log, and mysql.slow_log. (Bug #13837725)
     * Using Paste Row after Copy Row Data within the SQL editor would
       insert rows with extra apostrophes. For example, 'hello' would
       become ''hello''. (Bug #13840070, Bug #64630)
     * Closing an SQL Editor tab that had a Find/Replace dialog box open,
       then subsequently closing the Find/Replace dialog box would crash
       MySQL Workbench. (Bug #13816167, Bug #64569)
     * Changing the Default Collation of a schema after changing its name
       would reset the schema name to "new_schema". (Bug #13799456, Bug
       #64259)
     * The Edit table data SQL editor option would not properly display or
       save Unicode characters. (Bug #13790645, Bug #64447)
     * On Mac OS X, the color dropdown in the object tool would not
       display the color properly. It instead showed the color code, and
       would not apply the color to the object. (Bug #13742905)
     * All editor tabs now prompt to save data when these tabs are closed.
       Before, only the main tabs (like the SQL Editor) would prompt for
       to save. (Bug #13788071, Bug #64462)
     * Opening the Scripting Shell window, followed by selecting then
       closing the snippet tab, would cause MySQL Workbench to crash. (Bug
       #13744364)
     * If Plugins, Utilities, Indent Selected Lines is used while a row is
       selected, then MySQL Workbench would delete the selected row. (Bug
       #13744346)
     * The Match Case search option did not function. (Bug #13790397)
     * On Mac OS X, the Option key did not behave like a standard Mac OX
       application. For example, Option + Delete would delete one
       character instead of one word. (Bug #13702376, Bug #64217)
     * Added version dependent keyword list support for syntax
       highlighting. Supports MySQL Server 5.0, 5.1, 5.5, and 5.6 (Bug
       #13699804)
     * On Mac OS X, and while working with mixed-case table names, a
       foreign key could not be assigned to link two InnoDB tables
       together. (Bug #13639162, Bug #64109)
     * Quickly executing the same query multiple times would cause MySQL
       Workbench to use an excessive amount of memory and CPU. (Bug
       #13642999, Bug #64077)
     * After right-clicking on a value in the SQL editor and choosing Open
       Value in Viewer, selecting the text would insert extra new lines
       into the clipboard. (Bug #13538942, Bug #63753)
     * The Model, Model Options, Diagram, Hide Captions option could not
       be altered (disabled) and would remain checked (enabled). (Bug
       #13571857, Bug #63937)
     * MySQL Workbench would allow the creation of multiple foreign keys
       across multiple tables but with the same foreign key name.
       Synchronization would then emit a "Can't create table" error. (Bug
       #13548236, Bug #13500447, Bug #63642, Bug #62960)
     * The Object Browser now manages procedures and functions separately,
       when before they could not co-exist with the same name. They remain
       under the routines group but have separate icons and menu options.
       (Bug #13548213, Bug #13730415, Bug #63849)
     * Plugins, Utilities, Execute query would freeze MySQL Workbench if
       the query resulted in 1000 or more rows. (Bug #13470781)
     * The Server Administration, Server logs, General Log Table option
       would not function, and only show a Try again button. (Bug
       #13530413)
     * While editing in the Edit Table tab, Control + A would also select
       diagram objects. (Bug #13519852, Bug #63758)
     * A "Removed corrupt column definition for Foreign key" error would
       sometimes be emitted while editing a table with foreign keys. (Bug
       #13519797, Bug #63772)
     * OpenGL determination at startup has been disabled, and instead this
       check is performed while creating diagrams. The system could fail
       at startup, so now MySQL Workbench avoids this startup trouble and
       can better fall back to software rendering if necessary.
       MySQL Workbench would also silently fail to load if "Microsoft
       Visual C++ 2010 Redistributable Package" was not available. This is
       now checked and reported to the user. (Bug #13512714, Bug #61969)
     * The Open Value in Editor SQL editor option did not work with INT or
       NULL values. (Bug #13492493, Bug #62934)
     * The Move to a group context option for database connections would
       cause saved connections below the target connection (that is being
       added to a group) to disappear. (Bug #13470318)
     * After synchronizing a database, refreshing a model would not
       refresh the stored procedure information. (Bug #13418563, Bug
       #62879)
     * The info and session tabs within the MySQL connection interface
       would not display any information. (Bug #13466537)
     * The Options tab within the SQL Editor would always display an empty
       AUTO_INCREMENT value for tables using InnoDB. (Bug #13463458, Bug
       #63464)
     * After making changes to a model, then closing the window, clicking
       Cancel on the unsaved changes warning/dialogue would close MySQL
       Workbench. Now the model window remains open. (Bug #13463465, Bug
       #63460)
     * On Mac OS X, Command + A would not select all results from the
       result set. (Bug #13463374, Bug #63461)
     * A query such as "SELECT * FROM SomeTable PROCEDURE analyse()" would
       only work if "limit rows" was disabled in the preferences. The
       MySQL Workbench query parsing has been extended to support this
       type of query. (Bug #13344686, Bug #62964)
     * The MySQL Workbench bug reporting form (MySQL Bugs: Report) did not
       allow pasting content into the form. (Bug #13344751, Bug #62928)
     * "MariaDB" has been change to "Aria" within MySQL Workbench. (Bug
       #13252479, Bug #62903)
     * On Microsoft Windows, Server Administration, Server logs, Slow Log
       File would display an error instead of showing the slow query log.
       (Bug #13026572)
     * Routine groups on the diagram was not updated after adding new
       routines to the group. (Bug #13029520, Bug #62496)
     * Right-clicking on Catalog tree within the Model, Diagram context
       would display an empty line. (Bug #13025389)
     * MySQL Workbench would crash after clicking EER links and options
       multiple times. (Bug #13024949)
     * Clicking between routines with different comments would not update
       the description editor with information from the selected object.
       (Bug #13025359)
     * The Connection Method option within the Edit Table Data window was
       partially hidden. (Bug #13025670)
     * Detection of a connection to the local machine based on the IP
       address has been removed. There is now a selection between
       localhost, remote host, and db host on the initial New Server
       Instance page. Selecting localhost will let the wizard know that it
       is local, as otherwise the full path is now required, which for
       example allows 127.0.0.1 to be used as a remote host to support
       port forwarding. (Bug #12890503, Bug #62119)
     * The View, Home option did not function. (Bug #12879850)
     * The sorting options within the Inserts Editor window did not
       function. (Bug #12884134)
     * The MySQL Workbench window can now be resized to 1024x710. (Bug
       #12632406, Bug #60762)
     * A confirmation dialog was added that warns users about attempts to
       edit stub tables, and it describes why these will be ignored by
       both synchronization and forward engineering. The dialog includes
       an option to either keep editing it as stub object, or to clear the
       stub flag and make the table appear in generated SQL. (Bug
       #12616360, Bug #61309)
     * User Defined Types (UDT) could not be deleted when they were not
       referenced elsewhere. (Bug #12671629, Bug #61530)
     * The synchronization wizard now allows the possibility to force
       synchronization of schemas that are thought to have been renamed.
       Otherwise, MySQL Workbench will recreate the schema from scratch.
       (Bug #12565644, Bug #61211)
     * The EER Diagram zoom feature would not function. (Bug #12346981,
       Bug #60807)
     * The Partitions tab within the Alter table context menu would not
       show all of the available partitions. (Bug #11933015, Bug #60235)
     * On Mac OS X, having a large number of databases (1,000+) could
       cause performance issues where MySQL Workbench would load in
       several minutes, as opposed to a few seconds. (Bug #11869432, Bug
       #60420)
     * MySQL Workbench would not allow a user to delete a saved server
       instance that contained an incorrect password. This incorrect
       password can now be deleted. (Bug #11765337, Bug #58295)
     * The Synchronize Model operation would use an excessive amount of
       memory. (Bug #11762726, Bug #55355)
     * MySQL Workbench would freeze while attempting to search and replace
       with a large number of strings, such as over 100,000. (Bug
       #11762890, Bug #55539)
     * A new Model: MySQL preference was added for Forward Engineering and
       Synchronization to configure SQL_MODE. (Bug #11761659, Bug #54173)
     * The Synchronization wizard has been changed to allow forcing
       synchronization of schemas that have the same name but an
       unexpected "last known name", which would cause a confusing
       scenario of the target database being recreated from scratch. (Bug
       #11756969, Bug #48962)
     * Under certain conditions, adding a foreign key could generate
       invalid SQL code. (Bug #64539, Bug #13872284)
     * A crash would occur if trigger code referred to tables in a schema
       different from the one where it is contained. (Bug #60041, Bug
       #13611382)
     * On Mac OS X, MySQL Workbench would crash when changing database
       engines if a database included a table with uppercase characters.
       (Bug #65376, Bug #14117038)
     * The Copy Column Names to Clipboard option could crash MySQL
       Workbench. (Bug #64881, Bug #13970600)
     * MySQL Workbench now respects case-sensitivity when
       lower_case_table_names = 2. (Bug #60618, Bug #11926851)
     * Closing MySQL Workbench while editing SQL Scripts will now prompt
       the user to save the edits. (Bug #61037, Bug #62959, Bug #12546710,
       Bug #13344705)
     * The zoom feature (in or out) could cause a fatal error. (Bug
       #65247, Bug #14136870)
     * On Microsoft Windows, MySQL Workbench would ignore the system's
       font setting, but now uses it when MySQL Workbench is initialized.
       (Bug #62105, Bug #12872840)
     * On Ubuntu 12.04, MySQL Workbench would not load. (Bug #64956, Bug
       #14180754)
     * MySQL Workbench would sometimes repeat a warning during a
       successful action that followed the action with the warning. (Bug
       #62454, Bug #13014873)
     * Deleting an EER diagram would cause MySQL Workbench to hang. (Bug
       #65174, Bug #14102990)
     * While editing an EER diagram, and click-dragging the mouse cursor,
       the cursor now remains in the same place it was originally clicked.
       (Bug #64487, Bug #13813199)
     * New or updated trigger content would disappear from the SQL Editor
       GUI, as it was required to reopen the table editor to see the
       changes. (Bug #65411, Bug #14137775)
     * Loading large files (over 100MB) using File, Open SQL Script...
       would fail to load the script, and throw an out of memory exception
       while halting operation.
       Now, MySQL Workbench warns users if a file exceeding 100MB is
       attempted to be loaded, and no longer crashes when running out of
       memory but instead reports that the file was unable to be loaded.
       (Bug #55312, Bug #60780, Bug #61363, Bug #64186, Bug #11762687, Bug
       #12339717, Bug #12627645, Bug #13790375)
     * If a view contains a row that is too long to be represented as a
       table column, it will now be substituted with an alias column in a
       placeholder table, similar to how mysqldump behaves. Before it
       could generate invalid SQL, and fail to synchronize the model. (Bug
       #63807, Bug #13538955)
     * Using File, Export, Forward Engineer SQL CREATE Script would remove
       delimiters statements if the Omit Schema Qualifier in Object Names
       option was selected. (Bug #63742, Bug #13520528)
     * MySQL Workbench now uses the MySQL Server limit for maximum comment
       lengths while using the forward engineering wizard. Before it would
       truncate comments to 60 characters, which was a MySQL Server limit
       before version 5.5.3.
       From the MySQL Server 5.5.3 changelog: the maximum length of table
       comments was extended from 60 to 2048 characters. The maximum
       length of column comments was extended from 255 to 1024 characters.
       Index definitions now can include a comment of up to 1024
       characters. (Bug #62207, Bug #12904170)
     * Adding a trigger with the Alter Table, Trigger interface now warns
       the user if the inputted trigger statement was invalid. Before,
       MySQL Workbench would output "No changes to object were detected."
       if the SQL was valid, but without a CREATE TRIGGER statement. (Bug
       #61712, Bug #12908810)
     * Synchronizing a model would drop, and then re-add, indexes and
       foreign keys if the order of these indexes and foreign keys were
       different. This could happen because MySQL Workbench would add
       UNIQUE indexes in the order added by the user, whereas the MySQL
       Server puts them first. (Bug #60230, Bug #11829807)
     * When altering a table with uppercase letters in the table name,
       MySQL Workbench would automatically convert the table name to
       lowercase. (Bug #64072, Bug #13639292)




Version 5.2.40 (2012-05-16):
============================

Functionality Added or Changed:
     * The File, Export, Forward Engineer SQL ... wizards now have the
       option to use the same configuration settings from the last time
       Forward Engineer SQL ... was used. (Bug #34977, Bug #11748058)
     * The SQL editor tab now displays the selected database in the
       header. (Bug #50932, Bug #11758694)


Bugs Fixed:
     * On Microsoft Windows, the mysqlrplshow MySQL Utility was missing.
       (Bug #13773189)
     * Within the SQL Editor, MySQL Workbench would freeze after choosing
       Replace All when the find field was empty. (Bug #13744385)
     * On Microsoft Windows XP, performing a database export could cause
       MySQL Workbench to crash while using the Export to Self-Contained
       File option with a UNC path. (Bug #13701996, Bug #64267)
     * On Mac OS X, the schema sidebar was missing a horizontal scrollbar.
       (Bug #13596326, Bug #64000)
     * Inserting a snippet into the SQL Editor could insert incorrect
       characters. (Bug #13466559)
     * MySQL Workbench would generate invalid SQL while using the
       Partitioning tab when altering a table. (Bug #64396, Bug #13788180)
     * The Data Export option would not use the current date in the folder
       name containing the exported data. (Bug #63893, Bug #13571760)
     * Database, Synchronize Model would not update the view after a new
       field was added. (Bug #62569, Bug #13051152)
     * On Microsoft Windows, the MySQL Workbench installer would sometimes
       not detect where VISUAL C++ 2010 was installed.
       A workaround is to append CPP_100_RUNTIMES to the eCustomProperties
       property in the .msi file. (Bug #62141, Bug #12872805)
     * After a connection has timed out, clicking Reconnect to DBMS would
       freeze MySQL Workbench. (Bug #64467, Bug #13840041)
     * On Mac OS X, expanding the schema for a remote database from within
       the SQL Editor tab would crash, if the SQL editor tab was closed
       before the tables were done being fetched. (Bug #63589, Bug
       #13500242)
     * On Mac OS X, when viewing the results of a query that would
       normally exceed the window width, the last column would have a
       width of one character if the column type was numeric. (Bug #62588,
       Bug #13365052)
     * Within the Database, Synchronize With Any Source wizard,
       synchronizing a model from a Live Database Server source to a Model
       Schemata destination would crash after the Retrieve Object
       Information step. (Bug #64553, Bug #13812932)
     * Password-based SSH authentication would still check the key-based
       authentication files within .ssh/ before prompting for a password.
       (Bug #60024, Bug #12672238)
     * The minimum size of the MySQL Workbench window has been lowered to
       980x600 pixels, although officially the minimum screen resolution
       requirement remains at 1280Ã1024. (Bug #63519, Bug #13463411)
     * MySQL Workbench would not build with GLib 2.3x+, as only glib.h can
       be included directly. (Bug #63705, Bug #13500364)
     * Copying SQL to the clipboard could cause MySQL Workbench to hang or
       crash if the table comments contained Unicode characters that
       exceeded the buffer size. (Bug #64611, Bug #13840045)
     * While using MySQL Workbench to adjust a Users and Privileges role
       with a MySQL Server version prior to 5.1.6, an unhandled exception
       would result from MySQL Workbench attempting to access the
       mysql.event table. (Bug #63149, Bug #13496657)
     * A query like SELECT foo+1 FROM bar could cause a crash. (Bug
       #64051, Bug #13629089)
     * Scrolling the mouse wheel now only scrolls the focused window. (Bug
       #61480, Bug #12661387)
     * On Fedora Linux version 16 and greater, the service command is now
       used to start and stop the MySQL Server, instead of
       /etc/init.d/mysqld. (Bug #63777, Bug #13519817)
     * MySQL Workbench would prompt a user for the password to reconnect
       to a MySQL server that had lost the connection, and this password
       dialogue would not have focus yet still showed as the top window
       with a blinking cursor. To reduce confusion, this password window
       is no longer the top window. (Bug #62003, Bug #12918370)
     * On Windows XP, attempts to copy values from multiple cells would
       fail, and not insert values into the clipboard. (Bug #64281, Bug
       #13726466)
     * The Open value in viewer window did not open with SELECT queries
       that used the cast function. (Bug #63874, Bug #13548148)
     * The following sequence would crash MySQL Workbench: Database,
       Reverse Engineer to generate an EER diagram, then Database,
       Synchronize with Any Source, and then a mouse-click would cause the
       crash. (Bug #61876, Bug #12912593)
     * The following sequence could crash MySQL Workbench: "Open a model",
       "Synchronize the model with a remote database", "Modify the model",
       and then "Synchronize the model" a second time. (Bug #63943, Bug
       #13779239)
     * The Control + a key combination would not select all of the text
       within a window. (Bug #63752, Bug #13511244)
     * SELECT queries could crash MySQL Workbench during the validation
       stage of the SQL Editor. (Bug #64435, Bug #13788133)
     * The _idx suffix is now added to foreign keys as they are created.
       And MySQL Workbench checks for duplicate named foreign keys if a
       document is loaded from a previous version of MySQL Workbench. And
       if duplicates are found, then the user is given the choice of
       renaming them. (Bug #60705, Bug #58135, Bug #12621452, Bug
       #11765197)
     * Queries that explicitly set RESTRICT will now synchronize properly
       with those that do not, because RESTRICT is the default behavior in
       MySQL. (Bug #62432, Bug #13491535)




Version 5.2.39 (2012-04-10):
============================

Functionality Added or Changed:
     * Updated the bundled MySQL Utilities to version 1.0.5.






Version 5.2.38 (2012-02-23):
============================

Functionality Added or Changed:
     * The width of the "Reference column" drop-down selector is now set
       to the widest entry. (Bug #53278, Bug #11760835)



Bugs Fixed:
     * On Linux, the result set window would not display properly. (Bug
       #13615255)
     * While editing Limit Connectivity to Host Matching within the Server
       Administration, Users and Privileges, Login window, the Apply
       button would not be available until one of the other three Users
       and Privileges fields was changed. (Bug #13470424)
     * Comments that spanned multiple lines and included stored procedures
       with comments that were surrounded by conditional comments would
       not be handled properly, as MySQL Workbench would end the outer
       comment unconditionally when the first inner comment was finished.
       (Bug #13490118)
     * On Microsoft Windows with the "classic mode" theme set, MySQL
       Workbench buttons were difficult to read. (Bug #13470583)
     * Generating a DBDoc report with both HTML Detailed Frames and
       Include DDL code for objects enabled would cause MySQL Workbench to
       stall. (Bug #13471637)
     * The Plugins, Utilities, Execute Query Into Text Output feature
       would duplicate the first column, and fill it with NULL values.
       (Bug #13470770)
     * Scripting Shell would fail to continue running after a breakpoint.
       Clicking Execute Script after a breakpoint now continues execution
       of the script. (Bug #13470397)
     * The Scripting shell window lost focus after opening and closing a
       tab. (Bug #13470451)
     * On Microsoft Windows, using the Manage Server Instances menu to
       delete server instances could cause MySQL Workbench to generate an
       internal error while closing the Manage Server Instances window.
       (Bug #13466083)
     * For Microsoft Windows, the Download Prerequisites link within the
       MySQL Workbench installer now directly links to the prerequisites
       manual page. (Bug #13448582)
     * On Linux, MySQL Workbench .mwb files would be detected as Zip
       files. (Bug #13466584)
     * The SQL Editor Execute the Explain Command... feature did not
       function properly, and would return zero results. (Bug #13466571)
     * Using the Open Connection to Start Querying dialog with a new (not
       stored) connection would cause MySQL Workbench to crash. (Bug
       #13028855)
     * The editor tabs would not update after a user was added. (Bug
       #12884776)
     * On Linux, while saving a new model with a note, the Save to File
       dialogue would not prompt to name the file. (Bug #12933345)
     * It was possible for MySQL Workbench to generate a pop-up window
       underneath a different pop-up window, thus requiring a restart of
       MySQL Workbench when the bottom pop-up was required to be closed
       first. (Bug #12927510)
     * Under the File menu, using the Print to PDF... and Print to PS
       File... options for a model would crash MySQL Workbench. (Bug
       #12884845)
     * Dumping a schema via the Data export and restore option now prompts
       for a correct password, as needed. Before it would simply fail to
       export. (Bug #12903967)
     * Opening a Server Administration tab for a server instance that has
       remote management via SSH enabled would result in an error, and
       fail to load. (Bug #63857, Bug #13655999)
     * Within Server Administration, Users and Privileges, selecting Add
       Account after sorting the users would insert the new user into the
       list alphabetically, yet open the bottom user entry into the
       editor. (Bug #63951, Bug #13702340)
     * On Linux, the Object Info panel within the SQL editor would not
       show information about the object, and would instead remain empty.
       (Bug #63960, Bug #13608228)
     * On Linux and Mac OS X, the Replace All search feature would hang,
       and not function properly. (Bug #63764, Bug #13520443)
     * Query, Commit Result Edits and Query, Discard Result Edits could
       result in "Unrecognized command" errors, and not function properly.
       (Bug #63744, Bug #13511195)
     * On Microsoft Windows, tab titles were difficult to read on systems
       with dark backgrounds. (Bug #63715, Bug #13500349)
     * The search box within the MySQL Workbench toolbar did not perform
       searches. (Bug #61825, Bug #12757354)
     * On Microsoft Windows, the Open in viewer menu could be blank while
       viewing results. (Bug #63873, Bug #13548115)
     * Closing a tab could result in an unhandled exception. (Bug #64152,
       Bug #13655860)
     * Choosing the Open value in Editor option would scroll the result
       set to the top. Selecting this option no longer refreshes the
       results, so the selected row remains intact. (Bug #63860, Bug
       #13539049)
     * Executing a query after reordering multiple editor tabs would make
       the inactive editor tab active, and execute that query. (Bug
       #63866, Bug #13542154)
     * On Microsoft Windows, changing or deleting a row or column within a
       model, could cause a crash. (Bug #63056, Bug #13344572)
     * The object editor could leak memory and crash MySQL Workbench while
       handling notifications. (Bug #63025, Bug #13492608)
     * MySQL Workbench would highlight the MySQL 5.6 reserved words name,
       type, and types. (Bug #62775, Bug #13252599)
     * Clicking the foreign keys tab within the Alter table context could
       crash MySQL Workbench. (Bug #63050, Bug #13492730)
     * Recovery of the last state using either the Auto-save feature, or
       the Save snapshot of open editors on close option, would sometimes
       load improperly by creating an empty schema and/or crash while
       closing opened SQL editor tabs. (Bug #61950, Bug #12917371)
     * Exporting a model to a CSV file could crash MySQL Workbench. (Bug
       #63883, Bug #13685708)
     * Double-clicking on a table within the EER diagram editor would
       sometimes crash MySQL Workbench. (Bug #62451, Bug #13014823)
     * Selecting and editing multiple indexes or foreign keys would crash
       MySQL Workbench. (Bug #61863, Bug #62057, Bug #12757370, Bug
       #13013715)
     * On Mac OS X 10.7+, the "Open File" panel would attempt to show
       hidden files, which would fail and cause no files to be shown.
       MySQL Workbench no longer attempts to display hidden files on Mac
       OS X. (Bug #62172, Bug #12912085)
     * Pressing the Control + Enter key combination within the SQL editor
       would generate a recoverable error. (Bug #62169, Bug #12927292)
     * If the charset/collation is set to use the default value, then
       DEFAULT will now be inserted as the charset/collation name within
       generated queries. (Bug #61202, Bug #12622649)
     * Plugins, Utilities, Reformat SQL Query would mangle queries by
       removing the first SELECT statement if a subquery clause was
       present. (Bug #60311, Bug #12613662)
     * Pasting a query with \r line endings instead of \r\n or \n could
       cause MySQL Workbench to mangle the query. Line endings are now
       normalized after pasting, like they already were while loading
       files. (Bug #56334, Bug #11763603)
     * On Microsoft Windows, rapidly repeating a query could emit an
       error. (Bug #56776, Bug #11763997)
     * The main schema information found within the object browser now
       updates after a table is altered, and collapses the expanded
       details. And selecting an object now reloads the data, which means
       the current (altered) data is displayed. (Bug #63828, Bug
       #13538990)
     * MySQL Workbench would not work with paramiko 1.7+. (Bug #63750, Bug
       #13519860)
     * MySQL Workbench did not test for and use the gl.pc pkgconfig files
       if present, to determine the location of GL/{gl,glx}.h and
       libGL.so. (Bug #63818, Bug #13538964)
     * MySQL Workbench would fail to compile under certain PCRE setups,
       like when pcre.h existed within /usr/include/pcre/. (Bug #63819,
       Bug #13538971)
     * Moving the placeholder row (an empty row) around within the table
       editor would crash MySQL Workbench. The placeholder row can no
       longer be moved. (Bug #64122, Bug #13629953)
     * Choosing the Close All But This option within the routines manager
       would freeze MySQL Workbench. (Bug #64133, Bug #13630602)
     * When viewing the foreign key definition window of the Alter Table
       editor, the restrict foreign key option did not display for either
       the update or delete actions, and instead the value would appear
       empty. (Bug #63978, Bug #13596254)
     * On Mac OS X, opening files saved from previous versions of MySQL
       Workbench would result in an empty window, without data being
       loaded. (Bug #63932, Bug #13571842)
     * On Microsoft Windows, the Routines editor would insert extra line
       endings. (Bug #55006, Bug #11762414)
     * The Server Status window would incorrectly sort options. Numeric
       fields are now sorted numerically (e.g., 1300 is now after 500).
       (Bug #61659, Bug #12698865)
     * The File, Open SQL Script, Files of Type dialogue would incorrectly
       give the option to open files with the .dbquery suffix, instead of
       .qbquery. (Bug #63861, Bug #13541769)
     * A query similar to the following would crash MySQL Workbench:
       select c.* from actor c where actor_id=38 (Bug #63940, Bug
       #13582514)
     * The Beautify Query feature incorrectly formatted statements
       containing the UNION clause, which left the query with syntax
       errors. (Bug #64120, Bug #13629967)
     * After clicking Apply to alter a table where changes are not being
       made, the output window says "Preparing..." and does not
       automatically change to "No changes detected" until the window is
       clicked. (Bug #63842, Bug #13548232)
     * MySQL Workbench would freeze when a SELECT statement was executed
       on a table without private keys, and that included at least one
       UNIQUE NOT NULL column. (Bug #63867, Bug #13542546)
     * On Linux, right-clicking on a table and choosing the Alter Table
       feature would perform no function.
       A workaround was to delete all XML nodes from
       /usr/share/mysql-workbench/modules/data/editor_mysql_table_live.gla
       de like:
                <child internal-child="selection">
                  <object class="GtkTreeSelection" id="treeview-selection5"/>
                </child>

     * Queries containing a UNION are now excluded from the automatic
       addition of the LIMIT clause, when the Limit Rows preference is
       enabled. (Bug #62524, Bug #13029474)
     * After a connection has timed out, clicking Reconnect to DBMS would
       freeze MySQL Workbench. (Bug #61722, Bug #12725314)
     * The Beautify Query wizard would remove spaces from MySQL date
       function parameter values that contain INTERVAL. (Bug #61021, Bug
       #12546864)
     * MySQL Workbench would crash while opening an existing EER model,
       after a file failed to open. (Bug #63841, Bug #13539006)
     * Individual model settings are now respected. Before they would be
       ignored in favor of the global settings. (Bug #61771, Bug
       #12757255)
     * While attempting to synchronize a database to any source, the
       Execute button to perform the synchronization was missing. Only the
       Go Back and Close buttons were shown. The Execute button is now
       standardized for all database synchronization options. (Bug #62130,
       Bug #12872823)
     * On Microsoft Windows, and when called from the home screen, opening
       and immediately closing the Manage Server Instances window would
       result in an unhandled exception. (Bug #63927, Bug #13571816)
     * On Mac OS X, exporting a database that has a stored procedure
       resulted in an unhandled exception. (Bug #63653, Bug #13476062)
     * A pop-up window is no longer generated when selecting an inactive
       server from within the Server Administration panel. (Bug #61810,
       Bug #12757347)
     * On Microsoft Windows, using Alt based key shortcut combinations
       would not always work. (Bug #54119, Bug #11761607)
     * The dialog windows now remain in front, even when another part of
       MySQL Workbench is clicked. (Bug #48692, Bug #11756737)
     * MySQL Workbench now detects duplicated trigger names while using
       the Model,Validation, (MySQL)->Validate all and Model, Validation
       (MySQL), Check integrity sequences. (Bug #44063, Bug #11752780)
     * Running a SELECT statement and attempting to alias the only column
       selected would result in a crash. (Bug #64123, Bug #13629962)
     * When right-clicking on a table that has triggers, and then choosing
       Create Statement to either send the statement to the clipboard or
       SQL editor, the trigger creation statement is written before the
       table creation statement. (Bug #61698, Bug #12756722)
     * MySQL Workbench would crash after the following sequence:
       Synchronize Model With Database, Fetch Object Info, Continue. (Bug
       #63746, Bug #13591854)
     * MySQL Workbench would emit an error (error code: 1064) with queries
       using WITH ROLLUP. (Bug #57178, Bug #11764355)
     * MySQL Workbench would not behave correctly with ON UPDATE
       CURRENT_TIMESTAMP as a default value, while synchronizing models,
       and would update the field. (Bug #61087, Bug #12546735)
     * When a table had columns like DOUBLE(M,D), the data model
       synchronization would discard the (M,D) specification, and convert
       the columns to DOUBLE(11). (Bug #61165, Bug #12565933)
     * Tables without an engine set were treated as though they were
       unable to support foreign keys. Therefore, the foreign key
       declaration would be missing after forward engineering these
       tables.
       A workaround is to explicitly set the table engine to InnoDB. (Bug
       #63934, Bug #13562926)




Version 5.2.37 (2011-12-26):
============================

Functionality Added or Changed:
     * The SQL editor now automatically fetches table data. (Bug #63590,
       Bug #13500202)



Bugs Fixed:
     * Under Server Administration, the location of the configuration file
       was not visible. It is now shown within the configuration file
       label. (Bug #14017264, Bug #65033)
     * The SQL editor would open a table in read-only mode when opened
       from either the Edit Table Data link via the home screen, or if the
       schema tree was not expanded. (Bug #13466131)
     * On Mac OS X, the File, Open Recent feature would open the incorrect
       script. (Bug #13028666)
     * Viewing the Server Logs on a MySQL server after it has been
       stopped, resulted in an unhandled exception. (Bug #12908134)
     * Pasting from the clipboard would not work in the hostname and
       related fields. Users are now able to paste values into these
       fields. (Bug #11753997, Bug #45528)
     * Options unrelated to the SQL Editor would be available under the
       View menu while a SQL editor window was open. (Bug #11763150, Bug
       #55830)
     * On Mac OS X, clicking Apply within the Alter Table dialogue on a
       table with foreign constraints would crash MySQL Workbench. (Bug
       #62042, Bug #12844307)
     * Invalid SQL was generated when a schema name contained a dot. Table
       names are now enclosed in quotes. (Bug #63710, Bug #13500360)
     * MySQL Workbench required the Andale Mono font. (Bug #61782, Bug
       #12757325)
     * The export feature would sometimes fail when exporting tables with
       stored procedures, and with Dump Stored Procedures checked. And
       also having Export as Dump Project Folder selected would result in
       an unhandled exception. (Bug #57500, Bug #11764642)
     * The Help, Check for Updates feature did not function properly. (Bug
       #63534, Bug #13463399)
     * The SQL editor would not load under certain circumstances. The
       check for restoring split positions was corrected to solve this
       issue. (Bug #63582, Bug #13490891)
     * The password prompt dialog is no longer the topmost window over all
       open applications on a system, but now it's only the topmost MySQL
       Workbench window. (Bug #63499, Bug #13496347)
     * MySQL Workbench now quotes table names in generated SQL queries,
       when the table name contains characters that would break the SQL
       statement. (Bug #63600, Bug #13497088)
     * Generating a list of tables and views was slow, when compared to
       the previous MySQL Workbench version. (Bug #63633, Bug #13485667)
     * The field editor would hang when large text values were shown. (Bug
       #63606, Bug #13485779)
     * MySQL Workbench would sometimes be unable to save changes that were
       only to comments. It used a hard limit, but now uses the MySQL
       Server limit for maximum comment lengths. For example, it would
       compare the first 60 characters of a table comment change, and
       generate an error if the change did not affect the first 60
       characters.
       From the MySQL Server 5.5.3 changelog: the maximum length of table
       comments was extended from 60 to 2048 characters. The maximum
       length of column comments was extended from 255 to 1024 characters.
       Index definitions now can include a comment of up to 1024
       characters. (Bug #61626, Bug #12694146)
     * MySQL Workbench would generate an exception after editing and then
       closing a table tab within the EER diagram window. (Bug #63591, Bug
       #13463991)
     * Creating a foreign key using the Place a relationship using
       existing columns EER option would crash MySQL Workbench. (Bug
       #63629, Bug #13480328)
     * Exporting a database that has a stored procedure, resulted in an
       unhandled exception. (Bug #63653, Bug #13476062)
     * The user administration panel did not fit on systems using a
       1024x768 screen resolution. (Bug #62341, Bug #12967541)
     * Changing a schema name with routines present would prepend and
       append invalid delimiters. (Bug #63624, Bug #13470435)
     * MySQL Workbench could freeze while importing a dump. (Bug #63669,
       Bug #13485795)
     * Case changes to ENUM values were not recognized by MySQL Workbench.
       (Bug #60478, Bug #11889204)
     * Database synchronization would sometimes confuse similar table and
       routine names. (Bug #61028, Bug #12656879)
     * Altering the case of a table name caused an error, when that was
       the only change and the SQL Identifiers are Case Sensitive option
       was set to true. (Bug #58808, Bug #11765806)
     * The Forward engineering feature now preserves case for schema
       names, even on case-insensitive systems. Before it would create
       lowercase variants of the schema names on these systems. (Bug
       #56237, Bug #11763520)
     * Within the Database, Forward Engineer dialogue for a Model, the
       DROP Objects Before Each CREATE Object option was ignored if the
       Export MySQL Table Objects option was not selected. (Bug #59200,
       Bug #11766157)
     * The Forward engineer feature would sometimes create invalid SQL
       syntax for old MySQL Workbench files with deleted routines and
       roles. (Bug #53973, Bug #11761473)




Version 5.2.36 (2011-12-03):
============================

Functionality Added or Changed:
     * The Edit, Format, Beautify Query feature no longer quotes column
       names. (Bug #13030351)
     * The Database, Synchronize Model... dialogue now creates a schema if
       one does not already exist. (Bug #45025, Bug #11753561)
     * New entries to the error log are now shown when restarting the
       MySQL server.
       When log_output is set to FILE, the log files are now displayed in
       the MySQL Workbench log page. (Bug #52445, Bug #11760073)
     * MySQL Workbench did not support the .dbquery file extension. (Bug
       #54321, Bug #11761795)
     * The export result set dialog has been redesigned, and now saves the
       previously used settings. (Bug #60490, Bug #11889185)
     * Indexes are now shown within the schema tree. And indexed columns
       are also indicated within the table information panel. (Bug #61295,
       Bug #12616367)
     * The auto_increment information is now displayed within the SQL
       editor. (Bug #60933, Bug #12402845)
     * The query and associated results are no longer displayed in
       separate tabs, but they are now viewable within a single interface.
       (Bug #60624, Bug #11926853)
     * Added the ability to edit data from a result set after executing a
       query. If MySQL Workbench determines that a returned result cannot
       be edited, then a read-only icon will be displayed, and hovering
       over the icon reveals a tooltip that explains why it cannot be
       edited. (Bug #56794, Bug #11764013)
     * If only one server instance is defined, then the Server
       administration, Manage security option will now automatically
       connect to it, instead of prompting to choose a server instance.
       (Bug #61451, Bug #12647697)
     * The edit context menus, such as Edit Table Data, now open as new
       tabs. Before they reused (overwrote) the same tab. (Bug #61774, Bug
       #12731459)
     * Added the Copy Inserts to Clipboard option to the Plugins, Objects
       menu. (Bug #54036, Bug #11761531)
     * The Overview tab was removed, in favor of the new schema layout.
       (Bug #53323, Bug #11760879)
     * The SQL Editor history tab now auto-scrolls to the bottom, so that
       the most recent entry is visible. (Bug #49317, Bug #11757294)
     * Added a new format to the SQL Editor for export, which is identical
       to the XML generated by the mysql --xml command. It's titled XML
       (mysql format). (Bug #49305, Bug #11757284)
     * The SQL snippets interface been redesigned and relocated to its own
       sidebar. Its display may also be toggled. (Bug #50069, Bug
       #11757950)
     * On the SQL Editor tabs, right-clicking a tab now offers the
       following options: New Tab, Save Tab, Close Tab, Close Other Tabs,
       and Copy Path to Clipboard. (Bug #60883, Bug #12399369)
     * Additional Export data types were added to the SQL Browser, which
       now includes JSON, Excel spreadsheet, and MySQL formatted XML. (Bug
       #56808, Bug #11764024)
     * The SQL editor windows did not have maximize or minimize buttons,
       but these windows are now opened in configurable tabs. (Bug #60606,
       Bug #12617245)
     * SQL snippets can now be edited, and then saved. (Bug #58879, Bug
       #11765873)
     * A Paste Row context option was added to the Edit Table Data menu of
       the Object browser. (Bug #58169, Bug #11765228)
     * Added the ability to copy Status and System Variables to the
       clipboard. (Bug #49074, Bug #11757074)
     * The Overview tab was replaced, in favor of the new schema tree
       view. (Bug #56795, Bug #11764014)
     * Tab spacing is now defined as 4 on the Linux and Mac platforms, to
       be consistent with Windows. (Bug #58867, Bug #11765862)
     * The Alter table option defaulted to Table view, but now uses the
       new table editor. (Bug #55050, Bug #11762454)
     * Added a input field to filter the schema list in the Object
       Browser. (Bug #55162, Bug #11762554)
     * Added toolbar buttons to toggle the sidebars and bottom panel of
       the SQL Editor. (Bug #53714, Bug #11761243)
     * The table view within the Object Browser has changed. The table
       view includes another level of grouping, which includes Columns,
       Indexes, Foreign Keys, and Triggers. Before, only the columns were
       listed. (Bug #53504, Bug #11761050)
     * The table information window within the Object Browser has been
       expanded to include foreign keys, triggers, indexes, and data
       types. (Bug #53502, Bug #11761048)


Bugs Fixed:
     * Tables would be listed as Fetching... after pressing the Reconnect
       DB button. (Bug #13040104)
     * While administrating a server instance, importing a project folder
       will result in an "Import from Disk" error after the following
       sequence: Data Export and restore, Export to Dump project folder,
       with Dump views and Dump stored routines... checked, then exporting
       a schema with views and/or routines, opening the SQL Editor and
       dropping the exported schema, then clicking Import to Disk within
       the server administrator. (Bug #13025419)
     * After right-clicking a cell within the insert grid of the model
       table editor, an unhandled exception was generated on Microsoft
       Windows, and a fatal error on Mac OS X. (Bug #13029647)
     * The Manage Security window initially shows the first connection as
       selected, but it is not. (Bug #13026478)
     * While using the import/restore feature of the server instance
       administration area, views and routines were not imported. (Bug
       #13041684)
     * A previously selected object could not be dragged, as it would
       instead enter "Edit Name" mode after the second click. (Bug
       #12884796)
     * Within a diagram view, the Edit, Find, Find advanced option was
       unrecognized and performed no function. (Bug #12884864)
     * Pressing Refresh within the Slow Query Log tab resulted in an
       unhandled exception. (Bug #12928308)
     * New server instances created by the Manage Server Instance wizard
       would send the incorrect service name to the MySQL admin. The
       command is now constructed at run time using the service name from
       the server instance profile. (Bug #12567371)
     * The Alter Table... option did not function on tables with triggers.
       (Bug #12546727, Bug #61110)
     * Selecting a schema with a large number of tables (e.g., 200+) would
       indicate that the schema was empty. (Bug #49291, Bug #11757270)
     * Right-clicking on a row within the Inserts tab could crash MySQL
       Workbench. (Bug #62583, Bug #13365077)
     * Altering and saving a routine twice, reverting, and then clicking
       Apply would crash MySQL Workbench (Bug #62979, Bug #13492510)
     * The Alter Routine wizard would report that a routine was
       successfully updated, although the routine would remain unchanged.
       (Bug #62527, Bug #13029468)
     * While double clicking an arrow to expand a table from within the
       object browser, to see its columns, the arrow disappeared and the
       table could not be expanded. (Bug #61124, Bug #12736804)
     * On Linux, MySQL Workbench would fail to open, because it could not
       load the MySQL Diff Reporting module. (Bug #61304, Bug #12613921)
     * On Microsoft Windows, and with the Show Live Schema Overview
       preference disabled, MySQL Workbench would emit an error while
       attempting to open a Database Connection. (Bug #62407, Bug
       #13364933)
     * Selecting and dragging tables to the diagram area would fail. A
       workaround was to collapse the table list first and then drag it
       over, although it was only possible to drag a single table. (Bug
       #62267, Bug #13013851)
     * On Microsoft Windows 7, some MySQL Workbench buttons would be
       difficult to read due to incompatible background colors with the
       "Windows classic Style" scheme. (Bug #61685, Bug #12711145)
     * MySQL Workbench would sometimes crash while in Forward Engineering
       mode. (Bug #60950, Bug #12572071)
     * If a schema within the schema panel was clicked, then a table was
       also clicked (dropped down) within the schema, then the panel
       containing Actions, Schemas, and details would expand to fill half
       of the view window, and the size could not be adjusted. (Bug
       #60692, Bug #12587848)
     * The Server Administrator did not function with MySQL Server 5.0.
       And although MySQL Workbench does not officially support MySQL
       Server 5.0, this functionality now works. (Bug #62549, Bug
       #13029339)
     * Using MySQL Workbench could result in an unhandled exception, with
       the message "Attempted to read or write protected memory. This is
       often an indication that other memory is corrupt." (Bug #56034, Bug
       #11763338)
     * The Generate INSERT Statements for Tables option would not generate
       INSERT statements for BLOG columns. (Bug #60657, Bug #12565791)
     * Pressing Execute after double clicking and editing a field in
       select all mode, resulted in an unhandled exception. (Bug #61279,
       Bug #12627523)
     * The Reconnect to DBMS toolbar option would not reconnect after
       unchecking the Safe Updates preference. A workaround is to uncheck
       this option, then restart MySQL Workbench. (Bug #62448, Bug
       #13014798)
     * MySQL Workbench did not fully adhere to locale settings, which
       could result in unhandled exceptions. (Bug #56869, Bug #11764077)
     * MySQL Workbench could crash while restoring large files. (Bug
       #61365, Bug #12627685)
     * Pressing Esc once now escapes out of edit mode within the row
       editor. Before, it had to be pressed twice. (Bug #60131, Bug
       #11829997)
     * Exporting SQL for tables that included comments would generate
       invalid SQL statements. A comma was missing immediately before the
       COMMENT. (Bug #61393, Bug #12627762)
     * Auto-scrolling for the SQL output and history windows was added.
       (Bug #55865, Bug #11763183)
     * MySQL Workbench would allow the creation of foreign keys on tables
       using engines that do not support them. A warning is now emitted if
       this is attempted. (Bug #57875, Bug #11764972)
     * Open diagram tabs from a saved MySQL Workbench state were not saved
       properly. (Bug #60515, Bug #12617096)
     * Switching between two logins for a single database connection
       required the password to be reentered with each switch. (Bug
       #62052, Bug #12921420)
     * Server Administration, Manage Import/Export would return an error
       about the dump module. (Bug #58098, Bug #11765164)
     * The Create Routine... feature would report that it created a
       routine, but it did not, and the error was revealed in the output
       window. (Bug #62624, Bug #13362190)
     * The Foreign Keys tab of the Alter Table wizard only created an
       index, without the foreign key. (Bug #56818, Bug #11764033)
     * On Linux, viewing the embedded documentation required the
       python-sqlite2 package. (Bug #60336, Bug #11874507)
     * Closing MySQL Workbench would not prompt to save unsaved work from
       modified SQL files and windows. (Bug #60557, Bug #11926868)
     * On Linux and Mac OS X, using Tab and Shift+Tab to jump to
       next/previous fields has been added to the query result view. It
       had previously only worked on Windows. Additionally, the Escape key
       will now cancel editing of the current cell, and PageUp/PageDown
       scrolls one page up and down in the result set. (Bug #60865, Bug
       #12368205)
     * A query history date would incorrectly change when a history entry,
       other than the last one, was selected when the query was executed.
       (Bug #62642, Bug #13104635)
     * On Microsoft Windows, the EER diagram search did not work across
       multiple pages. (Bug #61957, Bug #12818216)
     * On Linux, the Database, Generate Catalog Diff Report... model
       option was disabled. (Bug #62040, Bug #12844314)
     * The Configuration File path within the Server Administration panel
       is now read-only, when before it would temporarily set the path.
       This path should be set via the profile setting instead. (Bug
       #62252, Bug #12922746)
     * The Users and Privileges window did not scale to low screen
       resolutions like 1024x768. It does now, although MySQL Workbench
       still has an official minimum screen resolution of 1280x800. (Bug
       #61518, Bug #12661556)
     * On Ubuntu 11.10, MySQL Workbench would freeze at the startup splash
       screen. (Bug #62347, Bug #13099521)
     * On Microsoft Windows, upgrading MySQL Workbench required MySQL
       Workbench to be run as a user with Administrator rights. (Bug
       #62709, Bug #13116366)
     * The Advanced Export Options preferences were not saved, and would
       reset after restarting MySQL Workbench. (Bug #60497, Bug #11889197)
     * The Clear script output and Close this script tab buttons are now
       disabled in non-script tabs. (Bug #61318, Bug #12616331)
     * An unhandled exception might be emitted after modifying an EER
       diagram, with a popup window reading "MySQL Workbench has
       encountered a problem - Queue empty." (Bug #62651, Bug #13079826)
     * MySQL Workbench would not recognize the active schema with case
       insensitive servers. As a result, an active schema within the
       Object browser would be unselected after a USE statement was
       executed. (Bug #61641, Bug #12711143)
     * The File, Open Recent feature would open the incorrect script. (Bug
       #61856, Bug #12912374)
     * Repeatedly refreshing a schema resulted in an unhandled exception.
       (Bug #61892, Bug #12762893)
     * Expanding then collapsing the query results window within the SQL
       editor, yielded a different appearance. (Bug #62371, Bug #13007096)
     * The SQL editor output tab did not report the number of affected
       rows. (Bug #60535, Bug #12617147)
     * Fixed Data export so that routines and views are only exported when
       they are selected. In addition, individual views may now be
       selected for export. (Bug #61937, Bug #12949918)
     * After setting a default schema, choosing Refresh all while the
       schema information is "fetching" would result in an unhandled
       exception. (Bug #62086, Bug #12913399)
     * Using Alter routine to make changes would sometimes crash after
       clicking Apply. (Bug #63076, Bug #13340307)
     * On Mac OS X, Command+W will now close the active script editor tab,
       and Command+Shift+W will now close the active connection tab. This
       is now consistent with behavior on other operating systems. Before,
       the Command+W combination closed the active connection tab. (Bug
       #60253, Bug #11829750)
     * Executing a slow query would not notify the user that the query was
       running. The new SQL editor interface does show the progress. (Bug
       #61231, Bug #12589710)
     * Tab panels within Server Administration would not fresh properly.
       (Bug #61452, Bug #12647731)
     * Opening model files while using a MySQL Workbench version that was
       installed over a previous MySQL Workbench installation would
       sometimes cause permission issues. The workarounds included running
       MySQL Workbench with administrator privileges, or removing the
       installation folder before upgrading. (Bug #62703, Bug #13323929)
     * Manipulating multiple SQL editor tabs would sometimes result in
       uncaught exceptions. (Bug #60764, Bug #12621640)
     * MySQL Workbench would crash when attempting to use Alter Table or
       Create Table from within the context menu. (Bug #60760, Bug
       #12621510)
     * After opening a saved model file, the Control+T shortcut would not
       work from within a query window. (Bug #61379, Bug #12627716)
     * On Linux, code folding for stored procedures and loops did not work
       properly within the SQL editor. (Bug #61302, Bug #12612394)
     * The Synchronize model with Database wizard would not properly
       handle case-sensitive table names. (Bug #60523, Bug #12617135)
     * The default schema selection would be lost after synchronizing a
       model. (Bug #60975, Bug #12621744)
     * File, Export, Forward Engineer SQL CREATE Script would append an
       extra space to TINYINT(1) after converting it from BOOL. (Bug
       #61696, Bug #12711138)
     * A Download Prerequisites link is now displayed when prerequisites,
       such as the "Visual C++ 2010 Redistributable Package" requirement,
       are not met. Before, the link was not visible. (Bug #61897, Bug
       #12769499)
     * Opening Management, Server Logs would generate an unhandled
       exception when using table-based logging, while the general log was
       empty. (Bug #62123, Bug #12872836)
     * Creating a server instance using unicode characters worked, but an
       error would be generated while attempting to open them. (Bug
       #63100, Bug #13350556)
     * Fixed a typo, where "database" was misspelled as "dabase" within
       the DBDesigner description. (Bug #62250, Bug #12912465)
     * Connection and query tabs can now be reordered, by dragging and
       dropping with the mouse pointer. (Bug #60409, Bug #11865602)
     * When hovering the mouse pointer over a table figure on a diagram,
       the foreign key tooltip would hide the table column names. (Bug
       #61055, Bug #12546715)
     * Factory snippet files were fixed, to include proper line-endings
       for all platforms. (Bug #60643, Bug #12621434)
     * The USE statement is now properly quoted. For example, an invalid
       USE query would be generated if a schema contained a - character.
       (Bug #59882, Bug #11766711)
     * The Finish button was inactive (grayed out) for the Edit Table Data
       dialog, if the database contained exactly one table. (Bug #52833,
       Bug #11760422)
     * Copying a table column would lose the data type, when only the
       column line number was selected instead of the data type or field
       name. (Bug #59285, Bug #11905520)
     * On Microsoft Windows, the Find option (Control+F) for the SQL
       editor was not available. (Bug #61233, Bug #12622697)
     * Editor windows would sometimes lose focus, but they are now docked
       within the main application window, which eliminated this problem.
       (Bug #55923, Bug #11763235)
     * Enabling the Limit Rows SQL editor preference would cause invalid
       SQL syntax with SELECT INTO statements. (Bug #58732, Bug #11765738)
     * If a table cannot be edited (e.g., no Primary key), then MySQL
       Workbench now notifies users of the reason, when before the edit
       option was simply not available. (Bug #51563, Bug #11759263)
     * Within a server instance administration panel, setting Export to
       Self-Contained File to an invalid path resulted in an unhandled
       exception. (Bug #59246, Bug #11766194)
     * Closing and opening the SQL Editor now sets the last used schema as
       the default, instead of the schema specified within the connection.
       (Bug #51454, Bug #51026, Bug #11759165, Bug #11758776)
     * The Find feature (search) was replaced with a panel, which offers
       more consistent behavior across platforms. The Find and Replace
       feature is also now a panel, instead of a pop-up window. (Bug
       #54765, Bug #11762197)
     * The Auto-save feature would behave with unpredictable results, by
       opening up an incorrect number of windows when MySQL Workbench was
       next loaded. (Bug #62192, Bug #12907612)
     * The Copy Row Content option would throw an unexpected exception,
       from within a model.
       In addition, the Paste Row option was added. (Bug #60116, Bug
       #12417533)
     * A triple-click was required to change the Referenced column of a
       foreign key, while editing a table within an EER diagram. (Bug
       #50725, Bug #11758512)
     * Within the Routine Editor, opening multiple Apply SQL Script to
       Database dialogues and then executing one, except for the last one
       opened, would crash MySQL Workbench. (Bug #61988, Bug #12918227)
     * When viewing text at a size greater than 100% (such as 125%), some
       text field labels would be partially hidden. (Bug #58408, Bug
       #12628507)
     * The Object editors (such as Alter Table, Alter View, and Alter
       Routine) now open as tabs, instead of separate wizard windows. (Bug
       #61422, Bug #12642157)
     * Fixed a crash bug, which would happen on exit. (Bug #60733, Bug
       #12632325)
     * Importing a dump would misquote the --defaults-extra-file option,
       which would cause the import to fail. (Bug #61910, Bug #12912786)
     * The Output tab of the SQL editor now adjusts whitespace characters,
       as to display queries on a single line. (Bug #58989, Bug #11765966)
     * Broken views (e.g., a column no longer exists) are now displayed as
       broken within the schema tree view. (Bug #56701, Bug #11763928)
     * On Linux, the previously set window positions and sizes were not
       saved by MySQL Workbench. These settings are now saved upon
       closing, and used when MySQL Workbench is loaded. (Bug #54025, Bug
       #11761521)
     * On Mac OS X, switching from the Model tab to the EER Diagram tab
       caused an error sound. (Bug #61809, Bug #12757337)




Version 5.2.35 (2011-09-23):
============================

Functionality Added or Changed:
     * On Microsoft Windows, the standard (common) keyboard and mouse
       shortcuts that control zoom were not fully implemented. Usage:
       Control++ to zoom in, Control+- to zoom out, and Control+/ to reset
       to 100%. (Bug #57463, Bug #11764608)
     * The Copy Insert Template to Clipboard option was added to the Model
       View. For more information, see A Table on an EER Diagram. (Bug
       #54887, Bug #11762310)
     * The query history is now saved between Workbench sessions. (Bug
       #51388, Bug #11759102)
     * Usernames and schemas can now be sorted. (Bug #55318, Bug
       #11762692)


Bugs Fixed:
     * The Administrator now allows various authentication plugins (such
       as Windows Auth, PAM) to create user accounts.
       The dropdown for the authentication method will only be displayed
       if MySQL Workbench detects that additional authentication plugins
       are enabled by the server. (Bug #12899893)
     * The unused Start MySQL Utilities Shell for Connection connection
       menu item was removed. (Bug #12898126)
     * MySQL Workbench would sometimes crash after opening multiple EER
       diagrams. (Bug #12875254)
     * The Create EER Model from Existing Data Base process would
       incorrectly report that the schema was empty. (Bug #12875126)
     * On Mac OS X, disabling the Enable data changes commit wizard
       preference setting would not disable the wizard. (Bug #61354, Bug
       #12616314)
     * MySQL Workbench would not load the configuration options with
       MariaDB due to version number differences between MariaDB and
       MySQL. (Bug #61219, Bug #12605404)
     * Closing MySQL Workbench would not prompt to save SQL Editor scratch
       tabs. (Bug #58899, Bug #11765889)
     * The is_enabled() method was added to the mforms View class. (Bug
       #62140, Bug #12860149)
     * The database connection splash screen would freeze after opening a
       server administration instance. It would work perfectly the second
       time. (Bug #61693, Bug #12756623)
     * It was not possible to drop multiple selected tables or schemas.
       (Bug #55688, Bug #11763027)
     * Creating, then selecting or removing user accounts with invalid
       hosts (such as '%', including the single quotes) resulted in an
       unhandled exception. (Bug #61244, Bug #12580053)
     * MySQL Workbench crashed with a segmentation fault after the
       connection step of a model synchronization. (Bug #61822, Bug
       #12742008)
     * Under certain circumstances, closing a query window would not
       prompt to save the query. (Bug #61160, Bug #12565971)
     * Create EER Model, Schema Privileges, Add Role, Privileges, and then
       Uncheck All Privileges caused MySQL Workbench to crash. (Bug
       #61308, Bug #12613935)
     * MySQL Workbench would not connect to multiple database connections
       when the sql_history folder was too large. A workaround was to
       delete the sql_history folder. (Bug #59520, Bug #11766417)
     * The MySQL Workbench SE MySQL Bug Reporter linked to bugs.mysql.com
       instead of support.oracle.com. (Bug #60364, Bug #11872318)
     * The Synchronize with Any Source option reversed the 'destination'
       and 'source' database names within the generated SQL statement.
       (Bug #62189, Bug #12921676)
     * The SQL Editor History could not be saved when the username
       contained Unicode characters. This was due to MySQL Workbench
       attempting to save files using an invalid file path. (Bug #59215,
       Bug #12403539)
     * On Microsoft Windows, expensive queries caused MySQL Workbench to
       be unresponsive after other applications were made active, and the
       MySQL Workbench wizard was running. This meant that the main MySQL
       Workbench window could not be selected. (Bug #61122, Bug #12543271)
     * The SQL Editor Output, History window contained escaped characters.
       For example, a "'" was written as "&apos;". (Bug #61345, Bug
       #12605093)
     * On Microsoft Windows, a MySQL Workbench Unexpected Error dialogue
       is generated when using two SQL Editor windows each with their own
       database connection to the same server. (Bug #61367, Bug #12612181)
     * On Microsoft Windows, the following scenario generated an error and
       a bogus SQL editor tab upon MySQL Workbench restoration: Having
       multiple open SQL Editor tabs, closing the first, and then closing
       the database connection (while the Auto-save scripts interval
       option is enabled). (Bug #60569, Bug #12617215)
     * On Mac OS X, the Operation in progress dialogue would stall when
       using database connections from older versions of MySQL Workbench.
       The workaround was to move the mouse. (Bug #61416, Bug #12627853)
     * On Linux, the Reverse Engineer Database, Select Objects to Reverse
       Engineer dialogue contained a menu titled label. (Bug #61327, Bug
       #12600868)
     * MySQL Workbench would not compile with GNU C Compiler (GCC) version
       4.6. (Bug #60603, Bug #12617226)
     * The Find Plugin in Web Repository option was removed from the MySQL
       Doc Library action. (Bug #61305, Bug #12613922)
     * On Mac OS X, an unchanged MWB file would prompt to save after
       exiting, and then crash after selecting Yes. (Bug #61547, Bug
       #12668099)
     * On Mac OS X, connecting to remote servers using SSH tunnels failed
       to connect. The workaround was to manually test the connection
       first, via the Manage Connections menu. (Bug #61537, Bug #12674397)
     * The Management, Server Logs, Slow Query Log view resulted in an
       unhandled exception after the initial Newest button usage. (Bug
       #58810, Bug #11765808)
     * The SQL Editor Overview tab did not refresh after a schema was
       deleted. (Bug #61314, Bug #12616355)
     * The Object Browser now automatically refreshes after an object is
       changed. (Bug #56704, Bug #11763930)
     * MySQL Workbench would crash when pressing Apply to an empty SQL
       field under the Review the SQL Script to be Applied to the Database
       form, the second time, after selecting Go Back. (Bug #61632, Bug
       #12694149)
     * On Microsoft Windows, installation of 5.2.34 over 5.2.33 would
       sometimes fail due to file collisions, and would then crash at
       startup. (Bug #61296, Bug #12600117)
     * Copy Insert to Clipboard now updates the MySQL Workbench status to
       say âThe table schema.table has no records for insert statementsâ
       when no inserts are defined for the table. (Bug #54887, Bug
       #11762310)
     * Viewing the Admin Management option Server Logs with an empty TABLE
       resulted in an unhandled exception. (Bug #61523, Bug #12674989)
     * On Ubuntu Linux, MySQL Workbench crashed with a segmentation fault
       when executing the View, Output combination twice. (Bug #61303, Bug
       #12601189)
     * The query beautifier added superfluous identifier quote characters
       to the end of some queries. (Bug #60576, Bug #11926859)




Version 5.2.34 (2011-05-26):
============================

Functionality Added or Changed:
     * Canceling a query used to work by dropping the connection. Now only
       the query itself is canceled. (Bug #12394153)
     * Added the ability to see differences of compared schema objects,
       when the database synchronization wizard is executed. (Bug #42844,
       Bug #11751838)
     * MySQL Workbench now writes the wb.log file in the .mysql/workbench
       directory rather than in ~ (your home directory). (Bug #60930, Bug
       #12548457)
     * On Windows, it is possible to open multiple models, but it was not
       clear that enabling this preference requires a MySQL Workbench
       restart. The check box tooltip now indicates this. (Bug #59400, Bug
       #11766312)
     * A Check for Updates feature was added. (Bug #56612, Bug #11763846)
     * Toggle Page Guides is no longer available. (Bug #49927, Bug
       #11757824)
     * In diagram mode, display of triggers for tables was re-enabled.
       (Bug #57956, Bug #11765044)
     * If a column value is too long to display, an ellipsis (...) is
       displayed at the end to indicate that there is more data. (Bug
       #55976, Bug #11763283)
     * If MySQL Workbench finds that .NET is not installed, it now
       provides a link for the user to get the .NET installer. (Bug
       #55145, Bug #11762538)
     * The SQL Editor can now wrap long text lines. This is controllable
       per editor instance using its context menu. By default, line
       wrapping is off. (Bug #50569, Bug #11758372)
     * MySQL Workbench now shows query execution time and query warnings.
       (Bug #51199, Bug #11758933, Bug #58333, Bug #11765373)
     * The Check for updates... menu item that was removed several
       releases ago has been restored. (Bug #60488, Bug #11879029)


Bugs Fixed:
     * A SHOW WARNINGS query would return zero results, even when warnings
       existed. (Bug #59221, Bug #11766174)
     * On Ubuntu Linux 11.04+, part of the main MySQL Workbench menu would
       be hidden when utilizing the Ubuntu Unity display handler.
       Therefore, the Unity style menus have been disabled. (Bug #61256,
       Bug #12581792)
     * Fixed a possible crash when selecting File, Export, Forward
       Engineer SQL CREATE Script, and followed by the browse button. (Bug
       #60626, Bug #12617320)
     * On Mac OS X, the Shift+Alt + Arrow combination selected individual
       characters instead of words. (Bug #50085, Bug #11757963)
     * These query beautifier problems were corrected:
          + Queries containing table aliases were mishandled.
          + Spaces between table names and table aliases were incorrectly
            removed.
       (Bug #60742, Bug #11883490, Bug #12327013)
     * The live schema tree did not update properly to reflect
       modifications to schema objects. (Bug #50424, Bug #11758248)
     * MySQL Workbench could crash while applying an SQL script to a
       database. (Bug #60966, Bug #12608789)
     * Create EER Model from SQL Script reported a syntax error when
       importing legal SQL scripts. (Bug #59577, Bug #11766464)
     * In the Python workbench shell, files with a nonsupported execution
       generated a warning and could not be run. (Bug #60815, Bug
       #12561562)
     * Refreshing the Object Browser collapsed the browser tree. (Bug
       #60887, Bug #12366813)
     * Clicking the Manage Security link in the MySQL Workbench Home
       screen opened the Admin screen in the Startup tab rather than the
       Accounts tab and produced an error. (Bug #59389, Bug #11766302)
     * Some MWB files created in MySQL Workbench 5.1 could not be loaded
       in 5.2. (Bug #59862, Bug #11766695)
     * Executing an SQL script using the scripting shell is not supported,
       but attempts to do so resulted in a MySQL Workbench crash rather
       than an error. (Bug #60977, Bug #12402780)
     * MySQL Workbench lost the connection to the server for long-running
       queries (more than 600 seconds). (Bug #60103, Bug #11766876)
     * For data browsing, the Fetch All option sometimes disappeared. (Bug
       #49403, Bug #11757365)
     * A memory leak occurred during diagram manipulation. (Bug #55719,
       Bug #11763054)
     * On Windows, opening a second instance of MySQL Workbench resulted
       in an error. (Bug #59128, Bug #11766090)
     * Selecting the Create Multiple Tables menu item resulted in an
       error. (Bug #59586, Bug #11766473)
     * MySQL Workbench displayed superfluous error messages after the user
       interrupted a query. (Bug #59323, Bug #11766255)
     * MySQL Workbench sometimes looked for my.ini in the wrong directory.
       (Bug #60076, Bug #11766855)
     * With a large table displayed in the SQL Editor object browser,
       keyboard shortcuts for the table information display were not
       working, and the information was not formatted properly. (Bug
       #54191, Bug #11761676)
     * After loading a model, zoom levels saved with bookmarks were not
       always used correctly. (Bug #50816, Bug #11758594)
     * MySQL Workbench tries to determine whether it can use Aero, but did
       not correctly check the platform. On Windows Server 2003, a call
       was made to a non-existing DLL, causing a .NET crash. (Bug #60412,
       Bug #11872360)
     * A problem running MySQL Utilities under the KDE console was fixed.
       (Bug #59427, Bug #12430837)
     * When a schema was dropped in the Object Browser view using the
       context menu, the view was not refreshed properly. (Bug #60688, Bug
       #11933806)
     * When the SQL statement history file became large enough, MySQL
       Workbench encountered allocation errors attempting to add to it.
       (Bug #58778, Bug #12409656)
     * If a connection name contained a ':' character, it did not work.
       (Bug #60700, Bug #12325493)
     * Dragging tables from the catalog to an EER diagram failed. (Bug
       #47028, Bug #11755277)
     * MySQL Workbench crashed if it was unable to locate a required DLL
       due to security blocking. Now it displays instructions to the user
       how to perform unblocking. (Bug #60658, Bug #12545324)
     * Control+Z in the Model Editor did not always refresh the screen
       correctly. (Bug #59661, Bug #11766531)
     * After using the column headers of the User Accounts list to sort
       the accounts by User or From Host, then selecting various accounts
       in turn, the selected accounts often did not match the account
       being displayed in the corresponding Login, Administrative Roles,
       or Account Limits tabs. (Bug #59391, Bug #11766304)
     * MySQL Workbench did not assign a correct tab name when opening an
       SQL script from the recent file list menu. (Bug #60610, Bug
       #11926855)
     * Some color schemes made options difficult to read. (Bug #60826, Bug
       #12368221)
     * Exporting a record set to a file resulted in invalid INSERT
       statements if the table contained a column named key because the
       column name was not quoted properly. (Bug #59787, Bug #11766638)
     * EER Diagram Catalog Tree schema folders did not stay collapsed when
       moving tables from a schema to the Diagram. (Bug #55088, Bug
       #11762487)
     * Using the Description Editor to update a table description did not
       update the Comments column of the Model Overview window. (Bug
       #55235, Bug #11762621)
     * Actions that should open a web page did not work. (Bug #54827, Bug
       #11762254)
     * Opening a connection from the list of recently used connections
       caused the user interface to become unresponsive while wanting for
       the connection to open. Now a âConnecting, please waitâ message
       appears and there is a Cancel button to enable the connection
       request to be canceled. (Bug #48912, Bug #11756924)
     * Several crashes occurred under KDE with certain GTK+ themes. (Bug
       #60640, Bug #11926917)
     * It was not possible to import a dump if MySQL Workbench was
       installed in a directory having a name that contained spaces. (Bug
       #59737, Bug #11766595)
     * On Windows, a packaging error for the Zip file distribution led to
       spurious GRT Shell warnings at MySQL Workbench startup. (Bug
       #49813, Bug #11757719)
     * Items from the SQL Editor history were not always available to be
       copied into the SQL script. (Bug #59807, Bug #1766651)
     * When the user closed the main window with a connection active,
       MySQL Workbench did not terminate the connection. This lead to
       Aborted_clients errors on the server side. (Bug #58944, Bug
       #11765929)
     * On Linux, MySQL Workbench was overly aggressive about reading
       schema information from INFORMATION_SCHEMA, leading to slowdowns
       when connecting to the MySQL server. Now information is read only
       for the default schema. (Bug #60644, Bug #11926793)
     * The Users column in the Schema Privileges tab was not sortable.
       (Bug #59138, Bug #11766100)
     * Multiple USE statements to change databases in the SQL Editor
       caused MySQL Workbench to crash. (Bug #60856, Bug #12358480)
     * When double-clicking tables in a model diagram, tabs were
       mismanaged such that the proper set of tabs did not remain
       available. (Bug #57349, Bug #11764509)
     * For SQL Editor tabs where the connection had no name, connection
       information was not shown. Now MySQL Workbench displays the host
       name (up to 21 characters). (Bug #49058, Bug #11757060)
     * Connection sorting was lost after a status refresh. (Bug #59355,
       Bug #11766279)
     * On Mac OS X, two-finger scrolling did not work in query windows.
       (Bug #53678, Bug #11761211)
     * Output from the routine editor added excessive blank lines between
       routine definitions. (Bug #60205, Bug #11874345)
     * The SQL statement generated by clicking an item in the action pane
       failed to include the qualifying database name. (Bug #60562, Bug
       #11926864)
     * MySQL Workbench could crash trying to display result sets that
       contained binary data. (Bug #60588, Bug #12385959)
     * New server instances were not always displayed in the Server
       Administration list. (Bug #60684, Bug #11933087)
     * The Administrator panel would not load for large process ID values
       of the MySQL server. (Bug #60505, Bug #12397312)
     * Forward Engineer SQL Script wizard wrote incomplete output. (Bug
       #60751, Bug #12329302)
     * MySQL Workbench failed to compile on Gentoo Linux. (Bug #60358, Bug
       #12368202)
     * MySQL Workbench could not view the server logs if the server was
       configured with log output set to 'TABLE,FILE'. (Bug #60853, Bug
       #12365454)
     * File import operations failed with these errors:
Error executing task: 'module' object has no attribute
'STARTF_USESHOWWINDOW'
Error executing task local variable 'p1' referenced before
assignment
       (Bug #60982, Bug #12430815)
     * Changing connection parameters in Synchronize Model resulted in an
       error message. (Bug #60771, Bug #12329285)
     * On Mac OS X, Option+Delete functioned as Undo rather than deleting
       the word to the left of the cursor. (Bug #57184, Bug #11764360)
     * Record set export to a file failed unless the file name was given
       as an absolute path name. (Bug #60256, Bug #11874435)
     * Stored procedures could not be opened from the objects tree if the
       SQL Delimiter had been changed to the ';' character. Now the label
       for this option in the Preferences dialog has been changed to Non
       Standard SQL Delimiter to better reflect its actual meaning. The
       tooltip has also been changed to be more descriptive. In addition,
       if an Alter <object>... operation fails due to a parse error, the
       retrieved DDL code is shown as is in the SQL editor. (Bug #60354,
       Bug #11889184)
     * For import and export command operations using a Unix socket file,
       MySQL Workbench added an incorrect --pipe option to the command.
       (Bug #60756, Bug #12325422)
     * Find did not work in Query tabs. (Bug #60787, Bug #12347063)
     * It was not possible to view or edit long text lines with the inline
       editor. (Bug #52087, Bug #11759751)
     * The TRIGGER privilege could not be assigned at the schema level.
       (Bug #52977, Bug #11760556)
     * Query results could not be saved to a directory for which the name
       contained Japanese characters. (Bug #60438)
     * Exporting query results after entering a file path name did not
       work. (Bug #60438, Bug #11868335)
     * Multiple-selection copy did not work. (Bug #60410, Bug #11865601)
     * Attempting to connect to a nonexistent server put MySQL Workbench
       in a nonresponsive state. (Bug #60329, Bug #11834154)
     * Clicking a user name to obtain details caused MySQL Workbench to
       crash if the name contained an apostrope. (Bug #60473, Bug
       #11889207)
     * When database connections had process IDs with large values, the
       connection tab displayed an error box rather than process
       information. (Bug #60192, Bug #12397794)
     * Control+S did not save models or SQL Editor scripts. When opening
       an SQL script, it did not display the file name. (Bug #60594, Bug
       #12402774)
     * MySQL Workbench crashed trying to execute some CREATE TABLE
       statements. (Bug #60475, Bug #12356405)
     * Opening a connection twice resulted in unexpected errors when
       executing queries on the connection. (Bug #58835)
     * The description given in the Workbench Preferences dialog for the
       --safe-updates option was incorrect. (Bug #59370, Bug #11766289)




Version 5.2.33b (2011-03-21):
=============================

Bugs Fixed:
     * Creating a relationship broke the model file due to the index and
       foreign key having the same name. (Bug #60564, Bug #11926856)
     * Attempting to open a saved model produced this error:
Error unserializing GRT Data.  Expected Type db.mysql.Column, but got
db.mysql.Table.
       (Bug #60369, Bug #11840427)




Version 5.2.33 (2011-03-11):
============================

Bugs Fixed:
     * The Reformat SQL Query option would sometimes fail, and emit an
       error. (Bug #58856, Bug #11765852)
     * MySQL Workbench would incorrectly report that the MySQL server had
       stopped. (Bug #51146, Bug #11758886)
     * The query beautifier failed for queries containing subqueries. (Bug
       #58835, Bug #11765832)
     * The ability to synchronize non-model sources was added. (Bug
       #60009, Bug #11766805)
     * It was not possible to forward engineer a model, or synchronize it
       with a live model. (Bug #60396, Bug #11850052)
     * In the Administrator, when Manage Security was selected, an error
       message was displayed in the status bar. It was not then possible
       to see and therefore manage user privileges. (Bug #60370, Bug
       #11840439)
     * In the Users and Privileges task of the Administrator, it was not
       possible to sort the users alphabetically. (Bug #56456, Bug
       #11763710)




Version 5.2.32 (2011-03-05):
============================

Functionality Added or Changed:
     * Changing the default schema now modifies the selected schema name
       to be bold. (Bug #57710, Bug #11764836)
     * In the SQL Editor, in the event of a crash, the content and state
       of script tabs was lost if not previously saved. MySQL Workbench
       now autosaves the content and state of the SQL Editor. (Bug #57667,
       Bug #11764794)
     * MySQL Workbench has been improved so that an errors are more
       clearly identified if they occur when synchronizing with a live
       server, or forward engineering to a live server. (Bug #55158, Bug
       #11762551)


Bugs Fixed:
     * These query beautifier problems were corrected:
          + Aggregate function text was deleted.
          + In the SQL Editor, the beautifier did not process functions
            such as COUNT() or NOW() or correctly. It rendered the
            function with additional spaces, causing a syntax error.
       (Bug #60070, Bug #11766850, Bug #59450, Bug #11766354, Bug #58714,
       Bug #11765722)
     * Dropping a table from the Object Browser did not remove the table's
       icon. (Bug #52878, Bug #11760462)
     * Primary and foreign keys are now displayed with different icons.
       (Bug #53503, Bug #11761049)
     * MySQL Workbench crashed when closing the query results tab in the
       SQL Editor. (Bug #59774, Bug #11766626)
     * In the SQL Editor, switching between query tabs did not switch the
       associated results panel. (Bug #57486, Bug #11764628)
     * The text in the SQL Editor was not anti-aliased, which hindered
       readability by causing the text to visually conflict with
       anti-aliased text elsewhere in MySQL Workbench. (Bug #54059, Bug
       #11761553)
     * When deleting a recursive foreign key constraint, the primary key
       was also mistakenly deleted. (Bug #59668, Bug #11766538)
     * In the SQL Editor, if a '`' (grave accent) character was entered,
       any subsequently entered control keys such as the arrow keys or the
       backspace key failed to function correctly. (Bug #59528, Bug
       #11766425)
     * Generated scripts did not manage connection variables cleanly. For
       example, the autocommit state was not preserved by the script
       produced by forward engineering an SQL CREATE script. The script
       switched off autocommit, but did not then restore it correctly to
       its previous state. (Bug #58998, Bug #11765974)
     * When synchronizing a model with a server, indexes were
       unnecessarily dropped and recreated. (Bug #58238, Bug #11765284)
     * Forward engineering a model containing two schema resulted in a
       generated script that contained incorrect SQL:
DELIMITER ;USE `Schema2` ;
       The DELIMITER and USE statements should not have appeared on the
       same line. (Bug #58117, Bug #11765180)
     * In the Columns tab of the table editor, copying and pasting the
       Datatype field using Control+C and Control+V resulted in the text
       âtable_copy1â being pasted, rather than the copied datatype. (Bug
       #56501, Bug #11763749)
     * When forward engineering a model, the generated script resulted in
       SQL errors when executed on the server. This happened when the
       following options were selected:
          + DROP Objects Before Each CREATE Object
          + Omit Schema Qualifier in Object Names
          + Generate Separate CREATE INDEX Statements
          + Generate INSERT Statements for Tables
       (Bug #54836, Bug #11762262)
     * The generated alter script contained erroneous statements adding
       and deleting indexes and foreign keys. (Bug #54180, Bug #11761666)
     * In the EER Diagram view, clicking a table to edit its details
       sometimes resulted in this error:
Cannot access a disposed object.
Object name: 'DockedWindowPlugin'
       (Bug #59559, Bug #11766448)
     * When a model was forward engineered, the primary keys were not
       created in the generated script. (Bug #58926, Bug #11765913)
     * When exporting a model, if the Skip Creation of FOREIGN KEYS option
       was selected, indexes were not created. (Bug #56389, Bug #11763649)
     * In the EER Diagram view, MySQL Workbench crashed on selecting a new
       table. This happened if the Privileges tab was open for the
       currently selected table. (Bug #59535, Bug #11766431)
     * In the Administrator, when making a backup with the
       --single-transaction option enabled, the --lock-tables option was
       erroneously still enabled. (Bug #58562, Bug #11765579)
     * Attempting to create a new server instance resulted in this error
       message:
We are sorry for the inconvenience but an unexpected exception has
been raised by one of the MySQL Workbench modules. In order to fix
this issue we would kindly ask you to file a bug report. You can
do that by pressing the [Report Bug] button below.
       (Bug #59578, Bug #11766465)
     * At startup, MySQL Workbench displayed a blank screen if it had
       previously been closed after using the menu item Help, System Info,
       and then clicking the main application window close button. (Bug
       #55764, Bug #11763097)
     * On Microsoft Windows, if the Windows Firewall application was not
       running, installation of MySQL Workbench would halt with an error
       dialog indicating that it was unable to connect to the firewall.
       (Bug #53603, Bug #11761143)
     * There were numerous locations within MySQL Workbench where the
       availability of context-sensitive menus (right-clicking) was
       expected and useful, but not available. (Bug #49622, Bug #11757556)
     * On Windows, the Python debugger stopped the script being executed
       in MySQL Workbench after about one second. It then displayed the
       message "abort" in the output pane. (Bug #58960, Bug #11765943)
     * On Microsoft Windows 7, if a user profile launched MySQL Workbench,
       it crashed if additional user profiles attempted to launch it. The
       first instance needed to be closed before another user profile was
       able to run MySQL Workbench. (Bug #59913, Bug #11766733)
     * On the Home screen, right-clicking a connection and selecting Start
       Command Line Client produced this error:
Error calling
PyWbUtils.startCommandLineClientForConnection: see
output for details

output:
Message: Error executing plugin wb.tools.comdlineClient:
error calling wb.tools.cmdlineClient
Traceback:
File "C:\Program Files\MySQL\MySQL Workbench 5.2 CE\modules
\wb_utils_grt.py", line 96, in
startCommandLineClientForConnection

schema = conn.parameterValues["schema"].replace("\\",
  "\\\\").replace('"', '\\"')
AttributeError: 'NoneType' object has no attribute 'replace'
       (Bug #59638, Bug #11766510)
     * When running MySQL Workbench with the arguments â-script [FILE.lua]
       -quit-when-doneâ, it crashed with this message:
  [MySQL Workbench Unexpected Error]

  MySQL Workbench has encountered a problem

  Cannot access released / disposed object.
  Object name: "MainForm".
       (Bug #57570, Bug #11764708)
     * Trying to create a relationship between two tables, created in a
       plugin, produced this error:
MySQL Workbench has encountered a problem
Es wurde versucht, im geschÃ¼tzten Speicher zu lesen oder zu schreiben. Dies ist
 hÃ¤ufig
ein Hinweis darauf, dass anderer Speicher beschÃ¤digt ist.
       (Bug #58554, Bug #11765571)
     * In the SQL Editor, when editing table data, this error dialog was
       displayed:
Either schema or table is not selected.
       Each time the dialog was acknowledged, it was subsequently
       redisplayed, preventing further progress. (Bug #57127, Bug
       #11764305)
     * Attempting to create a new user with MySQL Workbench failed with
       this error:
Unhandled exception: Error adding account accountName@%:
       (Bug #59000)
     * The collapsed state of Workbench Central, on the Home screen, was
       not saved between MySQL Workbench sessions. If after collapsing
       Workbench Central to save vertical space, the application was
       exited and restarted, Workbench Central was drawn in the expanded
       state. (Bug #59399)
     * Forward engineering a table containing a multiple-line comment
       resulted in this error:
ERROR 1105 (HY000) at line 97: Too long comment for table 'motd'
       (Bug #38597)
     * Running the version of mysqldump supplied with the MySQL Server
       package resulted in this error:
Operation failed with exitcode -1073741819
       (Bug #59411)
     * SQL Editor did not load certain text files correctly, and inserted
       erroneous empty lines between text. (Bug #58850)




Version 5.2.31a (2010-12-13):
=============================

Functionality Added or Changed:
     * It was not possible to launch the MySQL Command Line Client from
       the SQL Editor. MySQL Workbench has been changed so that it is now
       possible to launch a MySQL Command Line Client from the Home
       screen. This can be done through the context-sensitive menu
       available for items listed in the connections list on the Home
       screen. (Bug #56631)


Bugs Fixed:
     * SQL Editor did not load certain text files correctly, and inserted
       erroneous empty lines between text. (Bug #58850)
     * Opening the Snippets tab in the SQL Editor caused MySQL Workbench
       to crash with the error:
** Message: query.explain built-in command is being overwritten
mysql-workbench-bin: /usr/include/boost/smart_ptr/shared_ptr.hpp:418: T*
boost::shared_ptr< <template-parameter-1-1> >::operator->() const [with T = Sql_
editor]:
Assertion `px != 0' failed.
Aborted

       (Bug #58833)
     * MySQL Workbench closed silently when the User Defined Types Editor
       dialog was closed using the close button on the window frame, or by
       pressing Alt+F4. (Bug #58846)
     * An unexpected error was generated when attempting to modify the
       script created in the Forward Engineer to Database wizard. (Bug
       #58893)




Version 5.2.31 (2010-12-08):
============================

Functionality Added or Changed:
     * The query execution time was added to the query result status bar.
       (Bug #53509, Bug #11761054)
     * Edit, Format, Un/Comment Selection was added. (Bug #55278, Bug
       #11762657)
     * MySQL Workbench has been changed so that holding the spacebar while
       in the EER Diagram view temporarily changes the cursor to the hand
       tool. When the spacebar is released the cursor reverts to the tool
       that was selected prior to the spacebar having been pressed. (Bug
       #52331)


Bugs Fixed:
     * MySQL Workbench would not detect invalid values while they were
       entered into the properties editor. (Bug #11749933)
     * These query beautifier problems were corrected:
          + When the beautifier was used on a query that performed a join
            with the USING keyword, the table name was concatenated with
            that keyword.
          + The beautifier did not recognize the optional AS keyword in
            table references. When AS was used with a table alias, the
            beautifier concatenated that keyword and the alias, which
            caused any references to the original alias to fail.
          + Using the beautifier on a query containing USING resulted in
            an invalid query being generated. This was due to missing
            spaces around USING.
          + Using the beautifier on a query resulted in an unhandled
            exception.
          + If a query was partially selected, and then the beautifier was
            run, the results were unpredictable. Problems included
            exceptions, duplicated tokens, and incorrect indentation.
          + When the beautifier was run on code containing several
            statements, the code was incorrectly formatted.
          + A query containing a CASE keyword was not handled correctly.
          + The beautifier converted certain tokens to uppercase that
            should not have been converted.
          + When attempting to beautify a CREATE INDEX query, the
            beautifier removed part of the query.
          + If a query was written in the SQL Query tab, and then
            highlighted using the cursor, the beautifier failed with an
            unhandled exception on calls to beautify, uppercase, or
            lowercase functions.
          + Using the beautifier on a CREATE TABLE statement resulted in
            an unhandled exception.
       (Bug #58598, Bug #58569, Bug #58347, Bug #58565, Bug #58359, Bug
       #58367, Bug #58361, Bug #58360, Bug #58357, Bug #58358, Bug #58356)
     * In the SQL Editor, when entering a hex value into an INTEGER
       column, the hex value was automatically quoted as a string, causing
       it to be evaluated to 0. (Bug #58045)
     * Generated INSERT statements did not include quote characters for
       TEXT or DATE columns. (Bug #54910)
     * When exporting a record set using the SQL INSERT statements file
       format, a number of issues were found:
          + The first line contained the executed SELECT statement as a
            comment but the LIMIT syntax was located in a new line. This
            resulted in the LIMIT part of the statement not being
            commented out.
          + Strings following the VALUES keyword were not quoted.
          + The INSERT statements contained the text âtableâ in place of
            the actual table name.
          + Existing files were overwritten without prompting the user.
       (Bug #58377, Bug #56950)
     * In the SQL Editor, selecting the default database where the server
       contained only a single database had no effect. To avoid a âNo
       database selectedâ error, the database had to be selected in a
       script using the USE statement. (Bug #58274)
     * A script file that was converted to the cp850 character set was
       truncated on loading into the SQL Editor. (Bug #57636)
     * In the SQL Editor, an out of memory exception occurred when
       exporting a large record set in the CSV file format. (Bug #55889)
     * In the SQL Editor, when viewing table data where the number of
       columns was such that some columns were offscreen, if the End key
       was pressed to go to the last column in the row, the data grid did
       not scroll accordingly, so the column containing the cursor was not
       visible without manually scrolling. (Bug #54753)
     * Results for queries on rows that contained a null byte (\0) were
       truncated at the null byte character when displayed in the SQL
       Editor results pane. (Bug #58099)
     * In the SQL Editor, it was not possible to create a foreign key
       relationship between two tables. (Bug #55399)
     * It was not possible to add a comment for a Layer using the Object
       Editor. MySQL Workbench has been updated so that it is possible to
       add a comment for a layer using the Object Editor. (Bug #50668)
     * In the Model Overview, if a diagram had a title that wrapped to two
       lines or more, the second line was truncated due to lack of space
       in the panel. Now MySQL Workbench includes a scrollbar should the
       diagram titles not fit within the standard panel. (Bug #54952)
     * MySQL Workbench permitted an AUTO_INCREMENT column to be assigned a
       default value in the Table Editor, resulting in invalid DDL being
       generated. (Bug #49279)
     * For a column of type TIMESTAMP, the menu items Default
       CURRENT_TIMESTAMP and Default CURRENT_TIMESTAMP ON UPDATE
       CURRENT_TIMESTAMP in the context-sensitive menu of the Columns tab
       of the Table Editor were grayed out. This occurred where a
       preceding column of type TIMESTAMP was allocated an explicit
       default value. MySQL Workbench should not have prevented setting a
       value using the context-sensitive menu for the second defined
       column in this case. (Bug #57665)
     * Forward engineering a model failed with a duplicate column name
       error when the EER diagram contained a view consisting of tables
       joined using the JOIN ... USING syntax. (Bug #57329)
     * In the Role Editor, the âDrag object from the catalog tree to
       assign privilegesâ text label was out of date. The label should
       have read âDrag objects from Physical Schemata section to assign
       privilegesâ. (Bug #56321)
     * In the Reverse Engineer Database wizard, the ability to select the
       default schema on the Connection Options page was superfluous. (Bug
       #56179)
     * Deleting routine groups from the EER Diagram view did not delete
       routines. (Bug #56084)
     * In the Column tab of the Table Editor, it was possible to set NULL
       as the default value for a column that had been specified as NOT
       NULL. (Bug #55456)
     * In the Table Editor, if a data type was selected for a column, this
       was immediately reflected on the EER Diagram view. However, if the
       selection was reverted by pressing Control+Z, the EER Diagram was
       not updated to reflect this, and continued to display the original
       data type. (Bug #55348)
     * In the User Defined Data Types Editor, clicking the button to edit
       the argument list caused the Argument List Editor dialog to be
       drawn beneath the current dialog. As the dialog with focus could
       not be accessed, this meant it was not possible to proceed with
       editing and MySQL Workbench had to be closed. (Bug #55242)
     * The Modified time displayed in the Model Overview was incorrectly
       set to the current time. (Bug #55237)
     * It was not possible to select and copy messages in the Output
       window of MySQL Workbench. When messages were displayed it was no
       longer possible to right-click them and select either the Copy
       Selected Messages to Clipboard or the Clear Output Windows menu
       items. (Bug #54983)
     * In the Diagram view switching between tables caused erroneous
       carriage returns to be added to the DDL code in the Triggers tab.
       (Bug #54411)
     * Formatting of view code entered in the View Editor was not retained
       after synchronization of the model with the server. (Bug #52004)
     * ENUM values entered into the Inserts Editor were not automatically
       quoted. (Bug #57399)
     * When objects were double-clicked in the Diagram view, the correct
       tab was not always switched to in the Object Editor. The
       Description Editor did however switch to the correct object. (Bug
       #55994)
     * Backups dumped to a project folder (file per table) were restored
       in no particular order. This made it difficult to resume a
       problematic restore at a specific point. (Bug #56897)
     * In the Server Access Management tab of the Administrator no user
       accounts were displayed. Further, attempting to create a new
       account resulted in an exception. (Bug #57941)
     * The error message displayed when the mysqldump version needed
       updating was not informative enough. (Bug #54209)
     * An error message contained a spelling mistake:
Line 437 of .\backend\wbprivate\workbench\wb_context_ui_home.cpp:
std::string msg = strfmt("Error in sercurityManager module: %s",err.what());
       (Bug #57684)
     * Clicking the Configuration tab in the Administrator produced this
       error:
Error Opening Configuration File
Exception: Internal error. File data passed is not in expected format. This is a
 bug, we
would appreciate if you file a bug report at http://bugs.mysql.com.
       (Bug #57418)
     * In the Administrator, attempting to add an account with a login
       name longer than 16 characters resulted in an exception. (Bug
       #57300)
     * When the MySQL service was set to manual in MySQL Workbench, the
       service was displayed as running in the server status panel, even
       though the service had not yet been started. (Bug #56919)
     * In the Connections tab of the Administrator, scrolling did not work
       correctly with large numbers of connections. (Bug #56144)
     * When multiple tabs were open in the Administrator, with each
       connected to a different server, and with export of a database was
       set up in each, running an export operation resulted in errors.
       This occurred because MySQL Workbench attempted to export a
       database selected in a tab other than the currently selected one.
       (Bug #56113)
     * In the Configuration tab of the Administrator it was not possible
       to enable or disable the local_infile (LOAD DATA LOCAL) option.
       (Bug #55031)
     * In the Administrator, system health displayed NO DATA. (Bug #52151)
     * In the Administrator, starting or stopping the monitored server
       produced this error message:
Could not stop/start server: expected a character buffer object
       (Bug #58400)
     * In the Administrator, monitoring of a remote server did not work.
       (Bug #58586)
     * When using the Administrator, the CPU utilization jumped to 50%.
       (Bug #50578)
     * If a MWB file was double-clicked to open, but MySQL Workbench was
       already running, a new instance of MySQL Workbench was launched,
       rather than opening the file in a new tab in the currently running
       instance. (Bug #56067)
     * After printing, the status message displayed included incorrect
       capitalization. âPrint Diagram doneâ should have been displayed as
       âPrint diagram doneâ. (Bug #50035)
     * The menu option View, Windows, menu item did not appear to have any
       useful function. (Bug #49056)
     * Autotools were required to be installed locally to build MySQL
       Workbench from source. (Bug #58263)
     * The MySQL Workbench tarball contained cached Autotools information.
       (Bug #58261)
     * Typing into the Workbench Scripting Shell resulted in an Unexpected
       Error:
MySQL Workbench has encountered a problem.

Attempted to read or write protected memory. This is often an indication that ot
her
memory is corrupt.
       (Bug #58832)
     * The MySQL configuration file could not be accessed during MySQL
       Workbench installation. (Bug #56987)
     * When creating a new server instance, this error occurred when
       testing the settings:
Operation failed: File  doesn't exist
       (Bug #56911)
     * Close tab functionality failed intermittently. This occurred for
       attempts to close the tab directly or when using the File, Close
       tab menu item. (Bug #55901)
     * When setting the data type of a column to DOUBLE with precision
       specified, the data type reverted to DOUBLE without the desired
       precision specifiers. This happened in both the Table Editor and
       the SQL Editor. (Bug #57865)
     * After the computer woke from the sleep state, MySQL Workbench
       attempted to reconnect to a connection that had previously been
       closed in the SQL Editor. (Bug #56302)
     * In the sidebar of the SQL Editor, when a default schema was
       selected, other schemas listed in the sidebar were not displayed.
       (Bug #55864)
     * The schema editor decreased in size by several pixels each time a
       new schema was edited. (Bug #49425)
     * If the Table Editor was resized, it returned to the default size
       when switching between tables to be edited. (Bug #56314)
     * In the EER Diagram view, a copied object could not be pasted, if
       the object had previously been pasted and then edited. (Bug #55336)
     * The commands to arrange objects were not enabled in the EER Diagram
       view. This rendered it impossible to move objects to the back or
       bring them to the front. (Bug #57907)
     * The SQL Editor did not display the execution times for queries.
       (Bug #49390)
     * In the SQL Editor, right-clicking a table name and selecting Alter
       table did not launch the Alter table dialog as expected. This
       happened if the table name utilized mixed case letters. (Bug
       #58223)
     * In the SQL Editor tab of the Workbench Preferences dialog, if the
       OK button was not clicked centrally, it was possible to
       accidentally select or deselect one of the options Treat
       BINARY/VARBINARY as nonbinary character string or Enable Data
       Changes Commit Wizard. (Bug #57669)
     * In the SQL Editor, in the Foreign Key tab of the new-table dialog,
       it was not possible to select any of the foreign key check boxes.
       (Bug #56024)
     * The SQL Editor generated these errors if a query ran longer than 30
       seconds:
Error Code: 2013  Lost connection to MySQL server during query
Error Code: 2006  MySQL server has gone away
       (Bug #57449)
     * Find and Find and replace did not work in the SQL Query tab. (Bug
       #56898)
     * MySQL Workbench crashed when a snippet in the snippet list was
       right-clicked. (Bug #56588)
     * Selecting a Refresh or Refresh all button or menu item caused the
       list of tables and views in the sidebar to become empty. (Bug
       #55214)
     * In the Columns tab of the Table Editor, double-clicking to edit or
       add a new column caused the window to scroll to the top. (Bug
       #57793)
     * When saving over a read-only file, MySQL Workbench changed the file
       permissions to read/write. (Bug #56403)
     * If the relationship editor was already open, it was not possible to
       open it for another relationship without closing it first. (Bug
       #55708)
     * The forward engineering process generated SQL code that quoted
       boolean values, causing incorrect cast values. When a table
       contained the logical BOOLEAN type for a field it was converted to
       TINYINT(1) as expected. However, the values that were supplied for
       any inserts were quoted, as in this example:
INSERT INTO mytable (id,flag) VALUES (NULL,'TRUE');
       (Bug #57545)
     * In the Administrator, most columns were not sortable. For example,
       in the Connections tab, it was not possible to sort connections
       based on clicking the columns id, User, Host, DB, Command, Time,
       State, Info. (Bug #55813)
     * The PYTHONPATH environment variable from other Python installations
       interfered with MySQL Workbench. At startup, the error âcannot open
       SSH Tunnel Managerâ appeared. Further, it was not possible to use
       the MySQL Workbench administrative functions. (Bug #55674)
     * On the Select Object page of the Reverse Engineer Database dialog,
       the panels displayed when Show Filter was clicked did not resize
       correctly when Hide Filter was clicked. (Bug #57376)
     * When an EER diagram that was in the background was closed, it was
       not possible to reopen it. (Bug #55767)
     * Creating a many-to-many relationship between two tables resulted in
       only one index being generated. (Bug #56613)
     * In the Reverse Engineer SQL Script wizard, on the Input and Options
       page, the button to select the SQL script file had the text âBrowâ
       instead of âBrowseâ. (Bug #57929)




Version 5.2.30 (2010-11-20):
============================

Functionality Added or Changed:
     * MySQL Workbench has been changed so that the Query Editor in the
       SQL editor includes an SQL formatter. Code can be highlighted and
       formatted using the Edit, Format menu item. (Bug #50822)
     * An advanced search and replace dialog has been added to MySQL
       Workbench. This can be accessed from the main menu Edit option,
       Find and replace or the keyboard shortcut Control+Shift+f. (Bug
       #56629)


Bugs Fixed:
     * In the Table Editor of the SQL Editor, on the Foreign Keys tab,
       selecting the Referenced Table dropdown for a database containing a
       large number of tables caused MySQL Workbench to become
       unresponsive while the dropdown was being populated. (Bug #56014)
     * The output generated as a result of using the Print and Print
       Preview menu items was incorrect. Only the magnified top left
       corner of the EER diagram was displayed. (Bug #55139)
     * After a query was executed, MySQL Workbench crashed when the Export
       button was clicked to export the result set to a file. (Bug #57379)
     * For attempts to connect to a server using SSH, MySQL Workbench
       produced this error message after the user entered the password:
AttributeError: ServerProfile instance has no attribute 'serverInfo'
       (Bug #57695)
     * On Linux Fedora 14, MySQL Workbench produced this error at startup:
/usr/bin/mysql-workbench-bin: error while loading shared libraries: libpython2.6
.so.1.0:
cannot open shared object file: No such file or directory
       (Bug #56863)
     * The implementation of get_local_ip_list() had several problems:
          + It did not have a graceful fallback state in the event of
            errors.
          + It failed if ifconfig was not on the default user path.
          + It did not handle IPv6 addresses.
       (Bug #57537)
     * In the SQL Editor, it was not possible to close the last remaining
       tab. Closing the last remaining tab should result in a new blank
       tab being displayed. (Bug #57137)
     * When importing an SQL script using the Reverse Engineer SQL Script
       wizard, copying a path from the clipboard to the Select SQL script
       file input box resulted in an âinvalid pathâ error. (Bug #57927)
     * The default settings for the Export Directory Path in the Workbench
       Preferences dialog used mixed file path delimiters (both '/' and
       '\'). (Bug #57944)
     * In the Create Table dialog of the SQL Editor, if a new column was
       created with a synonym data type such as INTEGER, the datatype
       would appear blank, both in the interface and in the generated SQL.
       This resulted in an error when clicking the Apply SQL button. (Bug
       #55620)
     * In the Alter Table dialog of the SQL Editor, attempts to reorder
       columns failed. If a column position was changed, and then the
       Apply button was clicked, the dialog reported that no changes to
       the object were detected. (Bug #54923)
     * When a model was forward engineered with File, Export, Forward
       Engineer SQL CREATE Script, the generated script contained a
       statement that consisted of a single delimiter, ';'. (Bug #57378)
     * When a foreign key was created manually, if the referenced table
       did not exist, MySQL Workbench crashed. (Bug #57470)
     * In the EER diagram view, the table titles were the same color as
       the background color, making the table titles illegible. (Bug
       #57428)
     * It was not possible to change the name of an EER Diagram. The
       facility was missing from the Diagram Properties and Size dialog.
       (Bug #56625)
     * Foreign keys were not updated when a referenced column was deleted.
       (Bug #55219)
     * If the SSL option was selected for a standard TCP/IP connection,
       there was no facility provided to enter the SSL certificate
       details. (Bug #57101)
     * The safe updates option on the SQL Editor tab of the Preferences
       dialog required a MySQL Workbench restart to take effect. (Bug
       #56159)
     * When a new instance was created to connect using SSH with an SSH
       certificate file, the location of the certificate file was not
       saved. (Bug #52048)
     * In SQL Editor, when using the Alter Table facility to set a column
       to Auto Increment (AI), the dialog reported that âNo changes to
       object were detectedâ. (Bug #50214)




Version 5.2.29 (2010-10-12):
============================

Functionality Added or Changed:
     * The Autosave feature was added. (Bug #50044, Bug #11757926)
     * An open model that has not been saved is now automatically saved
       after a user-settable period. On loading a model file, MySQL
       Workbench will notify the user if the file was not previously saved
       correctly, due to a crash or power failure. MySQL Workbench can
       then attempt to recover the last auto-saved version. Note that for
       automatic recovery to be available for a new file, it will have to
       have been saved by the user at least once. (Bug #56718)


Bugs Fixed:
     * Security Fix: A security bug was fixed. (Bug #57080)
     * Scripts could successfully be executed on the MySQL Server failed
       to execute in the MySQL Workbench SQL Editor. (Bug #56833)
     * In the Model View, MySQL Workbench crashed when the Output tab was
       reopened after previously being closed. (Bug #57150)
     * Screen areas in the Administrator did not redraw correctly. It was
       necessary to move the main window to force a redraw. (Bug #55490)
     * If an EER diagram was created and then closed, attempting to reopen
       it caused MySQL Workbench to display an unexpected error dialog.
       (Bug #57259)
     * In the Administrator, clicking the Data Dump tab generated the
       error Error updating DB: float division and schemata were not
       displayed. (Bug #56658)
     * In the SQL Editor, if some table data was edited, and then the
       connection to the server was lost, clicking the Apply changes to
       data toolbar button caused MySQL Workbench to crash.
       Now MySQL Workbench shows an error message in the Output tab when a
       connection is lost. Once the connection is back up, clicking Apply
       changes to data re-establishes the connection and sends the changes
       to the server. (Bug #56170)
     * If a foreign key was set to RESTRICT for On Delete and On Update on
       the Foreign Keys tab of the Table Editor, MySQL Workbench generated
       SQL code to drop and add this key on every subsequent
       synchronization attempt. (Bug #55155)
     * Clicking the Inserts tab of the Table Editor resulted in the MySQL
       Workbench Unexpected Error dialog being displayed. (Bug #57346)
     * Changes made to a server instance were not saved. In particular,
       changing installation type to âCustomâ was not saved, and changes
       to the sudo command were also not saved. (Bug #57026)
     * It was only possible to connect to a MySQL server for
       administration using an SSH connection. (Bug #56874)
     * Attempting to open the Table Editor in the SQL Editor multiple
       times for a table that contained no primary key caused MySQL
       Workbench to crash. (Bug #57139)
     * In the Alter Table dialog of the SQL Editor, attempting to create a
       new index in the Index tab was not actioned when the Apply button
       was clicked. The dialog reported that âno changes to object were
       detectedâ. (Bug #56906)
     * When synchronizing a model to a live database, if a database was
       deselected in the wizard, a DROP statement for that database was
       generated in the SQL code to prevent it from being part of the
       synchronization process. This caused that database to be dropped
       from the live database, with corresponding loss of all data. (Bug
       #56938)
     * When attempting to open an EER Diagram by double-clicking it in the
       Model Overview, MySQL Workbench generated this unexpected error:
Cannot access a disposed object.
Object Name: ModelDiagramForm.
       (Bug #56963)
     * Folding of iteration statement blocks, such as WHILE, REPEAT, and
       LOOP, did not work correctly in the SQL Editor. The loop end
       constructs such as END WHILE, END REPEAT, and END LOOP were not
       recognized as expected. (Bug #55358)
     * If a table containing a User Defined Type based on VARCHAR was
       forward engineered, the resulting SQL did not correctly quote the
       VARCHAR value, resulting in a server error. For example, this code
       was generated:
CREATE  TABLE IF NOT EXISTS `x`.`tabley` (`customstring` VARCHAR(10));
INSERT INTO `x`.`tabley` (`id_customstring`) VALUES (example);
       The correct INSERT statement should be:
INSERT INTO `x`.`tabley` (`id_customstring`) VALUES ('example');
       (Bug #56710)




Version 5.2.28 (2010-09-19):
============================

Functionality Added or Changed:
     * Added the ability to copy column names from result sets to the
       clipboard. (Bug #53000, Bug #11760578)
     * The following command line options have been added to MySQL
       Workbench:
          + --admin instance: Launch MySQL Workbench and load the
            specified server instance
          + --query connection: Launch MySQL Workbench and load the
            specified connection
          + --model modelfile: Launch MySQL Workbench and load the
            specified model
          + --script script: Launch MySQL Workbench and run the specified
            script
          + --run code: Launch MySQL Workbench and run the specified code
            snippet
          + --quit-when-done: Quit MySQL Workbench after --script or --run
            finishes
       (Bug #46340)
     * The SQL Editor now displays the number of rows matched after a
       query. (Bug #48772)


Bugs Fixed:
     * Added MySQL Server 5.5 support. (Bug #51365, Bug #11759082)
     * Running a TRUNCATE statement in the SQL editor with safe updates
       enabled resulted in this error:
Error Code: 1175
You are using safe update mode and you tried to update a table without a WHERE t
hat uses
a KEY column
       (Bug #56597)
     * In the SQL Editor, a crash occurred if User Snippets was selected
       after another snippet collection had been selected, and then the
       Replace active SQL Editor contents with selected snippet button was
       clicked. (Bug #56626)
     * In the SQL Editor, a statement containing CREATE DATABASE resulted
       in an unexpected error. (Bug #56295)
     * The Table tab of the Table Editor contained a typo in the
       description for the Name field. Replaced was spelled as âraplacedâ.
       (Bug #56518)
     * The mydb database was created by default when reverse engineering
       from an existing database or script. (Bug #56183)
     * When OpenGL rendering was selected, the EER Diagram area was not
       redrawn due to faulty OpenGL drivers. The workaround was to launch
       MySQL Workbench using the -swrendering command line option. Now
       MySQL Workbench includes an option to select software rendering in
       the Workbench Preferences dialog. (Bug #55863)
     * In the Accounts tab of the Administrator, an Unexpected Error
       occurred if a foreign character was used in the Login Name field of
       the Server Access Management tab. The same bug also affected the
       Schema Privileges tab. (Bug #56534)
     * In the View Editor, if the name of a view was changed in the code
       editor to the name of a pre-existing view of that name, the
       contents of the pre-existing view were replaced by the contents of
       the new view, even though the new view was created with a different
       name. (Bug #55661)
     * Importing an exported file from a network share resulted in this
       error due to incorrect escaping of the path:
08:44:00 Restoring \\server\d$\file.sql

Running: mysql.exe --defaults-extra-file="c:\...\tmp3oc8ig"   --host=localhost
--user=root --port=3306 --default-character-set=utf8 --comments <
"\\\\server\\d\$\\file.sql"

The specified path is invalid.

       (Bug #56735)
     * On Microsoft Windows, when saving a MySQL configuration file from
       within the Administrator, Windows displayed the UAC dialog twice.
       MySQL Workbench has been changed so that Windows now only displays
       the UAC dialog once. (Bug #49674)
     * In MySQL Workbench list controls, when an item was selected and
       another item right-clicked, the context-sensitive menu displayed
       options related to the first list item selected, rather than the
       current list item being right-clicked, and any action selected was
       carried out on the first item. (Bug #56077)
     * A plugin that used Mforms generated this error at MySQL Workbench
       startup:
..... line 16, in <module>
import mforms
ImportError: No module named mforms
       (Bug #55243)
     * It was no longer possible to rename a schema by double-clicking the
       schema tab in the Physical Schemata section of the Model View. (Bug
       #55010)
     * If an SQL script containing international characters was saved in
       the SQL Editor and then restored, the last character in the
       restored file was missing. (Bug #56083)
     * If a view was created with correct syntax for an existing schema,
       and then Model menu, Validate (SQL) was selected, and either
       Validate All or Check Syntax was selected, this error message was
       generated in the Output window:
Syntax error in view 'view_name'. View code is 'CREATE VIEW ...'

       (Bug #54969)
     * Attempts to define a foreign key for a table with a composite
       primary key caused MySQL Workbench to crash. This happened while
       trying to select the fields of the composite primary key to be
       associated with the referenced columns. (Bug #56496)
     * If a foreign key was about to be renamed, and the corresponding
       text field had focus, MySQL Workbench crashed if the model was then
       closed. (Bug #56315)
     * If a model contained two schemata, and an attempt was made to
       forward engineer only one of the schemata by use of the object
       filters, data loss could result. This happened because a DROP
       statement was generated for both schemata in the model, rather than
       just the one being forward engineered. (Bug #55918)
     * MySQL Workbench exhibited a variety of crashes if, in the Model
       View, EER diagrams were repeatedly created and deleted. MySQL
       Workbench also crashed if all objects in the diagram were copied
       and pasted to the same diagram several times, and then the diagram
       was deleted. Unexpected errors generated included:
          + Object is currently in use elsewhere
          + Index is outside the bounds of the array
          + Index must be within the bounds of the List
       (Bug #55304)
     * If all objects were selected in the model view, and then the Edit
       Selected menu item was selected, MySQL Workbench generated an
       unexpected error. (Bug #54695)
     * If the MySQL server configuration file was modified using the
       Administrator to deactivate InnoDB, the MySQL server failed to
       restart, and generated this error in the log:
[ERROR] C:\Program Files\MySQL\MySQL Server 5.1\bin\mysqld: Error while
setting value 'FALSE' to 'innodb'
       (Bug #55029)
     * The Workbench Scripting Shell dialog could be increased in size,
       but not subsequently reduced in size. (Bug #56049)
     * On Microsoft Windows, MySQL Workbench crashed if the Trebuchet MS
       font was missing or corrupted. Now MySQL Workbench falls back to a
       secondary font if the Trebuchet MS font is missing or corrupted.
       (Bug #54953)
     * MySQL Workbench application failed to start on Mac OS X. (Bug
       #55412)
     * There were two problems in the new_table dialog of the SQL Editor:
          + When Apply was clicked, in the Apply SQL Script to Database
            dialog, if Apply SQL was clicked, the SQL would be applied
            without error. However, if the Back button was clicked and the
            Apply SQL button clicked again, an error would be generated.
            If this process was repeated, each time a slightly different
            error would be added to the list of errors displayed.
          + The Cancel and Finish buttons appeared to have the same
            functionality, and simply returned the user to the new_table
            dialog.
       (Bug #56000)




Version 5.2.27 (2010-09-01):
============================

Functionality Added or Changed:
     * Several changes were made to the Synchronize Model With Database
       wizard:
          + The wizard shows all schemata in a model, regardless of
            whether they exist in the live database.
          + The wizard shows a list of schemata that exist in the model
            but are missing from the live server, with a note recommending
            the use of the Forward Engineering wizard.
          + The wizard does not auto-select schemata names that are in the
            model but not in the live database.
       (Bug #54748)


Bugs Fixed:
     * When the Alter Table dialog for an InnoDB table was displayed in an
       SQL Editor session, the Foreign Key Options Index showed INVALID
       when a foreign key in the Foreign Keys tab was clicked. (Bug
       #54471)
     * When an attempt was made to synchronize a model with a live
       database, no schemata were listed as available in the Synchronize
       Model with Database wizard. This happened when the name of the
       schema in the model and the schema on the live server differed only
       in lettercase. (Bug #55147)
     * At startup, these warnings were generated in the Workbench
       Scripting Shell:
Starting Workbench...Registered 147 GRT classes.
WARNING: Could not load wb.mysql.validation.grt.dylib: Invalid module
/Applications/MySQLWorkbench.app/Contents/PlugIns/wb.mysql.validation.grt.dylib

WARNING: Could not load wb.validation.grt.dylib: Invalid module
/Applications/MySQLWorkbench.app/Contents/PlugIns/wb.validation.grt.dylib
       (Bug #54929)
     * When an attempt was made to synchronize a modified exported script
       with the current model, using File, Export, Synchronize with SQL
       Create Script, the model was not updated. (Bug #54501)
     * After dropping a schema from the list in the Object Browser, the
       schema that was dropped remained, but with the name of the schema
       that followed it. Refreshing the list of available schemata
       produced an unhandled exception:
An unhandled exception has occurred:
Invalid node index
       (Bug #55861)
     * MySQL Workbench crashed when using the Export recordset to an
       external file command button on the result pane of the SQL Editor.
       (Bug #55554)
     * When using the Edit Table Data wizard (launched from Home screen),
       if a database with a single table was connected to, after selecting
       the table, the Finish button remained grayed out. (Bug #54942)
     * In the SQL Editor, right-clicking a routine name in the Object
       Browser caused MySQL Workbench to exit unexpectedly. (Bug #55822)
     * If a table was copied in the EER Diagram view, and then the model
       was synchronized with the live database, the synchronize
       functionality did not recognize the copied table as a new table and
       overwrote the original table. (Bug #55566)
     * Renaming a column with a foreign key resulted in an invalid script
       being generated on forward engineering or synchronization with a
       live database. (Bug #55502)
     * The second attempt to save a read-only model file produced this
       error:
Couldn't backup existing file name-of-the-file.mwb: No such file or directory
       (Bug #55439)
     * When a table was being edited in the Table Editor, and its name was
       changed, the name change was not reflected on the Table Editor's
       table tab. (Bug #55338)
     * It was not possible to add the LOCK TABLES privilege when assigning
       a new role in the Model Overview because that privilege was missing
       from the available options. (Bug #55186)
     * Selecting the Check Duplicated Identifiers (Additions) operation
       from the Validation (SQL) submenu of the Model menu produced this
       error message:
Type mismatch: expected object of type db.Schema, but got workbench.physical.Mod
el
       (Bug #54968)
     * The schema collation was not saved after being changed in the Table
       Editor. (Bug #55152)
     * Selecting Validate (SQL) from the Model menu and then selecting the
       Validate All option reported no errors. Selecting Forward Engineer
       from the Database menu and selecting Run Validations also reported
       no errors. However, executing the SQL script resulted in this
       error:
ERROR: Error 1005: Can't create table 'xxx' (errno:150)
       (Bug #54985)
     * MySQL Workbench crashed when using the Partitioning tab of the
       Table Editor. (Bug #55761)
     * Forward engineering a model to a live database caused MySQL
       Workbench to crash. (Bug #56009)
     * MySQL Workbench crashed in the foreign key editor. The Microsoft
       Visual C++ Runtime Library runtime error generated prior to the
       crash was:
R6025

- pure virtual function call
       (Bug #55910)
     * The Dump tab did not display the target folder before the dump was
       performed. (Bug #55945)
     * Dumping tables or schemata without the LOCK TABLE privilege
       produced this error:
mysqldump: Got error: 1044: Access denied for user 'wwroot'@'%' to database db'
when
doing LOCK TABLES
       (Bug #55019)
     * Selecting "Dump views" for a backup produced this error:
Unhandled exception: global name 'views_by_schema' is not defined
       It was necessary to restart the Administrator to enable the dump
       facility again. (Bug #55833)
     * If the sidebar was placed on the right hand side, using the option
       in Workbench Preferences, this Unexpected Error was generated when
       Add Diagram was double-clicked:
SplitterDistance value is invalid (-52)
       (Bug #55902)
     * Attempts to restore a backup of selected tables resulted in this
       error:
File "C:\Program Files\MySQL\MySQL Workbench 5.2 CE\modules\wb_admin_export.py",
 line
841, in start

    logmsg = "Restoring %s (%s)" % (schema, table)

NameError: global name 'schema' is not defined
       (Bug #56020)
     * MySQL Workbench caused Windows XP to reboot if launched from Start,
       Programs, MySQL, MySQL WorkBench 5.2 OSS.
       If a MySQL Workbench model file (.mwb) was opened directly, an
       error dialog titled Microsoft Visual C++ Runtime Library was
       displayed with the message:
R6034
An application has made an attempt to load the C runtime library incorrectly. Pl
ease
contact the application's support team for more information.
       The dialog's only option was OK. After clicking OK, two more
       instances of the same dialog were displayed. After clicking OK for
       all three, MySQL Workbench opened with the model file displayed.
       On Windows 7 x64, the same runtime error (R6034) occurred. (Bug
       #52949)
     * When using MySQL Workbench to report a bug, it was not possible to
       attach a file using the Choose File button because the button had
       no effect. (Bug #55112)
     * In the SQL Editor, executing statements designed for MySQL Server
       5.5 generated syntax or syntax highlighting errors. (Bug #55867,
       Bug #55891)
     * Opening an SQL Editor connection for a remote server produced this
       error:
OverviewBE::get_node:invalid node 0.0.0.
       (Bug #52648)




Version 5.2.26 (2010-08-06):
============================

Functionality Added or Changed:
     * A validation module (a SE feature only) has been added. It sends an
       alert if foreign keys are being used in or to a partitioned table.
       Note: partitioned tables do not support foreign keys. (Bug #44273,
       Bug #11752933)
     * When using the MySQL Workbench table properties to add a foreign
       key, the size of a new foreign key field will now update to match
       the size of the corresponding primary key. (Bug #55083, Bug
       #11762482)
     * Added the default value of CURRENT_TIMESTAMP ON UPDATE
       CURRENT_TIMESTAMP to context menu of column editor for TIMESTAMP
       columns. (Bug #54987)


Bugs Fixed:
     * When using su -user instead of sudo, rather than requesting the
       password of the user for invoking the su command, MySQL Workbench
       requested the root password and attempted to invoke the sudo
       command. (Bug #53740)
     * In the Administrator, if the MySQL server configuration file was
       modified to enable skip-innodb, and the server was restarted,
       InnoDB was still active. (Bug #55030)
     * On the Snippets tab, the tooltip for the Insert selected snippet to
       cursor position in the active SQL editor button contained the
       misspelling âselectedâ. (Bug #55026)
     * If the Start Server button was clicked twice in MySQL Workbench,
       the server would stop. (Bug #49588)
     * In the list view of the physical schemata, clicking a list column
       heading failed to sort the items by that column. (Bug #38863)
     * When connecting to a server, MySQL Workbench prompted for a
       password, even if one had not been set for that account. (Bug
       #52826)
     * MySQL Workbench crashed when executing LOAD DATA LOCAL INFILE as a
       query in the SQL Editor. (Bug #49694)
     * In the Overview tab of the SQL Editor, if there was a large number
       of schemata, using the arrow buttons in the interface to scroll
       through them caused MySQL Workbench to crash, usually on the last
       schema in the list. (Bug #54891)
     * MySQL Workbench crashed if minimized while loading a model. (Bug
       #54918)
     * In the Synchronize Model with Database wizard, the list of schemata
       was not drawn correctly on the Select Schemata page, if Back was
       clicked from the Fetch Object Info page. (Bug #55174)
     * Importing a DBDesigner model caused MySQL Workbench to crash. (Bug
       #55300)
     * After creating a server instance and double-clicking it on the Home
       screen, the Administrator took an excessively long time to load
       (over 10 minutes). (Bug #52530)
     * When a model was synchronized with a live database, CHAR(N) columns
       were always synchronized as CHAR(1). (Bug #55334)
     * Complex queries with multiple newlines did not fit well in the
       Action column of the Output tab of the SQL Editor. This prevented
       any query error messages from being read. (Bug #55117)
     * When using the SQL Editor and issuing a query containing
       SQL_CALC_FOUND_ROWS and a subsequent FOUND_ROWS() query,
       FOUND_ROWS() returned zero instead of the number of matching rows
       without a LIMIT applied. (Bug #54868)
     * Multi-statement syntax did not work in the SQL Editor. If the
       delimiter was set to a character other than the default semicolon,
       the SQL Editor should still have recognized semicolon as a valid
       delimiter for multi-statements, but it did not. (Bug #54831)
     * In the SQL Editor, if a column's comment contained a Chinese word,
       then in the Object Browser, if the context-sensitive menu item Send
       to SQL Editor, Create Statement was selected, incomplete script
       code was sent to the SQL Query tab. (Bug #54822)
     * In an EER Diagram, the circles at each end of a relationship line
       were drawn in different sizes. (Bug #54663)
     * In forward engineering a model to a database, the PRIMARY index was
       not reordered correctly when columns were reordered. (Bug #54176)
     * When a model was forward engineered to a database, insert
       statements associated with binary data were not present in the
       generated code. As a result, binary data was not forwarded to the
       database. (Bug #54680)
     * In the Reverse Engineer Database wizard, using a pattern mask to
       filter tables being imported caused a subsequent MySQL Workbench
       crash. (Bug #55076)
     * The Configuration section of the MySQL Workbench Administrator did
       not copy configuration variables from the my.cnf file that
       contained an underscore character. (Bug #54933)
     * MySQL Workbench would not compile on RHEL 5. This was due to the
       calls to the function set_opacity in
       library/form/gtk/src/lf_utilities.cpp (line 661) and
       library/forms/gtk/src/lf_popup.cpp (line 64). The set_opacity
       function was not available in GTK 2.10. (Bug #54844)
     * When forward engineering an SQL ALTER script, the generated code
       attempted to recreate all foreign keys. (Bug #54363)
     * On the Home screen, the saved connections previously listed in the
       Workspace were no longer visible. (Bug #55484)
     * When zooming in and out of the EER Diagram view, MySQL Workbench
       generated an unknown error. (Bug #52829, Bug #55390)




Version 5.2.25 (2010-06-30, General Availability):
==================================================

Functionality Added or Changed:
     * MySQL Workbench now prompts the user for a password for attempts to
       connect using a âTCP over SSHâ connection type, if a password was
       not previously provided during configuration of the connection.
       (Bug #47892)


Bugs Fixed:
     * MySQL Workbench displayed instability after an SSH connection to
       the server was closed, resulting in hanging or crashing behavior.
       (Bug #50554)
     * MySQL Workbench generated excessive diagnostic messages at startup.
       Now MySQL Workbench does not display diagnostic messages by default
       on Linux, unless activated by starting MySQL Workbench with the
       --verbose option. (Bug #54021)
     * Compiling MySQL Workbench from source failed with this error while
       building library/grt/src/grtpp_grt.cpp:
Could not find file cairo_features.h
(included from cairo.h, which is included from
library/base/src/string_utilities.h, which is included in grtpp_grt.cpp)
       (Bug #54833)
     * When a .dbquery file created with MySQL Query Browser was opened in
       the SQL Editor, the Byte Order Mark (BOM) was not removed. This led
       to an erroneous character being prepended to the first statement,
       making it illegal. (Bug #54322)
     * If the Alter Routine dialog was maximized in the SQL Editor, the
       dialog buttons were no longer visible. (Bug #53734)
     * When a table was copied in the EER Diagram view, it was found that
       the paste menu option was visible but disabled when an attempt was
       made to paste the table into a new diagram. (Bug #38432)
     * In the Inserts editor, the underscores in column headings were
       incorrectly displayed as accelerator/shortcut keys. (Bug #48831)
     * For the Manage DB Connections dialog, labels such as user name and
       password were hidden when the dialog was opened at its default
       size. (Bug #47890)
     * In the Modeler, when opening a new object such as a table, the
       currently open tab was reused, rather than a new tab being opened.
       This made it difficult to compare objects such as tables and
       routines. (Bug #45557)
     * On exit, MySQL Workbench prompted the user to save changes for
       every query tab that had been opened in the SQL Editor, even where
       a table had simply been viewed, and no script code had been written
       by the user. (Bug #54754)
     * In the SQL Editor, if a query was executed and MySQL Workbench was
       minimized, the Results tab window area was not correctly redrawn on
       maximizing the application. (Bug #51991)
     * In the Columns tab of the Table Editor, column ordering handling
       had numerous problems. For example, dragging and dropping a column
       did not locate the column as expected. (Bug #53749)
     * When synchronizing a model that contained triggers, MySQL Workbench
       generated erroneous DROP TRIGGER and CREATE TRIGGER statements,
       even when the triggers had not been changed. (Bug #51929)
     * When creating a table containing columns with a BOOLEAN data type,
       the model then failed to validate, even though BOOLEAN is offered
       on the list of types available for columns. (Bug #49538)
     * When synchronizing a model with the live database, the generated
       SQL included erroneous DROP COLUMN and ADD COLUMN operations, and
       also erroneous ADD INDEX and DROP INDEX operations. (Bug #54740)
     * Inserts data did not appear to be preserved between MySQL Workbench
       versions.
       A model was created with MySQL Workbench 5.1.18 and data inserted
       using the Insert tab. If the model was then saved and loaded into
       MySQL Workbench 5.2.22, and the model forward engineered to an SQL
       script, the generated script contained INSERT statements that
       inserted NULL instead of the data originally entered. (Bug #54639)
     * In the Data Dump section of the Administrator, using the Export to
       Backup Project Folder option resulted in triggers being exported to
       both the table files and the routines files. Attempting to import
       the exported files produced an error due to the duplicated
       triggers. (Bug #54426)
     * In the Configuration tab of the Administrator, the parameter
       innodb_support_xa on the InnoDB Parameters tab has a corresponding
       check box. If this was selected and changes applied, the
       confirmation dialog indicated these changes were made:
Added:  [mysqld] innodb_support_xa = True
       However, what was added to the my.cnf file was âinnodb_support_xaâ.
       This meant there was no way to set this parameter (which defaults
       to True) to False using MySQL Workbench. (Bug #53449)
     * When forward engineering to a live database, the generated SQL
       statements contained an erroneous additional carriage return at the
       end of each line. This manifested in two ways. In the first case,
       in the Forward Engineer to Database wizard, if Save to File was
       selected, a carriage-return character was appended to each line. In
       the second case, if Copy to Clipboard was selected, and the content
       subsequently pasted from the clipboard to an editor, the extra
       carriage return characters was attached only to the DDL statements
       inside Create View and Create Trigger. (Bug #54272, Bug #54244)
     * In the Create Routine dialog of the SQL Editor, the text label
       associated with the Name textbox mentioned âviewâ, rather than
       âroutineâ. (Bug #54566)
     * Minimizing MySQL Workbench after a connection with a server was
       established produced this error:
SplitterDistance must be between Panel1MinSize and (Width - Panel2MinSize)
       (Bug #54482)
     * Printing or previewing an EER Diagram in Landscape/Tabloid produced
       blank output. (Bug #54240, Bug #54601)




Version 5.2.24 (2010-06-21):
============================

Functionality Added or Changed:
     * A Kill Query button has been added to the Connections tab of the
       Administrator. (Bug #54409)



Bugs Fixed:
     * The Connections tab in the Administrator did not feature automatic
       refresh. This had to be manually triggered using the Refresh
       button. Further, the Kill Connection button was sometimes
       incorrectly disabled. (Bug #53703)
     * In the Configuration tab of the Administrator, this error resulted
       when changes were applied:
Could not Save Configuration File

There was an error saving the configurationfile: exec_cmd() takes at least 3 arg
uments (2
given)
       This happened while connecting to a FreeBSD 7.1 server over an SSH
       connection. (Bug #54647)
     * In the SQL Editor, there was a space between the Execute and Stop
       toolbar buttons. Hovering the mouse cursor over this space resulted
       in the tooltip âExplain selected SQLâ being displayed, which
       appeared to indicate a missing icon. (Bug #49316)
     * In the SQL Editor, entering a space into the SQL Query tab,
       selecting an external tab (such as the Overview tab or Output tab),
       and then selecting File, Close Tab caused MySQL Workbench to crash.
       Further, the Add Table dialog had numerous issues, including
       inability to select PK and other check boxes, failure to validate
       input, inability to apply changes, and deletion of user data in
       certain cases. (Bug #54124)
     * If a foreign key relationship was created, and its modelOnly
       property set, the relationship was correctly excluded when the
       model was synchronized with a live database. However, the DDL code
       for the foreign key indexes was still generated in the
       synchronization script. (Bug #53420)
     * Synchronizing a model with a live database generated ALTER
       statements, even when there appeared to be no difference between
       the database and the model. (Bug #50938)




Version 5.2.23 (Internal release only):
=======================================

Functionality Added or Changed:
     * In the SQL Editor, when more result tabs were generated than could
       fit into the current panel, it was not obvious how to navigate to
       those result sets that could not currently be displayed. This could
       be achieved using the left and right arrow keys, but MySQL
       Workbench now also includes a spin control to navigate the
       available tabs. (Bug #52998)
     * The Overview tab in the SQL Editor now supports scrolling of
       content using the mouse wheel. (Bug #50782)


Bugs Fixed:
     * Changing the name of a stored procedure in the modeler and saving
       changes caused an erroneous ';' character to be added to the SQL
       code sent to the database. That resulted in this error:
ERROR 1064: You have an error in your SQL syntax; check the manual that
corresponds to your MySQL server version for the right syntax to use
near ';

USE `911datashop`' at line 1
SQL Statement:
;
USE `911datashop`
       (Bug #54258, Bug #11761738)
     * In the SQL Editor, for result set exports to a tab-delimited file,
       MySQL Workbench added a .CSV file name extension. (Bug #54302)
     * In the SQL Editor, exporting a record set failed if the target path
       contained an international character. (Bug #54479)
     * In the SQL Editor, if a table in the Overview tab was
       double-clicked, the query generated replaced code already entered
       into the SQL Query tab, resulting in the loss of that code. (Bug
       #54362)
     * In the SQL Query tab of SQL Editor, tooltip error messages were
       still displayed, even after switching to another tab. (Bug #53634)
     * In the SQL Editor, attempting to execute a selection in the SQL
       Query tab caused all text to be executed, not just the selected
       text. (Bug #54536)
     * MySQL Workbench crashed if a pinned result tab was refreshed in the
       SQL Editor. (Bug #54114)
     * After a foreign key was created, and the referenced table or column
       was changed, the change was not reflected in the foreign key,
       resulting in errors. (Bug #54134)
     * In the Inserts tab of the Table Editor, adding a new row and
       applying changes had no effect. (Bug #54456)
     * The Document Properties dialog was displayed across two screens in
       a multiple-screen setup. (Bug #53262)
     * Clicking external links in the embedded browser launched Internet
       Explorer rather than the default browser. (Bug #54192)
     * Select All (Control+A) did not work when editing comments for a
       table or column. (Bug #54154)
     * In the General tab of Configuration in the Administrator, when the
       Temp directory option was selected, and a directory was selected
       using the file browser, MySQL Workbench inserted backslashes rather
       than forward slashes. If backslashes were used in this location in
       the configuration file, the server crashed at startup. (Bug #54445)
     * Synchronizing a model with a live database produced incorrect SQL
       code:
ALTER TABLE `mydb`.`table1` AUTO_INCREMENT =  ;
       (Bug #54319)
     * Keyboard shortcuts such as Command+C, Command+V, and Command+Z were
       not useable consistently in all parts of MySQL Workbench. (Bug
       #53790)
     * Clicking a table caused MySQL Workbench to produce this error
       message:
MySQL Workbench has encountered a problem
Cannot access a disposed object
Object name: 'DockedWindowPlugin'.
       (Bug #54498)
     * When entering binary data into the Inserts tab for a table, the
       data was truncated at the first null byte (\0). (Bug #54156)
     * Clicking the Edit Table Data action item from the Home screen
       caused MySQL Workbench to crash. (Bug #54230)
     * Columns defined as BIT appeared as requiring synchronization, even
       if no changes had been made. (Bug #53747)
     * In the SQL Editor, selecting Alter Table from the context-sensitive
       menu had no effect. (Bug #54283)
     * In the SQL Editor, editing a table with a row highlighted,
       right-clicking a BLOB column and loading a value from a file
       resulted in this error:
An external component has triggered an exception
       (Bug #54266)
     * When synchronizing with a live database, MySQL Workbench did not
       interpret whitespace in ENUMs correctly. For example, ENUM('image',
       'video', 'swf') was seen as different from
       ENUM('image','video','swf'), causing the live server and model to
       appear unsynchronized. (Bug #49182)
     * In the Alter Routine dialog of the SQL Editor, if the Find and
       Replace dialog was invoked with Control+F, and Control+V was used
       to paste in some search text, the text was actually pasted into the
       routine code area. (Bug #53735)
     * In the Layer Tree panel, if a layer was given a blank name, MySQL
       Workbench subsequently crashed, rather than warning about the of a
       blank name. (Bug #53807)
     * The forward engineering Omit Schema Qualifier in Object Names
       option was not correctly applied to some statements in Trigger
       code. In these cases, the schema name remained in place. (Bug
       #54222)
     * An EER Diagram appeared to contain hidden tables. Although the
       diagram contained 12 tables, when a 'select all' was performed the
       user was informed that 14 tables were selected. It seemed that
       certain tables had been resized to be so small as to no longer be
       visible in the diagram. (Bug #53885)
     * MySQL Workbench failed to build from source on Debian Linux. This
       error was generated:
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I./src -I./src -pthread -DNDEBUG -Wa
ll
-Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -g -O2 -Wextra -Wall -Wno
-unused
-Wno-deprecated -c src/template.cc  -fPIC -DPIC -o .libs/libctemplate_wb_la-temp
late.o
In file included from ./src/ctemplate/per_expand_data.h:48,
                 from ./src/ctemplate/template_modifiers.h:69,
                 from src/template_modifiers_internal.h:53,
                 from src/template.cc:61:
./src/ctemplate/template_string.h:88: error: ISO C++ forbids declaration of 'Tem
plateId'
with no type
./src/ctemplate/template_string.h: In member function 'size_t
ctemplate::TemplateIdHasher::operator()(ctemplate::TemplateId) const':
./src/ctemplate/template_string.h:234: warning: right shift count >= width of ty
pe
./src/ctemplate/template_string.h: At global scope:
./src/ctemplate/template_string.h:344: warning: overflow in implicit constant co
nversion
src/template.cc: In static member function 'static void
ctemplate::Template::AssureGlobalsInitialized()':
src/template.cc:2365: warning: comparison between signed and unsigned integer
expressions
make[5]: *** [libctemplate_wb_la-template.lo] Error 1
       (Bug #53668)
     * In the Alter Table dialog of the SQL Editor, if an attempt was made
       to set the NN flag for a column that did not have it set, an error
       was generated when the changes are applied. (Bug #53918)
     * When carrying out an Alter Routine operation in the SQL Editor, if
       a routine was modified, and a statement used that, although
       syntactically correct, was not permitted in a routine, all
       modifications were lost when changes were applied. (Bug #53887)
     * In the SQL Editor, attempting to create a new schema using Create
       Schema with a server collation of utf8 - default collation produced
       SQL that resulted in an error when applied. (Bug #54097)
     * Performing an undo operation in SQL Editor actually resulted in an
       undo operation in the Modeler. (Bug #54091)
     * In the EER Diagram view, it was not possible to delete a
       relationship by right-clicking the relationship, then selecting
       Delete from the context-sensitive menu. (Bug #53659)
     * In the Diagram Size dialog, displayed using Model, Diagram
       Properties and Size, it was possible to set the size to 100 pages
       by 100 pages, but then click outside this area. This caused a MySQL
       Workbench Unexpected Error. (Bug #53559)
     * When editing a column in the table editor, pressing Control+Z to
       undo the edit resulted in a previous operation being undone
       instead. (Bug #46286)
     * After a default primary key name was set in the Workbench
       Preferences dialog, the PK flag was not selected as expected in the
       Table Editor and the column flags could not be selected. (Bug
       #52578)
     * Database export failed due to a faulty path in the command line:
15:42:52 Dumping rma3 (etat_produit)

Running: "mysqldump.exe" --defaults-extra-file=c:\docume~1\user\local
settings\temp\tmp9ypdhd  --no-create-info=FALSE --order-by-primary=FALSE --force
=FALSE
--no-data=FALSE --tz-utc=TRUE --flush-privileges=FALSE --compress=FALSE --replac
e=FALSE
--host=127.0.0.1 --insert-ignore=FALSE --extended-insert=TRUE --user=root
--quote-names=TRUE --hex-blob=FALSE --complete-insert=FALSE --add-locks=TRUE --p
ort=3306
--disable-keys=TRUE --delayed-insert=FALSE --delete-master-logs=FALSE --comments
=TRUE
--default-character-set=utf8 --flush-logs=FALSE --dump-date=TRUE --allow-keyword
s=FALSE
--create-options=TRUE --events=FALSE "rma3" "etat_produit"

Could not open required defaults file: c:\docume~1\user\local

Fatal error in defaults handling. Program aborted

mysqldump: Got error: 1045: Access denied for user 'root'@'localhost' (using pas
sword:
NO) when trying to connect

Operation failed with exitcode 2
       (Bug #54067)
     * The integrated docs web server listened on a fixed port (8811), and
       was not able to handle the situation where this port may be used by
       another service, such as another MySQL Workbench instance. (Bug
       #54104)
     * MySQL Workbench suffered user interface issues when used on a
       KDE-based system using a dark theme. (Bug #54083)
     * The HTTP server thread started by MySQL Workbench to provide
       documentation to the local web browser listened on all IP
       interfaces, even though it is intended only for local use. (Bug
       #54083)




Version 5.2.22 (2010-06-02):
============================

Functionality Added or Changed:
     * MySQL Workbench now supports creating a new tab in tabbed
       interfaces by using Control+T on Windows and Command+T on Mac OS X.
       (Bug #48798)
     * The SQL Editor now includes a new Set as Default Schema context
       menu item. This is applicable to schema nodes in the Object Browser
       and the Overview panel of the Query Editor. Previously the only way
       to change the default schema was to select the schema from the
       schema selector list located at the top of the Object Browser. (Bug
       #51479)
     * On Linux, MySQL Workbench automatically added a .sql extension,
       where an extension was not specified, to any script file saved from
       the SQL Editor. MySQL Workbench now does not automatically add a
       .sql extension on Linux. However, on Windows, the file extension is
       added if one is not specified. (Bug #53731)
     * MySQL Workbench now supports entering of expressions such as
       DEFAULT or CURRENT_TIMESTAMP into the inserts editor. The
       expression needs to be preceded by \func. See Live Editing
       Tabsheets. (Bug #36206)
     * MySQL Workbench now indicates that changes need to be saved using
       only an asterisk in the Model Overview tab, rather than this being
       reflected on individual EER Diagrams. (Bug #53042)


Bugs Fixed:
     * MySQL Workbench did not size its application window correctly on
       screen sizes with a 16/9 aspect ratio. (Bug #53984, Bug #11761483)
     * If a Workbench model file was double-clicked, MySQL Workbench
       crashed on launch. However, if MySQL Workbench was started using
       its application icon, and then the same model file was loaded from
       within MySQL Workbench, no problems were encountered. (Bug #49941)
     * The Gnome keyring package was a dependency of MySQL Workbench. It
       was undesirable to require its installation on KDE-based systems.
       (Bug #54010)
     * When scrolling in an EER Diagram, MySQL Workbench repeatedly
       displayed an error dialog containing the message âOpenGL error:
       invalid valueâ. (Bug #52840)
     * MySQL Workbench crashed on selection of the Model, Create Diagram
       from Catalog Objects menu item. (Bug #53454)
     * On the Model Overview page, when a new user object was created with
       Add User in the Schema privileges section, it was not possible to
       change any of the user object's attributes. For example, if the
       name of the object was changed, it would then change back to its
       original setting. (Bug #53946)
     * If a property value was changed in the Workbench Preferences
       dialog, and OK was clicked, or a new tab was clicked before the
       cursor was moved away from the value being changed, the change was
       silently reverted. (Bug #54060)
     * In the SQL Editor, performing a query on a remote server returned
       BLOB values for columns that were not of type BLOB.
       Because binary byte strings tend to contain null bytes in their
       values, for safety reasons they were not displayed in the results
       grid. They could only be viewed or edited by means of the BLOB
       editor to avoid data truncation.
       MySQL Workbench now includes a new global option that has been
       added to the SQL Editor tab of the Workbench Preferences dialog.
       The option is Treat BINARY/VARBINARY as non-binary character
       string. By default, it is not selected. (Bug #53920)
     * In the SQL Editor, the toolbar items on the Snippets tab to replace
       and insert snippets had no effect when clicked. (Bug #53610)
     * In the EER Diagram view, when the diagram was displayed over
       multiple pages, the gray line dividing pages in the Navigator was
       not visible in the diagram itself. (Bug #50243)
     * Zooming out from a diagram in EER Diagram view resulted in severe
       flicker. (Bug #50240)
     * In the EER Diagram view, heavy flicker resulted if the cursor was
       hovered over relationship lines or tables. (Bug #53941)
     * Attempts to forward engineer a project that contained a view failed
       with this error:
ERROR: Error 1046: No database selected
       (Bug #51091)
     * In the Data Dump section of the Administrator, when a schema was
       dumped to multiple files, the stored routines were not exported.
       (Bug #52798)
     * In the Data Dump section of the Administrator, this error occurred
       when an export was generated:
mysqldump: Error 2020: Got packet bigger than 'max_allowed_packet' bytes when du
mping
table 'xxx' at row: 1
       This happened only for larger tables. (Bug #53599)
     * If the Manage Server Instances dialog was launched, and either the
       New or Delete button was clicked, and then the dialog was closed,
       MySQL Workbench crashed if the New Server Instance action item was
       then clicked on the Home screen. (Bug #54028)
     * When a table containing triggers was loaded into the Alter Table
       dialog of SQL Editor, clicking the Triggers tab showed an empty
       trigger, rather than the correct trigger code. (Bug #53940)
     * In the SQL Editor, if code was entered into the SQL Query tab, and
       then the application exited, MySQL Workbench did not prompt the
       user regarding unsaved changes, so they were lost. (Bug #53848)
     * In the Data Dump tab of the Administrator, the Options panel was
       not rendered correctly. (Bug #53681)
     * Specifying a new font for the SQL Editor's SQL Query tab contents
       had no affect on appearance. (Bug #53605)
     * In the Alter Table dialog of the SQL Editor, entering a column
       comment in the Comments tab and applying the changes did not save
       the comment. (Bug #52893)
     * With multiple tabs open in the SQL Editor, if the script in each
       tab was saved to a file in turn, the script was actually saved over
       the previously saved script, resulting in the loss of that script.
       (Bug #53733)
     * If multiple SQL Query tabs were opened in the SQL Editor, when a
       snippet was saved to the snippet list, the snippet saved would
       always be from the last opened SQL Query tab (the furthest to the
       right), rather than the currently selected tab. (Bug #53713)
     * In the Create Schema dialog of the SQL Editor, when a new schema
       name was entered, and changes applied, the schema name appeared to
       revert to the default name new_schema, rather than being changed to
       the newly specified name. This only happened on Mac OS X. (Bug
       #53764)
     * In the SQL Editor, carrying out a SELECT on a table containing more
       than 1000 columns resulted in the error Too many SQL variables.
       (Bug #50952)
     * In the SQL Editor, if two procedures were defined in a script, each
       proceded with a suitable DROP statement, then when the script was
       executed and the procedures already existed, a âprocedure already
       definedâ error occurred. It appeared that the second DROP statement
       was being ignored. This problem happened if the line preceding the
       second DROP statement was terminated with a space. (Bug #53760)
     * When a model containing a stored procedure was forward engineered
       to a script, the script contained invalid SQL code. This happened
       when the DROP Objects Before Each CREATE Statement and Export MySQL
       Routine Objects options were selected. Problems with the SQL code
       included a delimiter being used before its definition and also DROP
       statements not being terminated. (Bug #53467)
     * In the Triggers tab of the Table Editor, if a trigger was written
       that contained a DROP TRIGGER statement, the statement was
       automatically removed. (Bug #53023)
     * When synchronizing to a live database, triggers showed as requiring
       updating, even when the model and live database were identical.
       (Bug #51409)
     * Inserts added to a model and saved on Windows were not visible when
       that model was loaded on Mac OS X. (Bug #51029)
     * Attempting to copy objects from an existing diagram to a new
       diagram resulted in this error:
OverviewBE::get_node: invalid node 1.0.0.22
       (Bug #53914)
     * In the Create New Server Instance Profile wizard, on the Operating
       System page the MySQL Installation Type list was not populated
       correctly. Although all items were initially correctly displayed,
       if the Back button was clicked, and then Next clicked to return to
       the page, all the items in the list were duplicated. Each time this
       process was repeated the original list items would again be
       duplicated. (Bug #53649)
     * In the SSH Shell Connection panel of the Manage Server Instances
       dialog, if any port other than 22 was specified, it was
       subsequently ignored. (Bug #53623)
     * When MySQL Workbench was launched, an overlay was displayed. In the
       application bar, the dialog prompting for the keyring password was
       waiting for input, but it was not possible to enter the password
       because the overlay hid the dialog. (Bug #53974)
     * Compiling MySQL Workbench from source failed with these errors:
...
-I../../library/dbc/src -I../../library/vsqlite++/include  -D_FORTIFY_SOURCE=2
 -O2
-fno-strict-aliasing -fwrapv -march=x86-64 -gdwarf-2 -g2  -Wextra -Wall -Wno-unu
sed
-Wno-deprecated -ggdb3 -DENABLE_DEBUG   -MT canvas_floater.o -MD -MP -MF
.deps/canvas_floater.Tpo -c -o canvas_floater.o `test -f 'model/canvas_floater.c
pp' ||
echo './'`model/canvas_floater.cpp
model/canvas_floater.cpp: In constructor 'wb::Floater::Floater(mdc::Layer*, cons
t
std::string&)':
model/canvas_floater.cpp:65:59: error: cannot call constructor 'mdc::Color::Colo
r'
directly
model/canvas_floater.cpp:65:59: error:   for a function-style cast, remove the r
edundant
'::Color'
make[3]: *** [canvas_floater.o] Error 1
make[3]: Leaving directory
`/home/users/Arvenil/rpm/BUILD/mysql-workbench-oss-5.2.21/backend/wbprivate'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/home/users/Arvenil/rpm/BUILD/mysql-workbench-oss-5.2.21/backend'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/users/Arvenil/rpm/BUILD/mysql-workbench-oss-5.
2.21'
make: *** [all] Error 2

       (Bug #53687)
     * On the Home screen, the MySQL Team Blog and Workbench Team Blog
       icons linked to the same page. Further, the MySQL News Letter icon
       linked to the MySQL Developer forum. (Bug #53628)
     * In the Manage DB Connections dialog, selecting Use ANSI quote to
       quote identifiers had no effect with respect to subsequent queries
       using that connection. (Bug #53160)
     * In the Connections tab of the Administrator, queries containing a
       comment did not always display correctly in the Info column. (Bug
       #51848)
     * In the SQL Editor, when attempting to change an index from INDEX to
       UNIQUE using the Alter Table dialog, no changes were applied, and
       this error message was generated:
No changes to object were detected
       (Bug #53787)
     * Setting WB_NO_GNOME_KEYRING=1 on Kubuntu did not appear to disable
       the Gnome keyring. It was therefore impossible to connect without
       an active keyring daemon. (Bug #52866)
     * It was not possible to set ON UPDATE CURRENT_TIMESTAMP as the
       default value for a column. (Bug #52350)
     * In the SQL Editor, the context-sensitive menu options Copy to
       Clipboard and Send to SQL Editor both failed to work. This applied
       to both copying in the Object Browser and in the Overview tab. (Bug
       #53903)
     * In the SQL Editor, when renaming views or routines using the live
       editor, the generated ALTER script contained only DROP statements
       and not CREATE statements. (Bug #53847)
     * In the EER Diagram view, when zoomed out, a layer could be placed
       beyond the diagram's perimeter at the bottom right. Further, if a
       layer was placed beyond the perimeter at the top left, it snapped
       back within confines of the diagram correctly, but the navigator
       view was not updated accordingly. (Bug #50242)
     * When forward engineering a schema to a database with the DROP
       Objects Before Each CREATE Object option selected, the DROP
       statement used a delimiter before it had been declared. (Bug
       #53853)
     * In the SQL Editor, deleting a snippet from the snippet list using
       the toolbar button caused the first snippet to be deleted,
       regardless of which snippet was selected. (Bug #53860)
     * In the Columns tab of the Table Editor, automatic data type
       completion did not occur if the type was entered in lowercase.
       MySQL Workbench now completes the data type regardless of
       lettercase. (Bug #53710)
     * In the EER Diagram view, it was not possible to paste a copied
       layer. The paste menu item was disabled in the context-sensitive
       menu and main menu, and pressing Control+V had no effect. (Bug
       #50253)
     * When using Create EER Model from SQL Script from the Home screen,
       the specified engine type was not present in the resulting EER
       model. (Bug #49568)
     * Output did not scale correctly for print sizes other than A4. (Bug
       #51515)
     * In the Connections tab of the Administrator facility, host names
       that contained a '-' character were sometimes not displayed
       correctly. (Bug #51119)
     * In the SQL Editor, if the Add Table facility was used to create a
       new table with the same name as an existing table, then after
       changes were applied, the content of both tables was the same as
       the existing table, and changes unique to the second table were
       lost. (Bug #51107)
     * In the SQL Editor, if a query was executed and then interrupted,
       MySQL Workbench hung. (Bug #53652)
     * Delimiters were erroneously added to trigger code if the currently
       selected schema was changed. (Bug #53151)
     * If a table was dragged from the catalog tree on to the EER Diagram,
       the catalog tree collapsed. (Bug #51862)
     * When a model containing a table using a 1:n relationship was
       synchronized with a live database, the relationship then failed to
       render in the EER Diagram. (Bug #53252)
     * Loading a large script was loaded into the SQL Editor resulted in
       an out of memory exception. Memory exhaustion was caused by
       inefficient end of line conversion. The SQL Editor now supports
       custom end of line formats and preserves the original line endings
       used in the file. End of line conversion is no longer used and
       large files load faster and more efficiently. (Bug #53190)
     * It was not possible to edit schema properties in the schema editor,
       such as name and default collation. (Bug #53438)
     * MySQL Workbench generated an exception when an attempt was made to
       change the configuration file in the System Profile tab of the
       Manage Server Instances dialog. (Bug #52947)
     * If a query was entered in the SQL Query tab, and then Command+Enter
       was immediately pressed to execute the query, the query failed.
       This only happened on Mac OS X. (Bug #53650)
     * MySQL Workbench crashed when attempting to connect to a Linux
       server using an SSH connection. (Bug #53476)
     * If an SQL file saved in Windows file format was loaded into the SQL
       Editor, it was displayed with additional line breaks, and the SQL
       code was not interpreted correctly. Further, if code written in the
       SQL editor was saved to a file and then opened in an editor on
       Windows, it contained additional line breaks. (Bug #51308)
     * The MySQL configuration file was corrupted by the Administrator
       when changes were applied, if the configuration file was not
       terminated with a new line. (Bug #53620)
     * In the Model Overview page, when small icons view was selected, if
       table names were truncated, there were no tooltips to enable
       visibility of the full names. The tooltips, however, were present
       for the large icons view, and the details view. (Bug #50739)
     * MySQL Workbench reported a server as not running, even if it was.
       The MySQL Server concerned was running on 64-bit Windows 7. (Bug
       #50585)




Version 5.2.21 (2010-05-12, Release Candidate):
===============================================

Functionality Added or Changed:
     * MySQL Workbench now includes the following menu items and keyboard
       shortcuts:
          + Execute Current Statement, Control+Enter
          + Execute (All or Selection), Control+Shift+Enter
          + Explain Current Statement, Control+Alt+Enter
          + Explain (All or Selection), Control+Alt+Shift+Enter
       The Stop toolbar button and menu item now are automatically enabled
       and disabled. (Bug #50911)
     * MySQL Workbench now features a check that compares the mysqldump
       version on the client and server machines. (Bug #52689)


Bugs Fixed:
     * On Mac OS X, the overlay text for NULL and BLOB fields was missing
       from the results grid in the SQL editor. This meant that those
       fields appeared empty if a query was executed that returned a BLOB,
       such as SELECT SHA1('hello');. (Bug #53335)
     * In the SQL Editor, if a BLOB field containing an image was loaded
       into the Viewer, the image was not displayed. (Bug #53245)
     * It was not possible to delete a trigger from the Triggers tab in
       the Alter Table dialog. Even though the trigger code was selected
       and deleted, and then Apply clicked, the code that was generated
       did not drop the deleted trigger as expected. (Bug #52955)
     * It was not possible to increase the font size of text in the SQL
       Editor. MySQL Workbench has been changed so that fonts set in the
       Workbench Preferences dialog now also affect the SQL Editor. (Bug
       #52968)
     * In the SQL Editor the Find and Replace facility did not appear to
       function. (Bug #52251)
     * When editing table data in the SQL Editor, the table would refresh
       after data was edited in the first column. This meant it was
       necessary to then scroll to the bottom of the table data to
       continue editing the record. (Bug #51965)
     * In the Alter Table dialog of the SQL Editor, there was no effective
       way of altering a foreign key. Also, the Column and Referenced
       Column were not updated when a foreign key was created in the
       Foreign Keys tab. (Bug #51124, Bug #51262)
     * If the name of a table was changed in the Alter Table dialog and
       Apply was clicked, the message âno changes to object were detectedâ
       was received, even though a change had been made. (Bug #50894)
     * When forward engineering a model to a database, not all tables were
       created on the live database. (Bug #53506)
     * Proceeding through the Edit Table Data wizard (launched by the Edit
       Table Data action item on the Home screen) and clicking Finish to
       complete the wizard caused MySQL Workbench to crash. (Bug #53511)
     * In the Alter Table dialog of the SQL Editor, if two triggers were
       created, the second with a bad command, and the error corrected,
       then when changes were applied, the generated code was incorrect,
       dropping both triggers. (Bug #52997)
     * When the SQL Editor was launched, MySQL Workbench became
       overloaded, due to a large number of tables (10,000+) in the
       schema. MySQL Workbench now includes two new options in the
       Workbench Preferences dialog: Disable Live Schema Overview and Show
       Schema Names Only in Catalog List. This enables the application to
       be configured to handle schemata with large numbers of tables. (Bug
       #50701)
     * In the SQL Editor, if multiple Query tabs were opened so that they
       used more than the available screen width, it was not possible to
       move to the tabs that were not visible. MySQL Workbench now
       includes scroll buttons should the number of tabs exceed the screen
       width. The scroll buttons make it possible to access non-visible
       tabs. (Bug #53070)
     * In the SQL Editor, if some script text was highlighted, when
       Control+S was pressed to save the script to a file, only the
       highlighted text was saved. (Bug #53275)
     * Russian characters were not displayed correctly in the SQL Query
       tab of the SQL Editor. (Bug #53408)
     * MySQL Workbench crashed after using the Edit SQL Script action item
       from the Home screen. In the Edit SQL Script wizard, a connection
       was chosen that did not use a stored password, and then a script
       selected and the Finish button clicked to exit the wizard. MySQL
       Workbench subsequently crashed when the requested password was
       entered into the dialog and the OK clicked. (Bug #53247)
     * It was not possible to give the index name and foreign key name of
       a column different names. Now renaming an index in MySQL Workbench
       does not automatically rename a corresponding foreign key. Renaming
       a foreign key automatically renames the associated index only if
       the names still match at the time the foreign key is renamed. (Bug
       #53370)
     * If a model was saved using a file name that contained non-English
       characters, it could not be reopened from the list of existing
       models on the Home screen. (Bug #53110)
     * If a model was forward engineered to a database, renamed, and then
       forward engineered again, the SQL that was generated was erroneous.
       (Bug #53068)
     * Changes to EER Diagram page size using File, Page Setup were not
       reflected in the model navigator. (Bug #52077)
     * Any columns that contained a comment were marked for change when
       synchronizing the model with the live database. (Bug #51765)
     * In trigger code, triggers using the alias new were correctly
       colored by the syntax highlighter, but triggers using the alias old
       were not. (Bug #51061)
     * When an EER Diagram layout was set to span multiple pages and then
       printed, the diagram was printed so small as to be illegible. (Bug
       #51032)
     * When MySQL Workbench was maximized, it did not fit correctly onto
       the screen and the title bar was not displayed. (Bug #50975)
     * The Relationship and Layer editors did not close if the object they
       were editing was deleted. MySQL Workbench now supports auto-closing
       of all open editors, should the object being edited be deleted.
       (Bug #50681)
     * MySQL Workbench permitted setting the auto-increment check box for
       multiple columns in the Table Editor. (Bug #49278)
     * In the Select Changes to Apply page of the Synchronize Model with
       Database wizard, if a schema was selected and then any of the
       Update Model, Ignore, or Update Source buttons was clicked, this
       change was not applied to child objects of the schema. (Bug #45454)
     * MySQL Workbench permitted the creation of invalid foreign keys that
       referenced a column that did not use a PRIMARY KEY or UNIQUE key
       declaration. MySQL Workbench now filters the list of columns
       permitted for a referenced foreign key, so that only primary key
       and indexed columns are listed. (Bug #53136)
     * Find was always enabled, even in contexts where it had no useful
       functionality. (Bug #49293)
     * If a socket/pipe connection method was used, and the password was
       stored in the keychain, MySQL Workbench could not connect to the
       server. (Bug #53355)
     * Selecting Plugins, Utilities, Test filters produced an unexpected
       error:
Error calling WbAdmin.openFilterDebugger
       The Filters Debugger facility can now be accessed in the Manage
       Server Instances dialog. It is located on the Server Stats sub-tab
       of the Server Profile tab. (Bug #52655)
     * Diagram names containing an ampersand were not displayed correctly
       in the Model Overview. (Bug #51617)
     * If a PDF is generated of the EER Diagram and the resulting PDF file
       is viewed in Acrobat Reader, MySQL Workbench crashed if an attempt
       was made to reprint the diagram (overwriting the file that was
       currently opened in Acrobat Reader). (Bug #50408)
     * Using the Compare and Report Differences in Catalogs wizard caused
       MySQL Workbench to crash. (Bug #49561)
     * In the Inserts tab of the Table Editor, if characters were entered
       into an integer column, MySQL Workbench crashed when a new column
       was selected. (Bug #53066)
     * In the EER Diagram view, changing the page orientation to landscape
       using File, Page Setup caused multiple problems in MySQL Workbench.
       The Navigator orientation did not change, the diagram did not print
       at the correct size, and MySQL Workbench eventually crashed. (Bug
       #50861)
     * In the User Defined Types dialog (launched using the main menu item
       Model, User Defined Types), selection of the UNSIGNED or ZEROFILL
       check boxes was not reflected in SQL code generated by the Forward
       Engineer SQL Script wizard. (Bug #50323)
     * Synchronize to live database failed when the model contained
       triggers. (Bug #52939)
     * If some changes were made in the Table Editor, and the editor was
       still in edit mode, the active changes in the Table Editor were not
       saved when the model was saved. (Bug #50006)
     * The default Export Directory Path in the Workbench Preferences
       dialog was given as DriveLetter:\MyDocumentsPath/dumps. This mixed
       the '/' and '\' directory separators.
       Further, the preferred Export Directory Path set in the Workbench
       Preferences dialog was not reflected in the Export to Disk section
       of the Data Dump facility in the Administrator. (Bug #51519)
     * An error was generated when a server was selected from the
       Import/Export MySQL Data dialog, displayed after clicking the
       Manage Import/Export action item on the Home screen. (Bug #53271)
     * The Edit SQL Script action item on the Home screen failed to load
       and execute the script. (Bug #53359)
     * Changing the fonts in the Workbench Preferences dialog had no
       effect on the appearance of MySQL Workbench. (Bug #53321, Bug
       #49832)
     * In the Alter Table dialog of the SQL Editor, it was not possible to
       create new Foreign Keys. (Bug #53134)
     * In the SQL Editor, if the table data was edited, attempts to apply
       the changes did nothing. (Bug #52705)
     * In the SQL Editor, when the Alter Table context-sensitive menu
       option was used on a table and changes were made, it was not
       possible to save them because the dialog reported that no changes
       to the object had been detected. (Bug #52786)
     * In the modeler, if a table was double-clicked to open it in the
       Table Editor, and then, without closing the Table Editor, another
       table was double-clicked to open it, the Table Editor was rendered
       as a blank panel. (Bug #53250, Bug #53347)
     * If a table was copied in the modeler, the copy of the table was
       renamed. However, foreign key relationships contained within the
       table were not renamed. (Bug #53020)
     * In the Administrator tab of the Workbench Preferences dialog, the
       description to the right of the text field Path to mysql Tool was
       incorrect. (Bug #53201)




Version 5.2.20 (2010-04-27):
============================

Functionality Added or Changed:
     * The SQL Statements tab and the record set data editor tab now
       indicate when they have unsaved data by displaying an asterisk
       character. (Bug #52799)
     * If MySQL Workbench was used on an external monitor as part of an
       extended desktop, then when the computer was started without the
       external monitor, MySQL Workbench was not displayed on the primary
       display, and was therefore invisible. MySQL Workbench now checks
       for this condition and locates half of the application window on
       the primary desktop where it can be dragged and resized as
       required. (Bug #52703)
     * The foreign key/index mapping implementation has been changed so
       that indexes created for foreign keys no longer need be marked as
       FOREIGN. They now are created with type INDEX and can be changed to
       UNIQUE or other types.
       Although the artificial FOREIGN index type has been removed, MySQL
       Workbench still automatically creates and maintains indexes for
       each foreign key by naming them after the keyname and keeping the
       names (FK to IDX) synchronized. (Bug #48728)


Bugs Fixed:
     * In the SQL Editor, when a new tab was created, the focus was on the
       Object Explorer, rather than in the SQL Statements area. This meant
       that the user had to press the Tab key, or click within the SQL
       Statements area before they could start typing SQL code. (Bug
       #50711)
     * In the Snippets tab of the SQL Editor, there appeared to be a third
       column, with no heading or data, in the snippets list. MySQL
       Workbench now expands the second column to fill the available
       space. (Bug #52559)
     * In the SQL Editor, when commands were entered into the SQL
       Statements area, and executed, they appeared on the Output tab.
       However, when the number of statements appearing in the Output tab
       exceeded the number that could be displayed in the default area, a
       vertical scrollbar did not appear. This meant any further
       statements that were executed were effectively hidden because it
       was not possible to scroll vertically to display them. (Bug #53156)
     * In the SQL Editor, field data of type VARBINARY viewed using the
       Open Value in Viewer context-sensitive menu item was displayed only
       up to the first null byte (\0). (Bug #52954)
     * Script editors, such as the editor in the SQL Editor, that used the
       Scintilla component, did not have full integration with the Edit
       menu. Short cuts and menu commands for operations such as copy,
       paste, select all, and find were not implemented. (Bug #52834, Bug
       #51806)
     * In the Variables tab of the Administrator, variables with long
       descriptions were not displayed correctly. They appeared wrapped to
       a new line, and clipped by the height of the Description row. (Bug
       #53025)
     * Each time an Admin tab was started an instance of cscript.exe was
       executed. However, when the Admin tab was closed the corresponding
       cscript.exe process was not terminated. This resulted in ever
       increasing numbers of cscript.exe processes, which consumed
       resources unnecessarily, and constituted a resource leak. (Bug
       #51601)
     * In the Export to Disk tab of the Administrator's Data Dump
       facility, selecting multiple schemata for export to a
       self-contained file resulted in this exception:
unhandled exception: local variable
'tables' referenced before assignment.
       (Bug #52981)
     * If an SQL statement was selected in the SQL Statements area of the
       SQL Editor, and copied to the snippets list using the Save SQL to
       Snippets List toolbar button, then the statement was only partially
       saved, the beginning of the statement being missing. This only
       happened for lines after the first line. Also, the further down the
       copied statement was located, the less text was successfully copied
       to the snippets list. This resulted in statements further down the
       code being heavily truncated, with only the latter portion of the
       statement being saved. (Bug #51474)
     * If a snippet was deleted from the Snippets tab in the SQL Editor,
       after MySQL Workbench was restarted the deleted snippet would
       reappear as if it had never been deleted. (Bug #51335, Bug #52558)
     * SQL Editor syntax highlighting did not correctly recognize escaping
       of the single quote character ('). Queries such as SELECT '\'' FROM
       DUAL; were therefore not highlighted correctly. (Bug #50324)
     * If multiple SQL Editor tabs were opened, closing the last one
       caused MySQL Workbench to crash. (Bug #53061)
     * Selecting multiple tables at the same time in the Overview tab of
       the SQL Editor caused MySQL Workbench to crash. (Bug #52922)
     * On Windows, if SQL Editor was using a named pipe connection, and
       the SQL Editor tab was closed, MySQL Workbench stopped responding
       to user input and had to be killed using the Task Manager. (Bug
       #53021)
     * When switching between Model Overview Page, and EER Diagram View,
       MySQL Workbench incorrectly rendered the EER Diagram View inside
       the Table Editor panel. (Bug #52778)
     * The View Editor deleted text pasted into the editor by the user.
       This happened if, for example, a view was copied from the editor, a
       new view created and the copied text pasted into the new view. At
       this point the pasted text would be deleted by the auto-parsing
       facility of the View Editor. (Bug #52433)
     * In the Columns tab of the Table Editor, if a comment was added to a
       column, or a column with a comment was selected, then when another
       table was double-clicked to load it into the Table Editor, the
       comment for the column previously selected was still displayed in
       the inactive Comments area. (Bug #51495)
     * When using the Forward Engineer SQL Script wizard, if an existing
       script file was selected to be overwritten, the wizard would not
       continue, the file had to be deleted first. (Bug #46920)
     * If a schema was opened and an object editor, such as the Table
       Editor was opened, MySQL Workbench crashed if the schema was closed
       and immediately reopened. (Bug #53027)
     * When an EER Diagram was displayed, the Properties tab was empty.
       Also, if a table in the EER Diagram was selected, the Properties
       tab remained empty. (Bug #52971)
     * The MySQL Workbench make targets, with the exception of make all,
       were broken by the file ext/ctemplate/Makefile. (Bug #51024)
     * The MySQL Workbench configure.in configure script contained a
       construct incompatible with NetBSD. The script used test == instead
       of test =. (Bug #53175)
     * While MySQL Workbench was starting up, if the Windows screensaver
       activated, this led to unpredictable behavior of MySQL Workbench.
       For example, the application could freeze, fail to redraw its main
       window, or display artifacts. On other occasions the application
       was not able to accept keyboard input, and had to be terminated
       using the Task Manager. (Bug #52780)
     * In the results editor of the SQL Editor, deleting more than two
       hundred records resulted in this error:
Attempting to Read or Write protected memory. This is often an indication that o
ther
memory is corrupt
       This happened when using either the delete key or the Delete Rows
       context-sensitive menu option. (Bug #52951)
     * If a table comment contained a single quote character, an error
       resulted when an attempt was made to synchronize this with a live
       server. This was because the code generated by the synchronization
       process did not escape single quotation marks in the table
       comments. (Bug #52608)
     * In the Reverse Engineer Database wizard, on the Connection Options
       page, if the first empty connection was selected from the Stored
       Connection list, and then the Connection Method changed, the fields
       on the Parameters tab did not change accordingly. (Bug #51742)
     * When selecting Print Preview for an EER Diagram, the objects in the
       preview appeared primarily as black filled rectangles. (Bug #51513)
     * In the Columns tab of the Table Editor, the bottom button of the
       comments scrollbar was situated too low, making downward scrolling
       very difficult because only part of the scrollbar button was
       exposed. (Bug #51496)
     * In the Reverse Engineer Database wizard, on the Select Schemata
       page, any schema name containing an underscore was displayed
       without the underscore character. Further, if the Alt key was
       pressed, the underscores appeared under the first character located
       after where the underscore should have been displayed, giving the
       character the appearance of being an accelerator key. (Bug #51141,
       Bug #52965)
     * MySQL Workbench crashed when the root user, located in the Server
       Access Management tab of the Accounts facility in the
       Administrator, was clicked. (Bug #50703)
     * MySQL Workbench failed to compile from source due to a missing
       #include <stdarg.h> statement in the file
       library/sql-parser/include/myx_sql_tree_item.h. (Bug #52919)
     * In the EER Diagram view, layer objects did not respond to edit
       commands (either double-clicking or using the Edit Layer
       context-sensitive menu option). (Bug #52822, Bug #52823)
     * In the Columns tab of the Table Editor, if a column was
       right-clicked on, and then Move Up selected, the column ordering
       was not updated within the Columns tab, until the area was clicked
       again. (Bug #51139)
     * When MySQL Workbench was sized to 1280 x 800, the Start Export
       button was not visible in the Export to Disk tab of the Data Dump
       facility. (Bug #52932)
     * When building MySQL Workbench, the build process failed if the
       --no-copy-dt-needed-entries linker option was specified (this
       happens by default when building on Fedora 13). (Bug #52918)
     * The HUD blocked access to other applications that were running.
       This was particularly a problem when Administrator or SQL Editor
       were launched from the Home screen, and took a long time to load.
       (Bug #53006)
     * The MySQL Workbench dependency on libmysql has changed to use
       version 16 of the library rather than 15. (Bug #52682)
     * Print to PDF, Print to PS File, and all export functions did not
       work correctly. For example, if Print to PDF was selected, MySQL
       Workbench would attempt to open a new document, and if the user
       proceeded, the current document would be closed.
       Further, selecting the menu option Save Model As resulted in the
       Open Document dialog being displayed. If the user clicked Yes the
       application became stuck in a loop, if No was clicked an error
       dialog was displayed. (Bug #52909)




Version 5.2.19 (2010-04-16):
============================

Functionality Added or Changed:
     * In the Configuration tab of the Administrator, the list showing the
       section in the configuration file has been changed to a read-only
       control. (Bug #52443)


Bugs Fixed:
     * In the SQL Editor, the Alter Schema dialog had a comments field.
       However, the comments entered were not used in the generated DDL
       code. The comments field no longer appears. (Bug #49280)
     * In the SQL Editor, the syntax highlighter coloured two dashes as a
       comment. This was incorrect because two dashes should be
       highlighted as a comment only when followed by a space. (Bug
       #51596)
     * MySQL Workbench appeared to perform a Save As operation rather than
       a Save operation when saving a modified script file in the SQL
       Editor. Also, there was no indication that the file being worked on
       had unsaved changes (this is normally indicated by '*' in the title
       bar). Finally, the file name was not displayed on the SQL Editor
       tab. (Bug #50055, Bug #51373)
     * The File, Open Recent menu item was not being populated with
       recently opened script files. (Bug #50053)
     * MySQL Workbench crashed when carrying out most tasks in the SQL
       Editor including adding tables, adding columns, and altering
       tables. (Bug #52789)
     * In the Table Editor of the MySQL Model page, and the Alter Table
       dialog of the SQL Editor, the text label âcomments:â was truncated
       to âcommenâ. (Bug #50765)
     * In the EER Diagram view, using the context-sensitive menu items
       Copy table, or Edit in New Window resulted in this error:
plugin:wb.edit.editSelectedFigureInNewWindow
Cannot execute plugin
A model diagram must be selected.
       (Bug #50649)
     * In the EER Diagram view, when typing a new value into the Navigator
       Zoom input control, the zoom level of the diagram changed as the
       new value was being entered. The diagram should only have been
       redrawn when the new value being entered in was fully entered by
       pressing the Enter key, instead of changing dynamically as the zoom
       level value was being entered. (Bug #48597)
     * In the EER Diagram view, if the cardinality of a relationship was
       changed and then an attempt made to edit a second relationship, the
       cardinality of the first relationship was applied to the second
       relationship. (Bug #46906)
     * When two routine groups were being edited, and in both cases the
       Routines tab was selected to display the SQL code, switching
       between the routine groups did not result in the target Routines
       tab contents being updated. For example, if routines1 was being
       displayed and the routines2 selected, the routines1 code continued
       to be displayed in the Routines tab. (Bug #49432)
     * In the Data Dump facility of the Administrator, if Export to
       Self-Contained file was selected and a destination file explicitly
       chosen, the selected schema was deselected on return from the file
       chooser. (Bug #51797)
     * The internal script MySQL Workbench used to add a new user to MySQL
       Server was incorrect. After MySQL Workbench was started, it was
       possible to create a new user, but attempts to create additional
       users resulted in an unhandled exception. (Bug #50947)
     * When opening a connection to start querying from the Home screen,
       the HUD displayed correctly. However, an error occurred with the
       connection, and the error dialog was displayed beneath the HUD.
       This meant it was not possible to click the dialog, although
       pressing ESC cleared it. The error dialog should have been
       displayed in front of the HUD, making it clickable. (Bug #52812)
     * The MySQL Workbench preference to locate the sidebar on the right
       did not work. Further, the Toggle Sidebar button did not function.
       (Bug #52631, Bug #53072)
     * Attempting to build MySQL Workbench using the
       LDFLAGS="-Wl,--as-needed" linker options failed. (Bug #52570)
     * MySQL Workbench listed gtkmm 2.4 as a dependency in configure.in.
       However, it used features only available in later versions of this
       library. (Bug #52406)
     * In the Object Browser of the SQL Editor, if a schema was dropped,
       the schema concerned was not removed from the Object Browser, but
       another schema was. However, if the connection was synchronized,
       the Object Browser displayed the correct information. (Bug #51919)
     * MySQL Workbench crashed when creating a foreign key relationship in
       the EER Diagram view. (Bug #51602)
     * The Assigned Privileges list on the Privileges tab in the View
       Editor lacked default grant options such as SELECT, UPDATE, and
       DROP. (Bug #42157)
     * Double-clicking a model file (*.mwb) to open it caused MySQL
       Workbench to crash. (Bug #52838)
     * When trying to open a saved model file, MySQL Workbench generated
       this error:
error executing plugin wb.file.openModel: Internal error:
wait box creation must be done on the main thread
       (Bug #52851)
     * In the SQL Editor, when altering a routine, if the Apply SQL Script
       button was clicked, MySQL Workbench froze. (Bug #52853)




Version 5.2.18 (2010-04-13):
============================

Functionality Added or Changed:
     * MySQL Workbench now features the ability to copy field data in the
       SQL Editor results tab in quoted or unquoted mode. (Bug #51041)



Bugs Fixed:
     * The Connection Information panel in the SQL Editor did not display
       information for the User field. (Bug #52560)
     * In the Alter Table dialog of the SQL Editor, in the columns or
       indexes tab, the first right-click in the dialog central area
       failed to display the context-sensitive menu. However, it was
       displayed on subsequent clicks. (Bug #51796)
     * In the SQL Editor, it was not possible to export a result set, if
       the result set was not the first result set. For example, if there
       were two result sets, it would be possible to export the first one
       created, but not the second result set. (Bug #51595)
     * In the Alter Routine dialog of the SQL editor, there was
       inconsistency between the operation of the close dialog button
       ('X') on the top right of the window, and the Close button on the
       bottom right. When using the close dialog button you were prompted
       to save changes, regardless of whether you actually changed the
       routine or not. When using the Close button, the user was not
       prompted, even if the routine had changed. (Bug #51518)
     * When editing a row in the SQL Editor, if a column was NOT NULL and
       had a default value, and a value was not entered for it, then after
       changing another column if changes were applied an error would be
       generated. This was because the editor attempted to set the NOT
       NULL column to NULL, rather than to its default value. (Bug #50781)
     * The Triggers tab in the Alter Table dialog of the SQL Editor erased
       all entered code, when an attempt was made to copy and paste text
       within the tab. (Bug #52587)
     * In the SQL Editor, if in the Alter Routine dialog, the user had a
       routine that contained an error, the routine would be lost if an
       attempt was made to close the Alter Routine dialog using the close
       button, and then click Yes to apply changes. (Bug #51921)
     * In the SQL Editor, in the results editor, it was not possible to
       edit or copy data containing multiple lines of text. Further, lines
       containing new lines were displayed as if the new lines did not
       exist.
       MySQL Workbench now includes a blob editor. This can be accessed by
       right-clicking in the field to edit and selecting Open Value in
       Editor. (Bug #51561)
     * In the SQL Editor, right-clicking a row in the results editor
       (after double-clicking a table), and selecting delete from the
       context-sensitive menu, did not have any effect. (Bug #51361)
     * In the SQL Editor, if a routine was altered in the routine editor,
       it was possible to close the editor without the editor prompting
       you to save any changes made, and so changes were lost. (Bug
       #52728)
     * The Log text area in the Reverse Engineer SQL Script wizard was
       inactive, preventing the log message from being scrolled. (Bug
       #50758)
     * On the Linux platform, no context-sensitive menu was displayed when
       right-clicking a schema tab in the Physical Schemata section of the
       MySQL Model page. (Bug #49429)
     * In the EER Diagram view, when a table with a name containing
       underscores was right-clicked, the context-sensitive menu displayed
       menu items containing the table name without the underscores. (Bug
       #49314)
     * In the MySQL Model page it was not possible to delete a schema by
       using the context sensitive menu in the Physical Schemata section.
       (Bug #48055)
     * MySQL Workbench crashed if No in the Delete Object dialog was
       clicked when attempting to delete a view from an EER Diagram. (Bug
       #52310)
     * MySQL Workbench crashed when an attempt was made to create an EER
       Diagram from a database containing a large number of tables
       (1500+). (Bug #52500)
     * The Data Dump facility in the Administrator exported the entire
       schema into a single file when the Dump Views option was selected.
       Further, if tables were selected and the Dump stored routines
       option selected, the routines would be stored in their own file,
       but with the DROP PROCEDURE IF EXISTS statements missing. (Bug
       #52579)
     * During the import procedure of the Data Dump facility in the
       Administrator, stored routines were not imported. (Bug #52577)
     * When using the Forward Engineer SQL Script wizard, the wizard did
       not terminate DROP procedure IF EXISTS statements with a semicolon.
       This caused SQL syntax errors if the script was executed on a
       server. (Bug #52743)
     * The scrollable boxes on the Home screen did not respond to mouse
       wheel events. (Bug #51213)
     * The model Navigator did not redraw itself correctly. The Navigator
       worked correctly for the first model loaded into MySQL Workbench,
       but not for subsequently loaded models. (Bug #50580, Bug #50622)
     * In the Object Explorer of the Sidebar, if an existing table was
       right-clicked, the context-sensitive menu displayed the option
       Create Table.... However, selecting this option appeared to have no
       effect. (Bug #51570)
     * The Message Log text area in the Forward Engineer to Database
       wizard was in active, preventing scrolling of the message when an
       error occurred. (Bug #51417)
     * When editing a table in the SQL Editor, the context sensitive menu
       items did not affect the row under the cursor, but a previously
       selected row. This potentially led to the unintentioned deletion of
       a row. (Bug #50113)




Version 5.2.17 (2010-04-02):
============================

Functionality Added or Changed:
     * MySQL Workbench has been changed so that it is possible to run the
       start, stop, and check status scripts executed from the
       Administrator, with administrator privileges. A check box has been
       provided to enable you the option of acquiring the administrator
       rights to execute the commands. This option is switched off by
       default for the check status command. (Bug #51276)
     * The MySQL Workbench installer now includes a Launch Now check box.
       By default, this is selected, so MySQL Workbench will be launched
       when the installer exits. (Bug #50387)
     * The Execute Current Statement command in the SQL Editor has been
       improved. The statement that contains the cursor will be executed.
       Further, if the cursor is outside of a statement, the last
       statement before the cursor is executed. (Bug #52302)
     * The WeifenLuo library was removed. This was the cause of difficult
       to trace application crashes. (Bug #50706)
     * The Output window only appeared in the Model context. MySQL
       Workbench has been changed so that the Output window now has its
       own tab on the main screen. (Bug #48988)
     * If MySQL Workbench attempts to connect to MySQL Server version 4.x,
       an error message is generated to indicate this version is not
       supported. (Bug #51455, Bug #51844)
     * Various improvements to the SQL Editor user interface, including
       additional context-sensitive menu items in the Object Explorer,
       additional buttons in the Create Table and Alter Table dialogs, and
       more clearly displayed error messages. (Bug #50637, Bug #49918)
     * A description column has been added to the snippets table. (Bug
       #51010)
     * In the SQL Editor, the Comments tab in the Create View dialog has
       been removed. (Bug #49270)


Bugs Fixed:
     * In the Output tab of the SQL Editor, if a query produced an error
       response, it was difficult to read the returned error message. The
       message could only be read using mouse-over in the Response column,
       and the error message text could not be copied. The Response column
       is now renamed to Message. Further, the Message column has been
       widened, and new Action and Message detail panels have been added,
       making it easier to read error messages. (Bug #50629, Bug #50860)
     * On the Output tab of the SQL Editor, it was not possible to
       properly view the contents of the Action and Message columns, if
       the text exceeded the standard column width.
       MySQL Workbench has now added a detail panel, so that long messages
       can be easily viewed. (Bug #51040)
     * It was not possible to connect to the MySQL server with MySQL
       Workbench if using sockets. (Bug #51419, Bug #51460)
     * The Table Editor, Routine Editor, and other object editors stayed
       open, even if the user switched from the MySQL Model page to the
       SQL Editor page, Home screen, or Administrator page, thereby
       causing confusion. (Bug #49367)
     * In the EER Diagram view, when zooming in or out of the diagram the
       screen was not redrawn correctly. (Bug #48020, Bug #48032, Bug
       #34505)
     * If, in the EER Diagram view, an attempt was made to edit two
       tables, MySQL Workbench crashed. (Bug #52158)
     * This bug occurred when using the MySQL Workbench Administrator with
       MySQL Server version 5.0. When selecting Enable General Log in the
       Administrator's configuration page, MySQL Workbench attempted to
       add the option general-log to the configuration file, even thought
       this is not supported by MySQL Server 5.0. (Bug #49011)
     * In the EER Diagram view, when the menu item Model, Diagram
       Properties and Size was selected from the main menu, MySQL
       Workbench crashed. (Bug #52065, Bug #52375)
     * In the Alter Routine dialog of the SQL Editor, when a routine was
       changed, and the changes successfully applied using the Apply SQL
       Script to Database dialog, the Alter Routine dialog still prompted
       the user to apply changes, even though the changes had already been
       successfully applied. (Bug #49273)
     * In the live editing tab of the SQL Editor, if the Alt+Tab key
       combination was used, the ascending and descending sort order of
       the columns could no longer be changed. (Bug #49366)
     * If a long running SQL query was executed in the SQL Editor, and
       then the SQL Editor tab closed, MySQL Workbench crashed if a new
       connection was started from the Home screen. This exception was
       generated:
Unknown Exception: caught in c:\documents and
settings\mysqldev\build\mysql-workbench-oss-5.2.16\backend\windows\wbprivate.wr\
src\Wb.h
at line 1087
       (Bug #51467)
     * In the Alter Table dialog of the SQL Editor, if a column was added
       to a table, and then an attempt made to alter that column's data
       type, the wizard generated ADD COLUMN code, rather than CHANGE
       COLUMN. That resulted in this error when an attempt was made to
       apply the changes:
ERROR 1060: Duplicate column name 'test_column'
       (Bug #51516, Bug #51719)
     * In the SQL Editor, when an SQL query was entered that contained a
       large number of characters, it appeared full width in the action
       column of the Output tab, causing the Response column to be
       unacceptably narrow. (Bug #51550)
     * The Alter Table dialog in the SQL Editor displayed comments with a
       single quote character prepending it, and with the last character
       of the comment truncated. (Bug #51972, Bug #52297)
     * When switching from a tab such as the SQL Editor tab to the Home
       screen, the toolbar did not change accordingly. However, the
       buttons on the toolbar were still active, leading to the
       possibility of unintentional actions. (Bug #49147)
     * In the SQL Editor, the wrong table was displayed when using EDIT.
       This happened if two schemata contained tables with the same name.
       For example, if two schemata, schema1 and schema2 both contained a
       table t1, then if the following SQL was entered and executed,
       schema2.t1 would be displayed instead of schema1.t1:
use schema1;
edit t1;
       (Bug #52401, Bug #52692)
     * When a model with a view was exported using File, Export, Forward
       Engineer SQL CREATE Script, a semicolon was added to the end of the
       CREATE VIEW statement, even if one was already present from the
       view code entered. (Bug #51416)
     * In the Routine Editor, the editor added â//â as the last delimiter,
       even though âDELIMITER $$â was used at the beginning of the code.
       (Bug #51247)
     * In the SQL Editor, field names containing an underscore were
       displayed incorrectly on the Results tab. Instead of the underscore
       being displayed in the correct location the following character
       appeared underlined. (Bug #50132)
     * In the SQL Editor, in a result set tab it was not possible to copy
       values from the result set. MySQL Workbench now includes the
       context sensitive menu items Copy row values and Copy field
       content. (Bug #49683, Bug #50170)
     * In the Overview tab of the SQL Editor, if there were a large number
       of schemata, it was not possible to access certain schemata because
       they did not all fit on the schema tab control.
       MySQL Workbench has been changed so that there is now a small drop
       down control that enables you to select the required schema, even
       if it is not currently visible on the schema tab control. (Bug
       #48898, Bug #50169)
     * In the Alter Table dialog of the SQL Editor, when a table was
       edited and changes applied, if subsequent changes were made and
       applied an error would result, as MySQL Workbench attempted to use
       ADD COLUMN rather than CHANGE COLUMN. (Bug #51481)
     * MySQL Workbench crashed while attempting to edit code in the SQL
       Editor. (Bug #51815)
     * If a connection was opened for querying and then Control+W quickly
       pressed to close the connection, MySQL Workbench would crash. (Bug
       #51685)
     * MySQL Workbench crashed when synchronizing a model to a live
       server. (Bug #51892)
     * When synchronizing a model containing a large number of Stored
       Routines, not all routines were synchronized with the live server.
       (Bug #51731)
     * When synchronizing between two triggers, unexpected USE statements
       and the comment â-- Trigger DDL Statementsâ appeared
       intermittently. This caused a syntax error in the script. (Bug
       #51728)
     * In the Administrator section of MySQL Workbench, if a new user was
       created, the password was not correctly applied for the account,
       resulting in the new user being denied access when an attempt was
       made to connect to a server with that user account. (Bug #50983,
       Bug #51464)
     * When Manage Import / Export was clicked on the Home screen, a
       server instance selected, and then OK clicked, MySQL Workbench
       displayed an error dialog with this message:
MySQL Workbench has encountered a problem, External component has thrown an
exception.
       (Bug #51477, Bug #51665, Bug #51703, Bug #51733, Bug #51800, Bug
       #51870, Bug #51895, Bug #51963, Bug #51944, Bug #51999, Bug #52052,
       Bug #52262)
     * When using the option Omit Schemata Qualifier in Object Names in
       the Forward Engineer dialog, the schema name still appeared in
       DROP, CREATE SCHEMA, INSERT and USE statements. The schema name
       also appeared in the table comments. (Bug #46837, Bug #51411)
     * Building MySQL Workbench from source failed if
       LDFLAGS="-Wl,--as-needed" option was specified. (Bug #51469)
     * MySQL Workbench crashed if objects were sequentially selected in
       the EER Diagram view. (Bug #51573)
     * When using the main menu item Scripting, Run Workbench Script File,
       the dialog appended â.luaâ to the selected file name. This resulted
       in a failure to load the desired file. (Bug #50501)
     * When a schema with Foreign keys and associated automatically
       generated foreign indexes was exported with the Skip Creation of
       FOREIGN KEYS check box selected, the generated script still
       contained the indexes. (Bug #49987)
     * In the SQL Editor, if a foreign key name was changed using the
       Foreign Key tab or Indexes tab of the Alter Table dialog, this
       error was generated:
Type mismatch: expected type string, but got list
       (Bug #51192)
     * Exporting a result set to a CSV file resulted in a file with a
       trailing comma appended to each line including the heading. (Bug
       #51594)
     * When opening the ip2nation.sql file MySQL Workbench crashed. (Bug
       #51606, Bug #51531)
     * After exporting a schema to disk, importing the schema did not
       restore the tables. (Bug #51261)
     * If a server instance was created with the New Instance wizard with
       SSH disabled, this exception occurred when attempting to administer
       the server instance:
Exception = System.Runtime.InteropServices.SEHException
Message = External component has thrown an exception.
FullText = System.Runtime.InteropServices.SEHException: External component has t
hrown an
exception.
   at MySQL.Forms.DrawBoxImpl.drawbox_mouse_click(Object sender, MouseEventArgs
e)
   at System.Windows.Forms.Control.OnMouseClick(MouseEventArgs e)
   at System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, In
t32
clicks)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr
wparam,
IntPtr lparam)

       (Bug #51368, Bug #51476, Bug #51522, Bug #51483, Bug #51978, Bug
       #51810, Bug #51883, Bug #51803, Bug #52115, Bug #52163, Bug #51292,
       Bug #51668, Bug #51784, Bug #51789, Bug #51940, Bug #51947, Bug
       #52021, Bug #52028, Bug #52108, Bug #52240)
     * An Out of Range exception occurred when switching from the Table
       Editor to the Home screen. (Bug #50980, Bug #51030)
     * The New Server Instance wizard did not set the correct name for the
       startup script, when the installation type was set to Fedora Linux
       (Vendor Package). Testing the connection resulted in the error
       âOperation failed: /etc/init.d/mysql start is invalidâ. (Bug
       #51802)
     * In the Object Explorer of the SQL Editor, right-clicking a table
       displayed the menu option Send to SQL Edtor. Editor was spelled
       incorrectly. (Bug #51790)
     * In the Inserts tab of the Table Editor, if a row was right-clicked
       and Delete selected rows selected, MySQL Workbench crashed. (Bug
       #51584)
     * On the MySQL Model tab, if a table was clicked on and edited using
       the context menu option Edit Table, MySQL Workbench crashed. (Bug
       #51410, Bug #50936)
     * When the MySQL Workbench source was configured, the package
       gnome-keyring-1 was not found. (Bug #51090)
     * The live data editor in SQL Editor did not permit the columns to be
       sorted in descending order by clicking the column heading. It only
       permitted column sorting in ascending order through clicking the
       column heading. (Bug #49302)
     * In the SQL editor, if Alter Table was invoked for a table, and then
       the partitioning tab selected and partitioning enabled, it was
       possible to select a partition count of 0, which then generated an
       error if an attempt was made to apply changes. (Bug #49050)
     * If all screens and tabs were closed in MySQL Workbench and then
       Data, Manage Connections selected, then when the Manage DB
       Connections dialog was closed an unknown exception occurred. (Bug
       #51403)
     * There were discrepancies between the list of pre-requisite packages
       given on the MySQL Workbench website and those listed in the README
       file in the MySQL Workbench distribution. (Bug #51085)
     * In the Overview tab of the SQL Editor there was no scrolling
       facility available. This meant that if the model contained a large
       number of schema objects the panel area was quickly filled, and it
       was not possible to view all of the objects without the ability to
       scroll. (Bug #49290, Bug #51634)
     * In the configuration settings panel of the Administrator, the ','
       character was treated as part of the database name, and so it was
       not possible to specify multiple databases for certain
       configuration options.
       MySQL Workbench has been changed as follows:
       Several configuration options permit multiple databases to be
       specified. For example, binlog-do-db and binlog-ignore-db. However,
       if a comma is used to delimit these databases, the comma is
       correctly treated as part of the database name. This means that to
       specify multiple databases you must use multiple instances of the
       option.
       To specify multiple instances of the option, the â;â character can
       be used in MySQL Workbench. When text is entered into the option
       entry field and the â;â symbol detected, MySQL Workbench prompts
       you to select multiple instances, or leave the option entry
       unchanged. If selected the option will be written to the
       configuration file as multiple instances. Further, when a multiple
       instance option is detected in a configuration file it is parsed
       into <value1> ; <value2> ; ... ; <valueN>. (Bug #15245, Bug
       #11745436)




Version 5.2.16 (2010-02-17):
============================

Functionality Added or Changed:
     * The Manage DB Connections dialog now prevents removal of a
       connection used by a server instance. (Bug #50547)
     * In the Logs tab of the Administrator it was not possible to view
       long queries, or copy their text. MySQL Workbench has been changed
       so that double-clicking an entry in the Logs tab pops up a dialog
       with the complete text, and also provides a Copy Detail button to
       copy the text of the entry. (Bug #49442)
     * In the SQL editor, the keyboard shortcut to run a single query has
       been changed to Control+Enter. To run all queries the keyboard
       shortcut has been changed to Control+Shift+Enter. (Bug #50747)
     * The data dump facility, used for exporting data to disk, has been
       modified to enable the --single-transaction option to be specified.
       If --single-transaction is enabled, the table selection will be
       restricted the following ways:
          + If a single schema is selected, it is possible to
            select/deselect its tables as required.
          + If more than one schema is selected, all tables from these
            schemas must be selected because mysqldump --databases will be
            used in this case.
       (Bug #49220)
     * The key sequence Control+Q has been added as a shortcut for the
       main menu item File, Exit. (Bug #50727)
     * In the SQL Editor a comment has been added to the EDIT statement to
       clarify its functionality. (Bug #50705)
     * When a model with multiple EER Diagrams was opened, all EER
       Diagrams would be displayed in tabs. This happened whether or not a
       EER Diagram had been displayed in a tab prior to saving the model.
       MySQL Workbench has been changed so that the EER Diagram tab state
       is saved, so that when a model is opened, only those EER Diagram
       tabs that were open on save are restored. This prevents unnecessary
       cluttering of the interface. (Bug #44454, Bug #50732)


Bugs Fixed:
     * Security Fix: Passwords were stored in plain text format in the
       file server_instances.xml.
       To improve security MySQL Workbench has been changed in the
       following ways:
          + The password is no longer stored in the connection XML file.
          + When a connection is opened, a password request dialog is
            displayed and the password requested. The password can
            optionally be stored in the system keychain/vault/keyring.
          + When editing a connection profile, you can also store the
            password in the system keychain.
          + For compatibility, when MySQL Workbench starts it will look
            for passwords stored in the XML file. If any password is
            found, it will be removed from the XML file and automatically
            stored in the keychain. When MySQL Workbench exits, the
            connections file will be free from passwords.
       (Bug #50194)
     * The second invocation of File, Print caused MySQL Workbench to
       crash. (Bug #50885)
     * In the SQL Editor the text âParsing SQL ...â displayed in the
       status bar remained once the parsing was complete.
       MySQL Workbench has been changed to display âNo errors foundâ once
       parsing has successfully completed. (Bug #50833)
     * On the MySQL Model page using Roles and Users to grant privileges
       to a schema resulted in errors when the model was forward
       engineered, and the resulting script applied against a MySQL
       server. The script failed due to invalid SQL syntax because the SQL
       created did not correctly apply the privileges to all schema
       objects. (Bug #50762)
     * In the SQL Editor a situation occurred where all results tabs could
       not be closed. Further, results tabs were incorrectly created with
       the same label. (Bug #50334, Bug #50865)
     * When using MySQL Workbench to create an ALTER script, the generated
       script did not reflect columns where only the case of the column
       name had changed. (Bug #45556)
     * Using File, Export, Forward Engineer ALTER Script to export a model
       resulted in MySQL Workbench generating the exception
       AccessViolationException. (Bug #51053)
     * When using the Server Administration link, or Manage Security link,
       on the Home screen, to log in to a remote server through an SSH
       connection, if the password dialog was closed, and cancellation of
       the SSH connection dialog acknowledged, this exception was
       generated:
Exception = System.Runtime.InteropServices.SEHException
Message = External component has thrown an exception.
FullText = System.Runtime.InteropServices.SEHException: External component has t
hrown an
exception.
   at MySQL.Forms.DrawBoxImpl.drawbox_mouse_click(Object sender, MouseEventArgs
e)
...
       (Bug #51088)
     * In the System Profile tab of the Manage Server Instances dialog, if
       the Path to configuration file textfield was set using the browse
       button, ..., the value in the textfield appeared to be set
       correctly to the selected file. However, if the dialog was closed
       and reopened, the new path was not displayed in the text field. If
       the path was manually entered, rather than using the browse button,
       the textfield would display the correct path even if the dialog was
       closed and reopened. (Bug #50965)
     * The messages generated by mysqldump when a data export operation
       failed were difficult to interpret, for example:
Operation failed with exitcode 2
       (Bug #50137)
     * In the Create a new server instance wizard, using the default SSH
       Key Path, ~/.ssh/id_rsa, resulted in a 'file not found' error when
       testing the connection. However, if the path was entered as
       /home/username/.ssh/id_rsa the connection test was successful. The
       same problem was also present in the Manage DB Connections dialog.
       (Bug #49090)
     * The first connection created with New Connection did not appear
       immediately in the list of available connections. (Bug #49079, Bug
       #49801)
     * For a default MySQL Server installation, no my.ini or my.cnf file
       is created. This proved problematic when creating a server instance
       in MySQL Workbench because the Create a new server instance wizard
       expected a configuration file to be specified. If the path to the
       configuration file was left blank, a model error dialog was
       displayed by the wizard. If alternatively, one of the standard
       locations for the configuration file was entered, problems arose
       when an attempt was made to subsequently change configuration
       values in the configuration section of the Admin screen. The
       problems included MySQL Workbench hanging, and repetitive requests
       for a 'super user' password. (Bug #49766, Bug #50317)
     * In the Create a new server instance wizard, on the last page of the
       wizard if the Back button was pressed and then the Next button
       pressed, an error was generated stating the server instance already
       existed. (Bug #51060)
     * The descriptions used for options in the Advanced Options tab in
       the Data Dump section of the administrator were lacking clarity and
       in some cases dated. (Bug #49224)
     * Numerous variables were missing from the DDL section of the Status
       Variables tab in the administrator. (Bug #49073, Bug #49077)
     * In the configuration file editor it was possible to select a
       directory, such as Temp directory on the General tab, without
       specifying a corresponding path. (Bug #49035)
     * In the General tab of the configuration file editor, the option
       Default table type was present, even though it was deprecated in
       MySQL Server 5.0. Further, selecting this option and applying
       changes did not change the server configuration file. (Bug #49006)
     * If the command for checking server status was changed in a server
       instance, the change did not take effect unless MySQL Workbench was
       restarted. (Bug #48992)
     * In the Create a new server instance wizard, if an operating system
       of type Windows (MySQL 5.1 Installer Package) was selected, this
       error was generated on the Test Settings page:
Error: File C:\Program Files\MySQL\MySQL Server 5.1\my.ini doesn't exist
       This was because the file was actually stored in
       C:\Programas\MySQL\MySQL Server 5.1\my.ini.
       Similar bugs where the configuration file could not be found were
       reported on both English and non-English systems. (Bug #50050, Bug
       #50635, Bug #50966, Bug #50873, Bug #51008)
     * When using an SSH connection to manage a remote server, MySQL
       Workbench repeatedly prompted the user to enter a password, even
       though a key file had been specified. (Bug #49307)
     * MySQL Workbench did not correctly detect the status of MySQL
       Servers where multiple servers were running on the same host, and
       so displayed incorrect server status on the Admin screen. (Bug
       #48975)
     * If a MySQL server was set to accept named pipe connections only,
       and then a server instance created in MySQL Workbench using a named
       pipe connection, it was not possible to subsequently connect to the
       server with MySQL Workbench. (Bug #50830)
     * When MySQL Workbench was connected to a remote server using an SSH
       connection, and a data export operation performed, MySQL Workbench
       actually attempted to perform the data export on a local server
       instance, rather than on the connected remote server. If the remote
       and local server had a common user account, a backup could be
       performed that appeared to complete successfully, but which
       contained data from the local server rather than the connected
       remote server. (Bug #49295)
     * Expanded Schemata Palettes in the SQL Editor would collapse when
       switching between SQL Editor tabs. (Bug #50815)
     * In the SQL Editor, when using the live editor, if Query, Export
       Results was selected from the main menu and a CSV output format
       chosen, the exported data was found to be in tab delimited format,
       rather than CSV format. (Bug #49303)
     * In the SQL Editor, when editing table data, if an operation failed
       when changes were applied, the error message was not clearly
       visible. (Bug #50112)
     * In the SQL Editor the toolbar button to execute SQL statements was
       missing.
       MySQL Workbench also now includes a new toolbar button to execute a
       single statement. (Bug #50791)
     * In the SQL Editor, if the Edit Data dialog was invoked for a table,
       and some data edited, MySQL Workbench crashed when the Apply SQL
       button was clicked. (Bug #50920)
     * In the SQL Editor, in the add routine dialog, if the template was
       used, and a simple SELECT 1; statement added to the template, this
       error was generated when changes were applied:
ERROR 1064: You have an error in your SQL syntax; check the manual that
corresponds to your MySQL server version for the right syntax to use
near '' at line 3
SQL Statement:
CREATE PROCEDURE `world`.`new_routine` ()
BEGIN
SELECT 1
       (Bug #49710)
     * In the Alter Table dialog of the SQL Editor, support for triggers
       appeared to be provided, but underlying functionality was missing.
       (Bug #49287)
     * In the SQL Editor, if Alter Table was invoked, and the collation
       for a column changed, no changes were detected after clicking
       Apply. (Bug #49277)
     * In the SQL Editor, if using the Alter Table dialog, attempting to
       apply changes after renaming an index resulted in this error:
SQL Error 1091: Can't DROP 'username_foo'; check that column/key exists
       (Bug #50970)
     * In the Forward Engineer SQL Script wizard, selecting the check box
       Omit Schema Qualifier in Object Names caused the CREATE SCHEMA
       statement to be removed. DROP SCHEMA statements were also removed,
       even if the Generate DROP SCHEMA check box was selected.
       MySQL Workbench has been changed so that if the Omit Schema
       Qualifier in Object Names check box is selected, it is possible to
       optionally select the check box Insert USE Statements, to enable or
       disable the use of USE statements. (Bug #49682)
     * In the Forward Engineer SQL Script wizard, selection of the Skip
       Creation of FOREIGN KEYS check box was not reflected in the
       generated script. (Bug #47969)
     * If a schema that contained tables with no engine defined was
       reverse engineered, and then the engine type was changed in MySQL
       Workbench, then when the model was exported the ALTER script did
       not contain code to change the engine of the table. (Bug #45110)
     * If a table was dropped from a live database, and then the model
       synchronized, the dropped table would be detected, but the table
       was not dropped from the model concerned. (Bug #50000)
     * The SQL code editors used in the modeling functionality within
       MySQL Workbench, for example in the Triggers tab of the Table
       Editor, failed to identify and highlight SQL code errors. (Bug
       #50835)
     * When synchronizing a schema with a live server, the scale of
       columns with type DECIMAL was erroneously set to zero. For example,
       a DECIMAL(17,5) was found to be set to DECIMAL (17,0) in the
       generated script. (Bug #50110)
     * An exported script containing triggers and views resulted in the
       error #1046 - No database selected when run on the MySQL Server.
       This was due to a missing USE DATABASE statement in the generated
       script. (Bug #50900)
     * In the Data Dump facility of the Administrator, attempting to
       export a schema to disk failed if a table name contained a space.
       (Bug #50728)
     * In the Data Dump facility of the Administrator it was not possible
       to import a file where the path contained a space. (Bug #50609, Bug
       #50007)
     * If the Data Dump facility in Administrator was used to export to a
       self-contained file, then when that file was imported an unhandled
       exception was generated. (Bug #49529)
     * If the MySQL Server was stopped then attempting to access the Logs,
       Accounts, Connections, Variables or Data Dump tabs in the
       Administrator resulted in unhandled exceptions. (Bug #49439)
     * In the MySQL Model tab, if the Table Editor was launched and then
       the Home screen tab clicked, MySQL Workbench displayed the MySQL
       Workbench Unexpected Error dialog. (Bug #50768)
     * The import log contained messages with redundant parentheses. (Bug
       #49218)
     * There was no facility to cancel the Export to Disk process, once
       started, in the Administrator. Further, the Start Export button
       erroneously remained enabled during the export process, enabling
       the user to start new export processes, resulting in errors. (Bug
       #49115)
     * In the Data Dump facility of the Administrator, if a schema was
       selected, but its corresponding check box not selected, and then
       several of its tables selected for export, this error occurred when
       the Start Export button was clicked:
Nothing to do, no schemas or tables selected.
       (Bug #49110)
     * When a non-SSH server instance was created, and a connection made
       to a remote server, only the Data Dump facility of the
       Administrator was available. The same problem occurred if SSH-based
       administration was deselected for the server instance. (Bug #50098)
     * MySQL Workbench did not support SSH keys that required a passphrase
       to be entered. (Bug #49418)
     * In the Manage DB Connections dialog it was not possible to select a
       default schema for the Socket/Pipe connection type because this
       facility was not provided by the dialog user interface. (Bug
       #50283)
     * In the Workbench Scripting Shell dialog, clicking an item in the
       value inspector panel (lower left corner) caused an exception:
System.Runtime.InteropServices.SEHException: External component has thrown an
exception.
   at MySQL.Grt.TreeModel.expand_node(NodeId node)
   at MySQL.Grt.GrtTreeModel.TreeViewExpanding(Object sender, TreeViewAdvEventAr
gs e)
   at System.EventHandler`1.Invoke(Object sender, TEventArgs e)
   at Aga.Controls.Tree.TreeViewAdv.OnExpanding(TreeNodeAdv node)
   ...
       (Bug #50683)
     * It was possible to connect to a database using a password
       containing a space. However, when this connection was used to
       attempt a backup the operation failed, due to the password not
       being correctly quoted. (Bug #50213)
     * In the SQL Editor, if a LONGTEXT field was being edited in the
       table data live editor, when the changes were applied an error was
       generated.
       MySQL Workbench has also been changed so that large text values
       need to be edited in an external editor and then pasted into the
       grid cell. (Bug #50111, Bug #50692, Bug #50948, Bug #50814)
     * In the SQL Editor, if a database was selected in the Overview tab
       and then either the Drop Schema... context menu item was selected,
       or the drop schema toolbar button clicked, the DROP DATABASE dialog
       was displayed. However, if the dialog close button was then clicked
       to cancel the dialog, the database was still dropped, instead of
       being unaffected by the cancelling of the dialog. (Bug #50072, Bug
       #50960)




Version 5.2.15 (2010-01-28):
============================

Functionality Added or Changed:
     * The GRT Shell exhibited various issues and could generate
       exceptions in some circumstances.
       The GRT Shell has been updated and is now implemented as a
       standalone dialog known as the Workbench Scripting Shell. (Bug
       #49298)


Bugs Fixed:
     * In the SQL Editor, if an attempt was made to change the number of
       partitions in a table, using Alter Table, the SQL code produced did
       not contain the necessary ALTER TABLE statement to effect this
       change. (Bug #49054)
     * If a model contained a table which used a user defined type for a
       column, then when the model was forward engineered an erroneous
       COLUMN CHANGE statement was generated for the column. This only
       happened for user defined types without additional arguments. For
       example, a user defined type using INTEGER(11) would not create a
       COLUMN CHANGE statement, but using INTEGER would. (Bug #45834)
     * If the MySQL Server was stopped outside of MySQL Workbench then the
       server status displayed in the Administrator did not update
       correctly until the Startup tab was clicked. The log file did
       however correctly note the change in status. (Bug #48966)
     * If text was entered into the search bar in the SQL Editor, and the
       sidebar button clicked twice, MySQL Workbench crashed. This only
       happened on Mac OS X. (Bug #50560)
     * With an EER Diagram open, the File, Page Setup menu item was
       unavailable. (Bug #49863)
     * The Synchronize Model with Database wizard generated a script that
       erroneously dropped schemata that had been selected to be ignored.
       (Bug #49587)
     * The Portrait and Landscape icons were missing from the Page Setup
       dialog. (Bug #50529)
     * On an EER Diagram, when a relationship was placed using the toolbar
       button Place a Relationship using Existing Columns, if the
       relationship was subsequently checked in the Foreign Keys tab of
       the Table Editor, it was found to contain incorrect values for
       foreign key names, for example, fk_%dcolumn%1. It was apparent that
       the placeholder had not had its value correctly substituted. (Bug
       #50492)
     * When working through the Manage DB Connections wizard, the prompt
       to Enter SSH password appeared as a sheet behind the modal dialog
       box for the wizard. In some situations, it was not possible to see
       the Enter SSH password sheet, and it was not possible to click any
       buttons on, or close, the modal wizard.
       This meant the user had to move the modal dialog box to see the
       Enter SSH password sheet, but is was not obvious that this was
       possible because the window decorations indicated that the modal
       dialog could not be focused.
       MySQL Workbench now uses a dialog rather than a wizard used for
       Manage DB Connections when creating a new connection. (Bug #49810)
     * When exporting a model to a single file using File, Export, Export
       as Single Page PDF or Export as Single Page Postscript File, the
       table positions contained in the file were incorrect. (Bug #47384)
     * Double-clicking any main tab, just below the main menu toolbar,
       caused MySQL Workbench to generate an exception. (Bug #50562)
     * It was not possible to print EER Diagrams or schemata. The File,
       Print option was grayed out, and Control+P did not have any effect.
       (Bug #50528)
     * MySQL Workbench reported the remote server as being down, in the
       Database Server Status section of the Administrator, even though
       the server was in fact running, and queries could be successfully
       run against the database using MySQL Workbench. (Bug #50453)
     * When performing a data dump in the Administrator, the operation
       failed with an exit code 7.
       MySQL Workbench has been changed so that it will generate an error
       if the mysqldump executable cannot be found. (Bug #50184)
     * On the General tab of the configuration file editor, if a value was
       set for Temp directory, and the changes applied, the value set was
       not displayed in the preview, implying it would not be set in the
       server configuration file. (Bug #49423)
     * In the Administrator, when an attempt was made to import multiple
       tables from the same project folder, MySQL Workbench only imported
       the first table and then stopped, reporting the import process as
       finished. (Bug #49217)
     * In the Columns tab of the Table Editor, attempting to change the
       column data type using the list caused MySQL Workbench to crash.
       (Bug #50546, Bug #50598, Bug #50527)
     * When the menu item File, Page Setup was selected from the main
       menu, MySQL Workbench crashed. (Bug #50315)
     * When a MySQL Workbench unhandled exception occurred and the
       exception dialog was displayed, if the user clicked Quit, and there
       were unsaved changes, a new dialog was displayed, warning of
       unsaved changes. If Cancel was clicked on this dialog, MySQL
       Workbench would exit, which was not the expected behavior because
       changes would then be lost. If Yes was clicked on this dialog, to
       save changes, MySQL Workbench crashed. Overall, the behavior of the
       dialogs was confusing.
       A new error dialog has been introduced that changes the handling.
       It presents the user options to go to the bug report page, copy
       debug information to the clipboard and to close the dialog. (Bug
       #49304)
     * Client-side sorting always sorted on an alpha basis, regardless of
       data type. This meant numeric values were not sorted into the order
       expected. (Bug #50158)




Version 5.2.14 (2010-01-21):
============================

Bugs Fixed:
     * In the Physical Schemata section of the MySQL Model tab, the tables
       were not displayed in alphabetic order. (Bug #47143)
     * In the SQL Editor, the Alter Table dialog created incorrect DDL for
       changes to the partitioning. (Bug #49055)
     * If a multiline configuration option in the MySQL server
       configuration file was removed using the configuration editor of
       the Administrator tab, MySQL Workbench generated an error. (Bug
       #50470)




Version 5.2.13 (Not released):
==============================

Bugs Fixed:
     * If the server configuration file contained more than one entry for
       replicate-do-db, the configuration editor on the Admin tab
       displayed only the second entry, rather than both. (Bug #49299)
     * In the SQL Editor, if a routine was edited, and the changes
       applied, the changes were automatically reverted if the apply
       failed. This meant that any changes the user had made had to be
       entered again. (Bug #49790)
     * Invalid values were written to the MySQL server configuration file
       by the configuration editor. MySQL Workbench also added new entries
       to the configuration file, rather than update the existing entries.
       As a result of the this the server failed to start. (Bug #49420)
     * In the SQL Editor, if an object was created or renamed, that change
       was not reflected in the user interface. This change fixes the
       problem for Linux and Mac OS X. (Bug #49454)
       References: See also Bug #50424.
     * When building MySQL Workbench 5.2.11 from source on CentOS 5.4,
       this error occurred:
python_context.cpp:388: error: invalid conversion from 'const char*' to 'char*'
python_context.cpp:388: error:   initializing argument 1 of 'PyObject*
PyImport_ImportModule(char*)'
make[4]: *** [python_context.lo] Error 1
make[4]: Leaving directory `/home/install/mysql-workbench-oss-5.2.11/library/grt
/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/install/mysql-workbench-oss-5.2.11/library/grt
'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/install/mysql-workbench-oss-5.2.11/library'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/install/mysql-workbench-oss-5.2.11'
make: *** [all] Error 2
       Note, from MySQL Workbench 5.2.13, binary and source packages for
       CentOS 5.4 will be available. Due to the dependence of MySQL
       Workbench on certain packages that are older in CentOS 5.4 than in
       other operating systems, MySQL Workbench has some minor features,
       such as tooltips, disabled. (Bug #50360)
     * Selecting the Help, Check for Updates menu item opened the web
       browser and displayed an error:
Not Found

The requested URL /version-check.php was not found on this server.
Apache Server at wb.mysql.com Port 80
       (Bug #50415)
     * In the configuration editor in the Admin tab, the lists for
       displaying units, such as for the Sort buffer size option, did not
       show 'G', which represents Gigabytes. This bug was fixed in 5.2.10.
       It was subsequently decided to standardize all units around
       uppercase characters. In particular the 'k' was changed to 'K'.
       This change was made in version 5.2.13. (Bug #49013)




Version 5.2.12 (Not released):
==============================

Functionality Added or Changed:
     * In the SQL Editor, if a table was edited with the Edit Data
       facility, and table values changed, no warning was given if an
       attempt was made to close the tab without having first applied
       changes using the apply button.
       MySQL Workbench has been changed so that if the user attempts to
       close a live editing tab, without having applied any changes made,
       a warning dialog is displayed. (Bug #49925)
     * Undo operations are no longer tracked in the editors that work with
       live databases, such as table editors within the SQL Editor. (Bug
       #49284)
     * MySQL Workbench has been changed to permit a connection to be
       created where the password does not have to be stored. In this
       case, MySQL Workbench prompts the user to enter the correct
       password when the connection is established. (Bug #49409)


Bugs Fixed:
     * Security Fix: The password for the connected MySQL Server was
       exposed by the SQL Administrator in MySQL Workbench. The password
       was displayed in plain text form in the Startup Message Log on the
       Startup tab of the Admin page. (Bug #43287)
     * In the SQL Editor, when a schema was dropped, it was still
       displayed in the Overview tab and in the schemata explorer of the
       side panel. Further, MySQL Workbench did not provide any
       confirmation that the schema had been dropped successfully or
       otherwise. (Bug #49282)
     * SSH Tunnels opened by MySQL Workbench were never closed. SSH
       Tunnels created when clicking Test Connection in the Manage DB
       Connections dialog, were not closed. This was also the case when
       the SQL Editor and Server Administration tabs were closed. (Bug
       #49411)
     * In SQL Editor, SELECT statements that called functions, for example
       SELECT md5('abcd'), did not give the expected result. (Bug #50248)
     * In the Table Editor, the list for selecting the table engine type
       contained a reference to calpont. This should now be infinidb. (Bug
       #50159)
     * In the Create a new server instance wizard, if the check box Enable
       SSH login based administration was cleared, the wizard still
       prompted the user to enter an SSH password when the Next button was
       clicked. (Bug #49226)
     * The Manage DB Connections dialog did not prevent duplicate
       connection names or an empty string as a valid connection name.
       (Bug #49150)
     * When performing a Synchronize Model operation, all foreign key
       relationships in the EER diagram that had the setting draw split
       were redrawn as fully visible. (Bug #47767)
     * In Mac OS X, the context-sensitive menu was missing from the live
       editing tab of the SQL Editor. Right-clicking in the editing tab
       simply displayed a Mac OS X menu, rather than the context-sensitive
       menu to enable actions such as copying, deletion and setting
       selections to NULL. (Bug #50114)
     * If a database was reversed engineered from a source, and a table
       renamed, then although this change was detected by MySQL Workbench,
       no DDL code was generated if an attempt was then made to
       synchronize this change with the source. (Bug #49313)
     * The toolbar buttons on the Home screen did not reflect the order of
       the action items in the Workspace. The Open Server Profile button
       and Open DB Connection Manager buttons needed to exchange
       positions. (Bug #49149)
     * In the Logs tab of the Administrator, the Oldest and Newest buttons
       appeared to have reversed functionality. Oldest displayed the most
       recent timestamps and Newest displayed the oldest. (Bug #49065)
     * In the Manage DB Connections dialog, many textfield labels appeared
       truncated. (Bug #49052, Bug #49378)
     * When running MySQL Workbench from the command line, it could not
       open model files where the path contained a space. (Bug #46297)
     * Lower panels such as the Table Editor remained open, even when the
       user returned to the Home screen. (Bug #49926)
     * In the Partitioning tab of the Alter Schema dialog, it was not
       possible to create a single partition. If a partition count of 1
       was specified this was actually set to 2 in the generated DDL. (Bug
       #48114)
     * Custom Python modules failed to load and were not displayed in the
       MySQL Workbench Plugins menu.
       In MySQL Workbench 5.2 the syntax used has changed from @wbplugin
       to @ModuleInfo.Plugin. (Bug #50108)
     * On the Model page, if some text was entered into a note in Model
       Notes, and then the model was saved and closed, on reloading the
       note would be empty.
       This also happened for a script added in SQL Scripts. After the
       model was saved and reloaded, the script would be empty. (Bug
       #50108)
     * In the Manage DB Connections dialog, when attempting to create a
       Standard TCP/IP over SSH connection, errors occurred when testing
       the connection in the case where a key file had been specified. If
       the path to the key file was quoted the error was:
Cannot open SSH Tunnel:  ERROR Invalid request
       If the same path was not quoted the error generated was:
Could not connect SSH tunnel:  ERROR [Errno 22] invalid mode ('r') or filename:
'D:\\Documents and Settings\\tf221715\\.ssh\\id_dsa'
       It should be noted that currently only key files using the OpenSSH
       format are supported. (Bug #49812)
     * In the Partitioning tab of the alter table dialog it was possible
       to enter a number greater than 10 into the Partition Count
       textfield. However, when these changes were applied the DDL
       generated substituted any value entered that was greater than 10
       with the value 2. (Bug #49380)
     * The Alter Schema dialog in the SQL Editor permitted the schema name
       to be changed using the Name textfield, even though doing this is
       not supported at the server level. (Bug #49281)
     * In the SQL Editor if an EDIT table operation was being carried out,
       it appeared that data in the table was not updated, and also a row
       already inserted would be erroneously deleted when attempting to
       add a new row of data, when changes were applied.
       MySQL Workbench has been changed so that if an error occurs during
       changes being applied, an error dialog is displayed showing any
       errors that occurred. Also, the status text is now updated to say
       âApply Failedâ, rather than âChanges Appliedâ. (Bug #49179)
     * Various errors occurred when attempting to modify the server
       configuration using the Configuration tab of the Administrator:
Unhandled exception: global name 'tempfile' is not defined

Unhandled exception: [Errno 22] Invalid argument:
'C:\\users\\tax\\appdata\\local\\temp\\tmpo47ttn'

       Also, if the Logs tab was selected to view the server log files,
       this error occurred:
Unhandled exception: Error executing 'Select @ @
log_output': Unknown system variable 'log_output'
       (Bug #48906)
     * Clicking the Test Connection button in the Manage DB Connections
       dialog caused MySQL Workbench to lock up. The error generated on
       the console was:
18743 INFO Connecting to SSH server at 127.0.0.1:22...
Unhandled exception in thread started by <bound method Tunnel._threadloop of
<__main__.Tunnel instance at 0x9acea8>>


       This happened for the connection method Standard TCP/IP over SSH.
       (Bug #49419)
     * The script code generated from a model for routines did not quote
       schema names in USE statements. (Bug #50051)
     * In the SQL Editor, when using the Query, Export Results... menu
       item, the file extension was omitted when selection of an existing
       output file was made. (Bug #49870)
     * Two SSH tunnels were opened for a single connection to an SSH
       server. The user was also prompted for a password when a new
       connection was established, even when the existing tunnel was
       reused. (Bug #49412)
     * In the Server Status section of the Admin page, the SYSTEM graphic
       showed CPU usage at 50%, while the corresponding text label showed
       CPU usage at 0%. The graphic and label remained out of
       synchronization for around 15 seconds. (Bug #49212)
     * The ID for a connection was displayed in the Connections tab of the
       Admin page, even after the corresponding administration session had
       been closed. (Bug #48989)
     * The Connections list in the Manage Server Instances dialog did not
       display the user name for socket and pipe connections. For example
       it displayed Localhost - @:0 <Local Socket/Pipe>, rather than
       Localhost - root@:0 <Local Socket/Pipe>. (Bug #48969)
     * In the SQL Editor, if a Stored Procedure was executed and then
       immediately executed again, this error was generated:
Error code 2014
  Commands out of sync; you can't run this command now
       This problem only affected MySQL Workbench running on the Mac OS X
       platform. (Bug #49553)
     * After selecting Edit Table Data from the Home screen, and launching
       the Edit Table Data wizard, MySQL Workbench crashed if a connection
       was selected and then the Next button clicked. (Bug #49864)
     * Right-clicking a Routine Group and then selecting Copy SQL to
       Clipboard did not work. No code was copied to the clipboard. (Bug
       #49440)
     * Opening a model file, closing it and quickly reopening it caused
       MySQL Workbench to hang. (Bug #49428)
     * In the SQL Editor, if an item in the History tab was right-clicked,
       and the menu option Append selected items to SQL script selected,
       MySQL Workbench generated an unhandled exception:
glibmm-ERROR **:
unhandled exception (type std::exception) in signal handler:
what: vector::_M_range_check
       (Bug #49245)
     * In the Forward Engineer an ALTER Script wizard, the textfields and
       associated buttons for selecting input and output files were not
       positioned correctly within the window, when the selected file name
       was long. Although the files could be selected when the wizard was
       first launched, if the wizard was launched subsequently, the text
       fields would be filled with the previously selected file names,
       causing the textfields and Browse buttons to be located beyond the
       borders of the window.
       A similar problem also affected the Forward Engineer SQL Script
       wizard. (Bug #48222)
     * MySQL Workbench generated an unhandled exception when trying to add
       a new column using the Alter Table facility in the SQL Editor.
       After the VARCHAR(45) column was added, without selecting any
       column check boxes, the exception occurred when the Apply button
       was clicked. (Bug #49364)




Version 5.2.11 (2009-12-18):
============================

Functionality Added or Changed:
     * It was impossible to use a function call as a field value in an
       editable result set, such as for a result set in the Query Editor
       or in the Inserts tab in the Table Editor. This was because MySQL
       Workbench automatically escaped string parameters passed to the
       function call. For example, if an attempt was made to enter into a
       field a function such as md5('fred'), MySQL Workbench would
       generate the SQL code md5(\'fred\').
       MySQL Workbench now makes it possible to enter a function, or any
       other expression, into a field using the \func prefix. For example,
       \func md5('fred') can be entered. MySQL Workbench will now ensure
       that the string 'fred' is not escaped. See Live Editing Tabsheets.
       (Bug #38600)
     * MySQL Workbench had confusing and erroneous behavior when
       attempting to handle multiple model tabs. It has now been changed
       so that if a model is currently loaded, and a new model or saved
       model needs to be loaded, the current model will be closed first
       before then opening the new model. (Bug #49422)
     * In the configuration editor, it was not possible to find, and
       therefore set, the configuration variable âoldâ.
       This has now been added to the General tab in the configuration
       editor of the Admin tab. (Bug #49039)


Bugs Fixed:
     * Security Fix: When using the Data Dump facility in the Admin
       screen, the full mysqldump command, including the password used,
       was written to the logs. (Bug #49294)
     * The AUTHORS file in the MySQL Workbench distribution was empty.
       (Bug #49341)
     * In the Create new server instance wizard, on the MySQL Config File
       page, clicking the Check path button generated an exception. (Bug
       #49228)
     * If a connection failed MySQL Workbench reconnected silently. This
       caused problems with transactions. If changes were made to a table,
       before a COMMIT, and the connection lost, MySQL Workbench would
       reconnect silently and enable the user to COMMIT. However, it did
       not warn that this COMMIT was on a new connection, and that the
       COMMIT would have no effect. (Bug #49461)
     * In the SQL Editor the SQL Statements area could only display ten
       lines of code and was not resizeable. (Bug #49788)
     * The live data editor of the SQL Editor, which was launched by
       double-clicking a table in the Overview tab, did not behave
       correctly. If a column value was changed, and the cursor remained
       in the edited cell, then if the Apply made changes to data source
       toolbar button was clicked, the contents of the cell reverted to
       its value prior to editing. However, other cell values that had
       been edited were correctly saved. (Bug #49301)
     * When importing data using the Data Dump tab of the Admin screen,
       MySQL Workbench did not notify the user of failed imports because
       it could not detect failed imports. (Bug #49297)
     * When a export was performed using the Data Dump tab of the Admin
       screen, and the export failed, the resulting SQL file was not
       deleted. (Bug #49296)
     * When a schema containing tables with foreign key indexes was
       synchronized with a live server, MySQL Workbench attempted to
       erroneously drop and recreate at least one of the foreign key
       indexes. (Bug #47766)
     * In the Overview tab of the SQL Editor, the toolbar buttons to add
       and drop a schema did not function. Clicking the buttons appeared
       to have no effect. (Bug #49240)
     * When using the Create a new server instance wizard, the panel used
       to enter the SSH password was hidden by the wizard. (Bug #49416)
     * In the Overview tab of the SQL Editor the drop database button on
       the toolbar did not work correctly. If pressed the dialog presented
       did not contain the name of the current database in its message,
       and generated text such as:
Do you want to drop database `` from DB server ...
       Note the empty string where the database name should have been.
       Further, the text on the dialog button drop was also missing the
       database name:
DROP ``
       (Bug #49330)
     * In the Document Properties dialog the created date and last changed
       date values were reversed. (Bug #48104)
     * If a relationship link was selected in the EER Diagram view, and
       the menu item Plugins, Objects, Copy SQL to Clipboard was selected,
       an error was generated.
       Note that in version 5.2.11 this menu option is correctly disabled
       for these objects. (Bug #39556)
     * In the Server Status section of the Admin screen, the values for
       CPU status appeared to be erroneously multiplied by 100, and the
       Memory status appeared to be continually 0. (Bug #48994)
     * In the Overview tab of SQL Editor, the toolbar buttons representing
       large icons, small icons, list, add, and delete did not function
       correctly. (Bug #49239)
     * In an EER diagram, if relationship links were laid out as desired,
       and then a synchronization with the live server carried out, the
       relationship links were repositioned by MySQL Workbench. (Bug
       #47234)
     * On the Admin screen the labels for the monitoring graphs were
       difficult to read. Further, the value for Traffic was sometimes
       displayed as a negative number. (Bug #49211)
     * In the Home screen Workspace, in the central panels listing
       connections, models and server instances, the items in the panels
       appeared to be rendered as links. However, clicking these âlinksâ
       had no effect, and the items could only be loaded by
       double-clicking.
       MySQL Workbench has been changed to remove the link effect, and
       these items can only be loaded by double-clicking. (Bug #49623)
     * If the Home screen was closed and then an attempt made to reopen it
       from the View, Home main menu option, MySQL Workbench crashed. (Bug
       #49388)
     * When using the Reverse Engineer SQL Script to import the Sakila
       script file, sakila-data.sql, MySQL Workbench occasionally crashed.
       (Bug #49381)
     * In the SQL Editor, when editing live table data, there was no
       right-click menu item to delete a row. (Bug #49300)
     * In the SQL Editor, using the Alter Routine wizard to generate a
       script to modify an existing routine in the live database results
       in errors, due to incorrect script code being emitted. For example,
       the statement DELIMITER $$ was missing from the start of the
       script. (Bug #49289)
     * When using the Data Dump facility on the Admin screen, the export
       process appeared to hang when exporting with the Export to Backup
       Project Folder radio button selected. (Bug #49113)
     * In the General tab of the configuration editor in the Admin screen,
       the option Default table type provided an incomplete, and
       incorrectly capitalized, list of storage engines/table types. (Bug
       #49010)
     * In the Configuration tab of the Admin screen, any changes made and
       applied were not reflected in the configuration file of a local
       MySQL Server installation. (Bug #49008)
     * The path to the an external mysqldump tool set in the MySQL tab of
       the Preferences dialog was ignored by MySQL Workbench. This
       prevented the Data Dump facility in the Admin screen from working
       correctly because the required tool could not be found. (Bug
       #49319)
     * In an EER diagram, if the model was synchronized with a live
       database, any foreign key relationship lines that were set to
       hidden became visible. (Bug #49631)
     * The server health graphs Connection Usage and Traffic, in the
       Server Status panel of Admin tab, appeared to indicate the server
       was operating at 100% capacity, even when this was not the case.
       MySQL Workbench has been changed to use variable scaling, rather
       than linear scaling, for these graphs. (Bug #49214)
     * In the Schemata Palette of the SQL Editor the default schema
       selector did not work if the schema name contained a '.' character.
       (Bug #49373)
     * In the Advanced tab of the configuration editor, the option Delay
       key write had a file selector button associated with it. This
       should have been a list offering the values ON, OFF, ALL. (Bug
       #49424)
     * In the History tab of the SQL Editor, it was possible to
       simultaneously select multiple entries in the Time panel. However,
       this did not seem to serve any useful purpose as the content of the
       SQL column only displayed the code for a single entry. (Bug #49375)
     * When using the SQL Snippets palette, right-clicking a snippet, and
       then selecting the menu item Insert text into SQL Area, replaced
       all text in the SQL Statements area. This happened after another
       snippet had previously been inserted because the default state was
       to leave all code in the SQL Statements area selected. (Bug #49370)
     * The Configuration tab on the Admin screen had a text label âEdit
       my.cnf Fileâ. This text was not appropriate as on Windows the
       configuration file is called my.ini. (Bug #49237)
     * MySQL Workbench did not have the ability to toggle Autocommit mode,
       or a facility to explicitly start a transaction, in the SQL Editor.
       This was in contrast to Query Browser, which did support such
       facilities. (Bug #49384)
     * When MySQL Workbench silently reconnected to a server after a
       communication failure, it failed to reinitialize the connection
       correctly. As a result of this failure Autocommit was silently
       enabled. If a user was working with transactional tables, the
       commit and rollback toolbar buttons appeared to work, although they
       had no effect. (Bug #49462)
     * In the configuration editor, on the Admin tab, the operation of the
       Apply and Cancel buttons did not work correctly. If an option was
       selected, and then Cancel selected in the view changes dialog, and
       then Apply clicked again, the selected option was incorrectly
       listed twice in the configuration file. (Bug #49236)
     * Even though the server had been stopped, the Server Status
       graphical panel displayed values for active connections, traffic
       and key efficiency, giving the impression that the server was still
       active. (Bug #49225)
     * In the Log Files tab of the configuration editor, selected from the
       Admin tab, the option Write Logs to did not work correctly. If
       either the Files or Tables options were selected from the option
       list, the MySQL Server would not subsequently start. This was
       because the options should have been File and Table. (Bug #49123)
     * When using the Create Table wizard in the SQL Editor, the resulting
       dialog contained certain options that could not be deselected once
       selected. For example, the Merge Method option featured a list with
       three options: Prevent Inserts, First Table, Last Table. Note that
       once one of these options was selected, there was no way to clear
       this selection, as there was no facility to select anything other
       than one of these three options. (Bug #49048)
     * When an attempt was made to load the sakila.sql script file in the
       SQL Scripts section of the Model tab, MySQL Workbench crashed with
       this error:
glibmm-ERROR **:
unhandled exception (type std::exception) in signal handler:
what: File '/home/kolbe/Downloads/sakila-db/sakila-data.sql' contains invalid UT
F-8
data.
       (Bug #49242)
     * In the General tab of the configuration editor, changing the data
       directory using the file chooser control led to an invalid
       directory being introduced into the MySQL configuration file. This
       prevented the MySQL Server from starting. (Bug #49036)
     * After synchronizing a model with a live database, and saving the
       resulting modified model, MySQL Workbench crashed. On restarting
       and attempting to reopen the model file, MySQL Workbench generated
       this error:
Error unserializing GRT data inserting null value to not null list
       (Bug #47518)




Version 5.2.10 (2009-12-01):
============================

Functionality Added or Changed:
     * The Help, Workbench Product Page menu item launched the default web
       browser, but displayed an outdated product page. This was due to a
       web server configuration issue. MySQL Workbench now displays the
       correct, up-to-date product page. (Bug #49066)
     * MySQL Workbench now has the command line option --version, which is
       used to display the version of the application, when launching the
       application from the command line. (Bug #49136)


Bugs Fixed:
     * When a model containing stored routines was forward engineered to a
       script, the script contained an erroneous additional delimiter
       after each stored routine. This resulted in a âNo query specifiedâ
       error when an attempt was made to run the script on a server. (Bug
       #39929)
     * In the configuration editor in the Admin tab, the lists for
       displaying units, such as for the Sort buffer size option, did not
       show 'G', which represents Gigabytes. This bug was fixed in 5.2.10.
       It was subsequently decided to standardize all units around
       uppercase characters. In particular the 'k' was changed to 'K'.
       This change was made in version 5.2.13. (Bug #49013)
     * In the configuration editor, in the Admin tab, the Discard button
       simply unchecked all options, rather than just those that had been
       checked during the current editing session. This made the button
       appear to have a âclear allâ function, rather than the expected
       ârevert changesâ function. (Bug #49234)
     * When using Alter Table in the SQL Editor, if a table name was
       changed, and the Apply button clicked, the Apply Object Changes
       wizard was launched. The Review changes page indicated that the
       script that would be applied would incorrectly create a new table
       as a duplicate of the table being renamed, rather than use ALTER to
       rename the table. (Bug #49275)
     * A MySQL configuration file caused MySQL Workbench to crash, when an
       attempt was made to view it in the configuration editor of the
       Admin tab. The error generated was:
Unhandled exception:  'bool' object has no attribute 'strip'
       (Bug #49060, Bug #49602)
     * When using Alter Table in the SQL Editor, if a column name was
       changed, and the Apply button clicked, the Apply Object Changes
       wizard was launched. The Review changes page indicated that the
       script that would be applied would drop the altered column then add
       a new column with the new name. This led to column data being lost
       because the script should instead have used CHANGE COLUMN, to
       change the name of the column. (Bug #49286)
     * In the SQL Editor, the database explorer of the Schemata palette in
       the side panel did not work correctly. Incorrect behavior included
       random collapsing of expanded databases and occasional crashing.
       (Bug #48981)
     * In the SQL Editor, two buttons on the toolbar had no tooltips.
       These were the green check or tick mark, and the red back arrow
       buttons. Further, they did not seem to become enabled or disabled
       according to the context, making it difficult to determine their
       intended function. (Bug #49059)
     * On the Admin screen, the server configuration option Key buffer,
       was located under the General tab, rather than the MyISAM
       Parameters tab, even though it was a MyISAM-only option. (Bug
       #49017)
     * When using the Forward Engineer SQL CREATE Script wizard, if the
       check box Omit Schema Qualifier in Object Names was selected, the
       script code for views was omitted. (Bug #49153)
     * MySQL Workbench did not handle signed and unsigned integers
       correctly. For example, if performing a synchronization between a
       model and a live database where the only difference was a column
       was declared to be of type INTEGER in one case and UNSIGNED INTEGER
       in the other, the difference would not be detected and the ALTER
       script would imply the databases were the same. (Bug #49063)
     * In the Manage Server Instances dialog, if the Server Instances list
       pane was empty, then on creating a new Server Instance, it was not
       possible to change the instance's name. The instance had to be
       created, the dialog closed. On reopening the dialog, the instance
       could be renamed. (Bug #48967)
     * The Generate Catalog Diff Report feature did not permit the
       comparison of imported scripts because selecting the radio button
       for this option had no effect. (Bug #47230)
     * If a collation was changed for a table in the Table Editor, there
       was no facility to then set this back to the schema default.
       A new entry has been now been added to the collation selection
       list: Schema Default. (Bug #46513)
     * When using the data modeler, MySQL Workbench extended vertically to
       the maximum size of the screen, overlapping the dock, and thereby
       making it impossible to use. (Bug #48976)
     * In the Administrative Roles tab of Server Access Management,
       selection of Roles did not work correctly. For example, selecting
       the DBA check box, and then deselecting it, caused all roles to be
       deselected. Further, using the Revert button resulted in the
       selected user disappearing from the User Accounts panel. (Bug
       #49071)
     * On the MySQL Config File page of the New Server Profile wizard,
       clicking Check section generated an exception if there were options
       in the MySQL configuration file that did not have values assigned:
Check if mysqld section exists in /tmp/my.cnf
** Message: function call error
Traceback (most recent call last):
  File "/usr/lib/mysql-workbench/modules/wb_admin_grt.py", line 292, in
testInstanceSettingByName
    parser.read([config_file])
  File "/usr/lib/python2.5/ConfigParser.py", line 267, in read
    self._read(fp, filename)
  File "/usr/lib/python2.5/ConfigParser.py", line 490, in _read
    raise e
ConfigParser.ParsingError: File contains parsing errors: /tmp/my.cnf
        [line  2]: 'log-bin\n'

glibmm-ERROR **:
unhandled exception (type std::exception) in signal handler:
what: error calling WbAdmin.testInstanceSettingByName: see output for details
       (Bug #49057, Bug #47954)




Version 5.2.9 (Internal release only):
======================================

Functionality Added or Changed:
     * If, while editing data in the Inserts Editor, the ESC key was
       accidentally pressed, the Inserts Editor would close without
       warning and all data entered to that point would be lost.
       The improved Inserts Editor does not display this characteristic.
       Pressing the ESC key will have no effect. (Bug #48452)


Bugs Fixed:
     * In the EER Diagram view, the Toggle Grid and Align Objects to Grid
       toolbar buttons were not rendered correctly when in the selected
       state. (Bug #48822)
     * The Workbench Configuration editor interface contained a backtick
       character rather than a single apostrophe. (Bug #49014)
     * The Inserts Editor did not display columns of type ENUM. (Bug
       #48288)
     * Clicking the Action Item Manage Security on the Home screen
       resulted in MySQL Workbench crashing. (Bug #48990)
     * On the Filter Objects page of the Forward Engineer SQL Script
       wizard, clicking Show Filter, selecting multiple objects from the
       left panel, and then clicking >, would result in only the first of
       the selected objects being moved to the right hand panel. (Bug
       #48116)
     * In the Overview tab of the SQL Editor, representing a âliveâ view
       of the database currently connected to, if an attempt was made to
       edit a view, the resulting script generated unnecessary, and in
       fact dangerous, DROP TABLE statements. This had the potential
       side-effect that a table that coincidentally had the same name as
       the view, would be dropped with ensuing data loss. (Bug #49041)
     * Running the Forward Engineer an ALTER Script wizard resulted in an
       ALTER script that dictated changes were required to tables, even in
       the case where no such changes were necessary. (Bug #47063)
     * When using the Forward Engineer SQL Script wizard, the script
       generated for a model containing multiple schemata, only included
       the CREATE SCHEMA statement for the first schema. (Bug #47202)
     * In the Advanced tab of the Admin screen, the check box SQL Mode had
       an erroneous file chooser button associated with it. The button
       should not have been there. (Bug #49012)
     * After creating a new Server Instance from the Home screen, then
       clicking the Logs tab in the Admin screen, this exception was
       generated:
Unhandled Exception:  Error executing 'SELECT @@log_output':
Unknown system variable 'log_output';
       (Bug #49004)
     * In the Configuration tab of the Server Administrator screen, if log
       file configuration changes were applied, MySQL Workbench hung if
       the password request dialog was cancelled. (Bug #49037)
     * Using UTF-8 accented characters in the Stored Routine DDL editor
       caused the DDL parser to raise a syntax error and refuse to save
       the routine. (Bug #47730)
     * Attempting to use Database, Generate Catalog Diff Report resulted
       in a Segmentation Fault. (Bug #46810)
     * MySQL Workbench crashed when the Import/Export Server Data Action
       Item on the Home screen was clicked. (Bug #49064)
     * Clicking the Action Item, Manage Security, on the Home screen
       generated this exception:
Traceback (most recent call last):
  File "C:\Program Files\MySQL\MySQL Workbench 5.2 OSS/modules\wb_admin_grt.py",
 line
199, in openSecurityManager
    tab.wait_server_check(4)
  File "C:\Program Files\MySQL\MySQL Workbench 5.2 OSS/modules\wb_admin_grt.py",
 line 95,
in wait_server_check
    while tab.configuration.last_is_running_check is None and time.time() - t <
timeout:
NameError: global name 'tab' is not defined
       Further, if this Action Item was clicked again then MySQL Workbench
       crashed. (Bug #49061)
     * The Forward Engineer SQL Script failed to generate SQL code when
       the check box Generate INSERT Statements for Tables was selected,
       and the tables contained rows. (Bug #49046)
     * MySQL Workbench did not parse the following entry in the my.ini
       file correctly:
default-storage-engine=INNODB
       This resulted in the default storage engine not being detected
       correctly by MySQL Workbench, although this entry was correctly
       recognized by the MySQL server. However, MySQL Workbench did parse
       the following entry correctly, due to the correct capitalization
       being used:
default-storage-engine=InnoDB
       (Bug #49007)
     * The Forward Engineer SQL Script wizard did not generate correct
       delimiter syntax for routines. For example, it generated this code:
DELIMITER //
//

CREATE PROCEDURE `sakila`.`film_not_in_stock`(IN p_film_id INT, IN p_store_id IN
T, OUT
p_film_count INT)

READS SQL DATA
BEGIN
     SELECT inventory_id
     FROM inventory
     WHERE film_id = p_film_id
     AND store_id = p_store_id
     AND NOT inventory_in_stock(inventory_id);
     SELECT FOUND_ROWS() INTO p_film_count;
END //
//
       This resulted in errors when an attempt was made to run the
       generated script on MySQL Server. (Bug #46505)
     * Working through the Synchronize Model with Database wizard did not
       result in the live database being updated. (Bug #47953)
     * Any TEXT columns in the Table Editor, or TEXT columns in the SQL
       Editor results tabsheet, were displayed as BOOLEAN values, either 1
       or 0. (Bug #48982)
     * The Forward Engineer SQL Script wizard did not generate the export
       script. On the Review SQL Script page of the wizard, the review
       panel was blank. Further, clicking Copy to Clipboard generated this
       exception:
Unknown Exception caught in c:\documents and settings\mysqldev\my documents\visu
al
studio 2008\projects\workbench52\backend\windows\wbprivate.wr\src\Wb.h at line 1
085.
       (Bug #47482)
     * MySQL Workbench crashed on opening a model file. This appeared to
       be due to MySQL Workbench causing corruption in the model file.
       (Bug #48891)




Version 5.2.8 (2009-11-18, Beta):
=================================

Bugs Fixed:
     * In the Manage DB Connections dialog, the text fields Username,
       Password, and Default Schema accepted text, but as the text was
       being entered only the top half of the characters entered
       displayed. However, once the text had been submitted, the
       characters were displayed correctly. (Bug #45106)
     * In the EER Diagram view, the auto-resizing of tables did not work
       correctly, tables were too small to permit all columns to be
       visible. (Bug #46806)
     * Printing of an EER Diagram did not work correctly if a table
       vertically spanned multiple pages. In this case pages would be
       printed up to and including the page that contained the first part
       of the table that spanned multiple pages, but the pages containing
       the remaining parts of the table would not be printed. This problem
       typically occurred when a table had more fields than could
       comfortably fit on a single page. (Bug #33919)
     * When a table was edited in the EER Diagram view, and Control+S was
       pressed to save the model, the model file was not saved. (Bug
       #48682)
     * If an model object, such as a schema or table, was deleted or its
       creation was undone using the undo feature, while the object editor
       was open, a crash occurred if the editor was then subsequently
       closed. (Bug #48664)
     * When using the Fedora 10 RPM installation packages on Fedora 11,
       opening a database connection produced this error:
Cannot Connect to Database Server
Connection 'antonia' could not be established: Database driver: Failed to open l
ibrary
'/usr/lib/mysql-workbench/mysqlcppconn.so'. Check settings.
       The MySQL Workbench libraries were installed in /usr/lib64/, not
       /usr/lib/. (Bug #46428)
     * The View text editor was overly aggressive in trimming excess
       whitespace from View definitions. If there was some hesitation
       after the user entered one or more spaces, the editor would trim
       whitespace back to the last non-space character entered. (Bug
       #46894)
     * Once a default value had been set for a column in the Table Editor,
       it was not possible to remove it. (Bug #47085)
     * When running MySQL Workbench, this error occurred when an attempt
       was made to change the Windows screen resolution:
cairo error: out of memory
       (Bug #48520)
     * MySQL Workbench did not start correctly. At startup it generated
       this error:
Microsoft Visual C++ Runtime Library

Runtime Error!

Program C:\Pro...

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.
       (Bug #48389)




Version 5.2.7 (Internal release only):
======================================

Functionality Added or Changed:
     * In the Administrator tab of MySQL Workbench the Data Dump
       (Export/Import Data) feature now uses the --comments parameter when
       executing an import or export operation. (Bug #23002)


Bugs Fixed:
     * In the Reverse Engineer Database wizard it was not possible to
       select only one table to reverse engineer, and then proceed to the
       next step. (Bug #45881)
     * In the Inserts tab of the Table Editor, if a string that contained
       spaces was added as an insert, the string was truncated to the text
       before the first space. (Bug #46624)
     * In the Table Editor, the keyboard shortcuts such as Control+X,
       Control+V and Control+C, affected the main document, rather than
       being confined to within the Table Editor. For example, if
       Control+C was used to copy a column, this erroneously resulted in a
       duplicate table being created in the main model. (Bug #42626)
     * In the GRT shell the help command, which is equivalent to ?,
       crashed when no arguments were specified. (Bug #47503)
     * When running a plugin that called a function such as the following,
       the document's status was set to âunsavedâ, and an asterisk was
       displayed in the title bar, as soon as the file selection dialog
       opened. This occurred even for a new document, or an unmodified
       document.
function rfstest(obj)
  local path
  path = Workbench:requestFileSave("Caption", "SQL Files (*.sql)|*.sql")
end
       (Bug #44813)
     * When a model was loaded and an EER Diagram opened, the model
       navigator did not display the model correctly. (Bug #46970)
     * Forward Engineer SQL CREATE Script generated schema qualifiers for
       Stored Procedure names regardless of the setting of the Omit
       schemata qualifiers from output check box. This resulted in the
       generated script containing Stored Procedure names prefixed by the
       schema name. (Bug #43276)
     * The Use compression protocol option was not working correctly when
       set in the Manage DB Connections wizard.
       When the checbox Use compression protocol was selected in the
       Advanced tab of the Manage DB Connections wizard, this error was
       generated when the connection was tested:
No bool value passed for CLIENT_COMPRESS
       The same error occurred even if the Use compression protocol check
       box was subsequently cleared. (Bug #48202)
     * If a collation was set as the schema default, this was not
       correctly handled when the model was synchronized with a live
       database.
       If a collation was set as a schema default, and then the model
       forward engineered to a database, the collation was correctly set.
       If however, the model was then synchronized with the live database,
       MySQL Workbench attempted to alter the collations to
       utf8_general_ci. (Bug #38807)
     * When an attempt was made to add a database connection, this error
       was generated:
Test connect failed
Couldn't load library libmysqlclient_r.so: libmysqlclient_r.so: cannot open shar
ed object
file: No such file or directory
       This only happened on Linux. (Bug #47238, Bug #48507)
     * In the Columns tab of the Table Editor, the tooltip for the AI
       column did not work. If the cursor was placed over the column no
       tooltip text was displayed. (Bug #48129)
     * If an EER Diagram tab was closed, it was not possible to reopen it
       by clicking its icon on the model page. (Bug #47545)
     * In the Inserts tab of the Table Editor, values entered for a BIT
       column were not saved. If values were entered and then the changes
       applied, the values in the BIT column disappeared. (Bug #47100)
     * In the Table Editor, when trying to modify a column default value,
       errors occurred.
          + On a TIMESTAMP column it was not possible to enter a valid
            value of the format yyyy-mm-dd hh:mm:ss. This caused an error
            if forward engineering was attempted.
          + A NULL default value for a column could not be deleted.
       (Bug #46878)
     * On Ubuntu Linux, MySQL Workbench did not warn if a new model was to
       be saved as a file that already existed on the drive. (Bug #48345)
     * When editing a stored routine or trigger in the Table Editor, the
       cursor would relocate to the top of the editing window if a key was
       not pressed for a few seconds.
       Note
       On Windows this issue was fixed in 5.1.18. On Mac OS X this issue
       was fixed in 5.2.4. On Linux this issue was fixed in 5.2.7.
       (Bug #48156)
     * Attempting to export the result of an SQL query to CSV using Query,
       Export Results... gave the error:
Failed to open template file: `/usr/share/mysql-workbench/modules/data/sqlide/CS
V.tpl`
       This occurred on a Fedora 11 AMD64 install, from RPM. The requested
       file was found in a different directory,
       /usr/share/mysql-workbench/sqlide/. The error did not occur after
       the file was moved to the required location. (Bug #48156)
     * In the Manage Server Instances wizard, MySQL Workbench crashed if
       the New button was clicked. (Bug #48347)
     * The script generated by File, Export, Forward Engineer SQL CREATE
       Script dropped a schema if it existed and then recreated it. This
       resulted in loss of existing data. (Bug #47468)




Version 5.2.6 (2009-10-21):
===========================

Bugs Fixed:
     * After using the Forward Engineer to Database wizard, MySQL
       Workbench would crash if an attempt was subsequently made to exit
       the application. (Bug #47276)
     * If a foreign key relationship was altered to point to a column in a
       different table, the foreign key was updated correctly but the EER
       diagram was not redrawn to reflect the new relationship. (Bug
       #47807)
     * When editing a trigger, the trigger editor would automatically
       insert a delimiter during a pause in typing, and also relocate the
       cursor. (Bug #45929)




Version 5.2.5 (Internal Release Only):
======================================

Bugs Fixed:
     * The following exception was generated when closing the Relationship
       tab for an EER Diagram:
System.NullReferenceException: ReferÃªncia de objeto nÃ£o definida para uma inst
Ã¢ncia de
um objeto.
   em MySQL.GUI.Workbench.MainForm.mainDockPanel_ActiveDocumentClosing(Object se
nder,
ActiveDocumentClosingEventArgs e)
   em
WeifenLuo.WinFormsUI.Docking.DockPanel.OnActiveDocumentClosing(ActiveDocumentClo
singEventA
rgs e)
   em WeifenLuo.WinFormsUI.Docking.DockPane.CloseContent(IDockContent content)
   em WeifenLuo.WinFormsUI.Docking.DockPane.CloseActiveContent()
   em WeifenLuo.WinFormsUI.Docking.VS2005DockPaneStrip.Close_Click(Object sender
,
EventArgs e)
   em System.Windows.Forms.Control.OnClick(EventArgs e)
   em System.Windows.Forms.Control.WmMouseUp(Message& m, MouseButtons button, In
t32
clicks)
   em System.Windows.Forms.Control.WndProc(Message& m)
   em System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   em System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   em System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr
wparam,
IntPtr lparam)

       (Bug #47958)
     * When attempting to run MySQL Workbench, the splash screen appeared
       and then the application immediately crashed, generating the âSend
       error report to Microsoftâ dialog. On debugging it was found that
       MySQL Workbench was throwing a TypeLoadException:
Could not load type 'WeifenLuo.WinFormsUI.Docking.ActiveDocumentClosingEventArgs
' from
assembly 'WeifenLuo.WinFormsUI.Docking, Version=2.2.3428.40956, Culture=neutral,
PublicKeyToken=null'.
       On inspection of the referenced assembly it was confirmed that
       there was no type ActiveDocumentClosingEventArgs defined. (Bug
       #47534, Bug #47480)




Version 5.2.4 (2009-10-07):
===========================

Functionality Added or Changed:
     * Some keyboard shortcuts have been changed.
       On Microsoft Windows and Linux Control+Y is now used for Redo. Mac
       OS X continues to use Command+Shift+Z as its default for Redo. For
       Synchronize Model, Control+Alt+Y is used on Windows and Linux, and
       Command+Control+Y is used on Mac OS X. (Bug #46285)


Bugs Fixed:
     * In the Synchronize Model with Database dialog the text in the upper
       right area of the dialog did not wrap correctly, resulting in some
       text not being visible. (Bug #45455)
     * MySQL Workbench EER Diagram view did not permit the creation of a
       foreign key constraint on a primary key. (Bug #39546)
     * When editing a stored routine or trigger in the Table Editor, the
       cursor would relocate to the top of the editing window if a key was
       not pressed for a few seconds.
       Note
       On Windows this issue was fixed in 5.1.18. On Mac OS X this issue
       was fixed in 5.2.4. On Linux this issue was fixed in 5.2.7.
       (Bug #48156)
     * Clicking the Test Connection button in DB Connection Editor wizard
       did not appear to have any effect. (Bug #47083)
     * If a new empty EER diagram was created, then Model, Relationship
       Notation, Connect to Columns was selected, MySQL Workbench
       generated these messages:
** Message: item_activated: 0x28d5cf0 ->
'plugin:wb.view.setRelationshipNotation:fromcolumn'
** Message: unhandled message 4: wb.view.setRelationshipNotation finished in 0.0
0s
       These messages were not generated if the EER diagram contained at
       least one table. (Bug #47565)
     * On Mac OS X using cmd + backspace to delete a column in the table
       editor did not work. (Bug #46613)
     * In the Query Editor, when an attempt was made to expand a schema
       and select a table, this exception was generated:
************** Exception Text **************
System.AccessViolationException: Attempted to read or write protected memory. Th
is is
often an indication that other memory is corrupt.
   at MySQL.Grt.TreeModel.expand_node(NodeId node)
   at MySQL.Grt.GrtTreeModel.TreeViewExpanding(Object sender, TreeViewAdvEventAr
gs e)
   at System.EventHandler`1.Invoke(Object sender, TEventArgs e)
   at Aga.Controls.Tree.TreeViewAdv.OnExpanding(TreeNodeAdv node)
   at Aga.Controls.Tree.TreeViewAdv.SetIsExpanded(TreeNodeAdv node, Boolean valu
e)
   at Aga.Controls.Tree.TreeViewAdv.SetIsExpanded(ExpandArgs eargs)
   at Aga.Controls.Tree.TreeViewAdv.SetIsExpanded(TreeNodeAdv node, Boolean valu
e, Boolean
ignoreChildren)
...
       (Bug #47044)
     * When a table was opened for editing in the Query Editor, the
       DECIMAL column values appeared in the result set as integer values,
       disregarding precision and scale settings. The fractional part of
       the number was discarded. It was also not possible to add the
       fractional part of the number during editing. (Bug #47405)
     * When a model was synchronized, this incorrect SQL was generated:
CREATE  TABLE IF NOT EXISTS `synthescom`.`adx_clienti` (

  `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT ,

  `citta` VARCHAR(100) NULL DEFAULT NULL ,

  `provincia` VARCHAR(100) NULL DEFAULT NULL ,

  PRIMARY KEY (`id`)

ENGINE = MyISAM

DEFAULT CHARACTER SET = utf8

COLLATE = utf8_general_ci;
       Note that the closing parenthesis, which should have been located
       after the PRIMARY KEY statement, is missing. Thats resulted in this
       error being generated:
ERROR: Error 1064: You have an error in your SQL syntax; check the
manual that corresponds to your MySQL server version for the right
syntax to use near 'ENGINE = MyISAM

DEFAULT CHARACTER SET = utf8

COLLATE = utf8_general_ci' at line 13
       (Bug #47407)
     * In the EER Diagram, Layer names were not rendered. This only
       happened with OpenGL rendering (only on Microsoft Windows). (Bug
       #47385)
     * When the Query Database menu option was selected, the explorer on
       the right-hand side displayed Tables, Views and Routines, but when
       the Routines folder was expanded the routines contained in the
       model were missing. (Bug #47088)




Version 5.2.3 (2009-09-15):
===========================

Functionality Added or Changed:
     * In the Inserts tab of the Table Editor, if a value was entered with
       quoting then any characters in the string requiring escaping were
       not escaped. However, if the same string was entered without
       quoting then the string would be escaped correctly by MySQL
       Workbench.
       For 5.0 and 5.1 this is expected behavior. If a value is entered
       without leading and trailing quotation marks, the Inserts Editor
       adds quoting and escapes characters that require it. However, if
       quoted text is entered, the Inserts Editor carries out no further
       checks because it assumes a correctly escaped and quoted sequence
       has been entered.
       5.2 features a new Inserts Editor. In this case the user enters the
       string without quoting or escaping and the Inserts Editor takes
       care of all quoting and escaping as required. (Bug #38906)


Bugs Fixed:
     * During Forward Engineering, clicking the Copy to Clipboard button
       generated code that contained an extra newline per line. (Bug
       #45579)
     * When a model containing invalid/broken foreign key definitions was
       loaded into MySQL Workbench, the errors were detected and repaired.
       However, when the model was saved and reloaded it contained changed
       data types. All INTEGER columns were changed to INTEGER(11).
       Further, some BOOLEAN columns were changed to BOOLEAN(1). (Bug
       #46467)
     * In the Forward Engineer SQL CREATE script wizard, in the dialog
       asking for confirmation to overwrite an existing file, clicking the
       Cancel button led to the wizard proceeding to the next step, while
       clicking the Replace button led to cancellation of the action. The
       functionality of the buttons appeared to be reversed. (Bug #47257)
     * When a database with Stored Procedures was reverse-engineered into
       MySQL Workbench the Stored Procedures were not displayed in the
       Routine Editor, and so could not be edited. (Bug #45704)
     * When adding inserts with a NULL value in a column, MySQL Workbench
       incorrectly added single quotation marks to the NULL value.
       Note
       Note, when entering a NULL value right-click the button next to the
       value and select Set selection to NULL, otherwise NULL will be
       interpreted as a string literal.
       (Bug #47122)
     * It was not possible to assign columns to indexes because the Column
       check boxes did not respond to mouse events. (Bug #45260)
     * When a connection was selected in the DB Connection Editor it
       appeared to flicker a number of times before MySQL Workbench
       crashed. (Bug #46065)
     * MySQL Workbench generated a segmentation fault when clicking either
       the NN or AI check boxes on the Columns tab of the Table Editor.
       (Bug #45075)
     * MySQL Workbench crashed on launch on Mac OS X 10.6.0. (Bug #46953)
     * When a diagram was exported as PNG it used the height and width of
       the model as displayed in the EER Diagram. This resulted in the
       exported picture being too small or too large, rather than being
       scaled to a consistent size. (Bug #36226)
     * In the Physical Schemata pane if more schema were added than could
       fit within the pane, these schema could not be viewed because there
       was no ability to scroll the pane. Further, double-clicking the
       schema in the Catalog pane did not locate the schema in the
       Physical Schemata pane.
       MySQL Workbench was changed so that a small down arrow button was
       added to the right side of the Physical Schemata tab bar. This
       provides a list to select a specific schema tab. (Bug #39735)
     * When Help, About was selected from the main menu, it was not
       possible to copy MySQL Workbench version information to the
       clipboard. (Bug #39610)
     * If the Default Storage Engine was selected as MyISAM in the Model
       Options dialog, when a new table was created in the EER Diagram it
       was found to have a storage engine type of InnoDB. (Bug #46752)
     * When running MySQL Workbench on Mac OS X, if a table was added to
       the model diagram and deleted the application crashed. This
       happened for a new diagram from a schema imported from a live
       database. (Bug #45692)
     * If the Table Editor had been invoked then the Text Boxes in the
       Tools, Preferences dialog became vertically misaligned. This only
       happened for MySQL Workbench running on Mac OS X. (Bug #46255)
     * On Mac OS X, it was not possible to resize a Text Object on the EER
       Diagram canvas. (Bug #45472)
       References: See also Bug #39887.
     * In the Columns tab of the Table Editor, if the column was of type
       ENUM and was given a default value, when an attempt was made to
       forward engineer the schema it would not validate. (Bug #44368)
     * Attempts to rebuild the MySQL Workbench source RPM failed. The RPM
       appeared to contain an unmodified template mysql-workbench.spec.in
       instead of the correct spec file with variable placeholders
       replaced by actual values.
       When using the following command to rebuild the RPM:
shell> rpmbuild -ba --clean SPECS/mysql-workbench.spec.in

       This error was generated:
error: File /usr/src/packages/SOURCES/mysql-workbench-oss-@VERSION@.tar.gz:
No such file or directory
       Further, the spec file in the package had the incorrect suffix
       â.spec.inâ instead of â.specâ. (Bug #45515)




Version 5.2.2 (2009-07-27):
===========================

Bugs Fixed:
     * The UML relationship notation was incorrect.
       When setting a Foreign Key to NULLable, the table referenced by the
       Foreign Key should be marked as optional. However, MySQL Workbench
       marked the table containing the Foreign Key itself as optional.
       (Bug #45069)
     * If MySQL Workbench gave the message that the MySQL Server was no
       longer available (because of timeout due to inactivity) then MySQL
       Workbench crashed when the user tried to reconnect. (Bug #45123)
     * The Synchronize Model with Database wizard contain a spelling
       mistake. The word âsynchronizationâ was mispelled as
       âsynchronizatiobâ. (Bug #45939)
     * MySQL Workbench 5.1.16 failed to create INSERTs in the exported DDL
       for some tables. (Bug #45920)
     * If a user added a LIMIT clause to a query, the automatically added
       LIMIT 0,1000 clause caused a syntax error. (Bug #45051)
     * MySQL Workbench crashed at startup on Mac OS X. (Bug #45869)
     * The new SQL IDE, introduced in 5.2, did not support returning
       results from procedures. When any routine was called, there were no
       results displayed in the query editor window. However, the log
       contained the message âResponse: OKâ.
       When another query was run on the same connection, the log message
       was:
Error Code: 2014 Commands out of sync; you can't run this command now
       (Bug #44910)




Version 5.2.1 (2009-05-22):
===========================



Version 5.2.0 (2009-04-30, Alpha):
==================================



